<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire d'ajout / d'édition d'évenement

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _form.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */





use_helper('ecFormulaire');

$dossier_images = sfConfig::get('app_dossiers_images_agenda');



?>



<form action="<?php echo url_for('agenda/'.($form->getObject()->isNew() ? 'create' : 'update').(!$form->getObject()->isNew() ? '?id='.$form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>



<?php if ($sf_user->hasFlash('bo_agenda_form_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_agenda_form_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_agenda_form_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_agenda_form_error'), 'error'); ?>

<?php endif;?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>



<div class="cadre_bouttons">

<?php echo button_to('Retour', 'agenda/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>



<?php echo $form->renderHiddenFields() ?>



<fieldset>

	<table class="tableau_formulaire">

		<tr>

			<th style="width: 150px;"><?php echo label('Nom', true) ?> :</th>

			<td><?php echo AfficheErreur($form['titre']) ?><?php echo $form['titre'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Lieu', true) ?> :</th>

			<td>

				Type: <?php echo AfficheErreur($form['type_id']) ?><?php echo $form['type_id'] ?> Lieu : 

				<span id="liste_lieu_id"><?php echo AfficheErreur($form['lieu_id']) ?><?php echo $form['lieu_id'] ?></span>

			</td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Date début', true) ?> :</th>

			<td><?php echo AfficheErreur($form['date_debut']) ?><?php echo $form['date_debut'] ?> <i>Format: jj/mm/aaaa</i></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Date fin', false) ?> :</th>

			<td><?php echo AfficheErreur($form['date_fin']) ?><?php echo $form['date_fin'] ?> <i>Format: jj/mm/aaaa</i></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Heure début', false) ?> :</th>

			<td><?php echo AfficheErreur($form['heure_debut']) ?><?php echo $form['heure_debut'] ?> <i>Format: hh:mm</i></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Heure fin', false) ?> :</th>

			<td><?php echo AfficheErreur($form['heure_fin']) ?><?php echo $form['heure_fin'] ?> <i>Format: hh:mm</i></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Description', true) ?> :</th>

			<td><?php echo AfficheErreur($form['description']) ?><?php echo $form['description'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Image 1', false) ?> :</th>

			<td><?php echo AfficheErreur($form['flyer1']) ?><?php echo $form['flyer1'] ?>

				<?php $file1 = $form->getObject()->getImage_1() ?>

				<?php if(!empty($file1)): ?>

					<span id="file_1">

						<a href="<?php echo Util::getUrlImage($dossier_images.'/'.$file1) ?>" class="thickbox">[Voir l'image]</a>

						<?php if($sf_user->hasCredential(array('ADMIN', 'MANAGER'), false)) echo jq_link_to_remote('[Supprimer l\'image]', array('url' => 'agenda/ajaxDeleteImage?id='.$form->getObject()->getId().'&image=1', 'update' => 'file_1' ,'confirm' => 'Voulez-vous vraiment supprimer cette image?', 'csrf' => true)); ?>&nbsp;&nbsp;

				<?php endif; ?>

				<?php $file1_truncate = $form->getObject()->getImage_1_Truncate() ?>

				<?php echo (!empty($file1))?  link_to('[Creer image tronquée]', 'agenda/editImageTronquee?id='.$form->getObject()->getId().'&image=1') : '' ?>

				<?php if(!empty($file1_truncate)): ?>

					<span id="file_1_truncate">

						<a href="<?php echo Util::getUrlImage($dossier_images.'/'.$file1_truncate) ?>" class="thickbox">[Voir l'image tronquée]</a>

						<?php if($sf_user->hasCredential(array('ADMIN', 'MANAGER'), false)) echo jq_link_to_remote('[Supprimer l\'image tronquée]', array('url' => 'agenda/ajaxDeleteImageTronquee?id='.$form->getObject()->getId().'&image=1', 'update' => 'file_1_truncate' ,'confirm' => 'Voulez-vous vraiment supprimer cette image?', 'csrf' => true)); ?>&nbsp;&nbsp;

					</span>

					</span>

				<?php endif; ?>

			</td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Image 2', false) ?> :</th>

			<td><?php echo AfficheErreur($form['flyer2']) ?><?php echo $form['flyer2'] ?>

				<?php $file2 = $form->getObject()->getImage_2() ?>

				<?php if(!empty($file2)): ?>

					<span id="file_2">

						<a href="<?php echo Util::getUrlImage($dossier_images.'/'.$file2) ?>" class="thickbox">[Voir l'image]</a>

						<?php if($sf_user->hasCredential(array('ADMIN', 'MANAGER'), false)) echo jq_link_to_remote('[Supprimer l\'image]', array('url' => 'agenda/ajaxDeleteImage?id='.$form->getObject()->getId().'&image=2', 'update' => 'file_2' ,'confirm' => 'Voulez-vous vraiment supprimer cette image?', 'csrf' => true)); ?>&nbsp;&nbsp;

				<?php endif; ?>

				<?php $file2_truncate = $form->getObject()->getImage_2_Truncate() ?>

				<?php echo (!empty($file2))?  link_to('[Creer image tronquée]', 'agenda/editImageTronquee?id='.$form->getObject()->getId().'&image=2') : '' ?>

				<?php if(!empty($file2_truncate)): ?>

					<span id="file_2_truncate">

						<a href="<?php echo Util::getUrlImage($dossier_images.'/'.$file2_truncate) ?>" class="thickbox">[Voir l'image tronquée]</a>

						<?php if($sf_user->hasCredential(array('ADMIN', 'MANAGER'), false)) echo jq_link_to_remote('[Supprimer l\'image tronquée]', array('url' => 'agenda/ajaxDeleteImageTronquee?id='.$form->getObject()->getId().'&image=2', 'update' => 'file_2_truncate' ,'confirm' => 'Voulez-vous vraiment supprimer cette image?', 'csrf' => true)); ?>&nbsp;&nbsp;

					</span>

					</span>

				<?php endif; ?>

			</td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Actif', false) ?> :</th>

			<td><?php echo AfficheErreur($form['active']) ?><?php echo $form['active'] ?></td>

		</tr>

	</table>

</fieldset>







<div class="cadre_bouttons">

<?php echo button_to('Retour', 'agenda/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>





</form>