<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial qui affiche la liste des evenements

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _list.php 360 2010-08-19 13:10:25Z hlecorche $ 

 */



use_helper('ecomliste');

use_helper('Date');

?>



<?php if ($sf_user->hasFlash('bo_agenda_message_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_agenda_message_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_agenda_message_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_agenda_message_error'), 'error'); ?>

<?php endif;?>



<?php echo affiche_pagination($pager, 'icones/16/resultset_first.png', 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 'icones/16/resultset_next.png', 2, 2, 'agenda/ajaxShowList?page=', array('update' => 'list')) ?>





<?php if(count($liste_evenements_non_actifs) >0): ?>

<fieldset>

	<legend>Evénements non actifs</legend>

	<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 219px;">Nom</th>

			<th style="width: 75px;">Date</th>

			<th style="width: 137px;">Type</th>

			<th style="width: 219px;">Lieu</th>

			<th style="width: 100px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($liste_evenements_non_actifs as $evenement): ?>

		<tr>

			<td><?php echo $evenement->getTitre() ?></td>

			<td><?php echo format_date($evenement->getDateDebut(), 'dd/MM/yyyy') ?></td>

			<td><?php echo $evenement->getType()->getNom() ?></td>

			<td><?php echo $evenement->getLieu()->getNom() ?></td>

			<td style="text-align: center;">

				<?php if($sf_user->hasCredential(array('ADMIN', 'REPORTER', 'MANAGER', 'BONNES_ADRESSES', 'REPORTER_EX'), false)): ?>

					<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'agenda/edit?id='.$evenement->getId())?>&nbsp;&nbsp;

					<?php echo link_to(image_tag('icones/16/copy.png', array('alt' => 'copy', 'title' => 'Copier')), 'agenda/copy?id='.$evenement->getId(), array('confirm' => 'Voulez-vous copier cet événement pour en créer un nouveau?'))?>&nbsp;&nbsp;

				<?php endif; ?>

				<?php if($sf_user->hasCredential(array('ADMIN', 'MANAGER'), false)): ?>

					<?php echo jq_link_to_remote(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 

											array('url' => 'agenda/ajaxDelete?id='.$evenement->getId().'&page='.$pager->getPage(), 'update' => 'list' ,'confirm' => 'Voulez-vous vraiment supprimer cet événement?', 'csrf' => true)) ?>&nbsp;&nbsp;

				<?php endif; ?>

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

	</table>

	

</fieldset>

<?php endif; ?>









<fieldset>

	<legend>Evénements actifs</legend>

	<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 219px;">Nom</th>

			<th style="width: 75px;">Date</th>

			<th style="width: 137px;">Type</th>

			<th style="width: 219px;">Lieu</th>

			<th style="width: 100px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($pager->getResults() as $evenement): ?>

		<tr>

			<td><?php echo $evenement->getTitre() ?></td>

			<td><?php echo format_date($evenement->getDateDebut(), 'dd/MM/yyyy') ?></td>

			<td><?php echo $evenement->getType()->getNom() ?></td>

			<td><?php echo $evenement->getLieu()->getNom() ?></td>

			<td style="text-align: center;">

				<?php if($sf_user->hasCredential(array('ADMIN', 'REPORTER', 'MANAGER', 'BONNES_ADRESSES', 'REPORTER_EX'), false)): ?>

					<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'agenda/edit?id='.$evenement->getId())?>&nbsp;&nbsp;

					<?php echo link_to(image_tag('icones/16/copy.png', array('alt' => 'copy', 'title' => 'Copier')), 'agenda/copy?id='.$evenement->getId(), array('confirm' => 'Voulez-vous copier cet événement pour en créer un nouveau?'))?>&nbsp;&nbsp;

				<?php endif; ?>

				<?php if($sf_user->hasCredential(array('ADMIN', 'MANAGER'), false)): ?>

				<?php echo jq_link_to_remote(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 

											array('url' => 'agenda/ajaxDelete?id='.$evenement->getId().'&page='.$pager->getPage(), 'update' => 'list' ,'confirm' => 'Voulez-vous vraiment supprimer cet évenement?', 'csrf' => true)) ?>&nbsp;&nbsp;

				<?php endif; ?>

				<?php if($sf_user->hasCredential(array('ADMIN', 'MANAGER', 'EXPO', 'BONNES_ADRESSES', 'REPORTER_EX'), false)): ?>

				<?php if($evenement->getActive() && !$evenement->estPasse() && !$evenement->getActiveIndex()): ?>

					<?php echo jq_link_to_remote(image_tag('icones/15/application_home.png', array('alt' => 'oH', 'title' => 'Afficher sur la page principale du site')), 

												array('url' => 'agenda/ajaxActiveIndex?id='.$evenement->getId().'&page='.$pager->getPage(), 'update' => 'list', 'csrf' => true)) ?>

				<?php elseif($evenement->getActive() && !$evenement->estPasse() && $evenement->getActiveIndex()): ?>

					<?php echo jq_link_to_remote(image_tag('icones/15/no_application_home.png', array('alt' => 'nH', 'title' => 'Supprimer de la page principale du site')), 

											array('url' => 'agenda/ajaxInactiveIndex?id='.$evenement->getId().'&page='.$pager->getPage(), 'update' => 'list', 'csrf' => true)) ?>

				<?php else: ?>

					&nbsp;&nbsp;&nbsp;

				<?php endif; ?>

			<?php endif; ?>

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

	</table>

	

</fieldset>



<br />

<?php echo image_tag('icones/15/application_home.png', array('alt' => 'oH', 'title' => 'Afficher sur la page principale du site')) ?>

 : Afficher l'événement sur la page principale du site <br />

<?php echo image_tag('icones/15/no_application_home.png', array('alt' => 'nH', 'title' => 'Supprimer de la page principale du site')) ?>

 : Supprimer de la page principale du site