<?php

/**
 * bannieres actions.
 *
 * @package    anbnws
 * @subpackage bannieres
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 436 2010-09-28 11:14:50Z hlecorche $
 */
class bannieresActions extends sfActions
{
	/**
	 * Executes index action
	 *
	 * @param sfRequest $request A request object
	 */
	public function executeIndex(sfWebRequest $request)
	{
			$this->GenerateListes();
			$this->GenerateForms();
	}

	//action qui supprime une banniere
	public function executeSupprimerBanniere(sfWebRequest $request)
	{
		$request->checkCSRFProtection();
		$user = $this->getUser();
		
		//On recupere l'objet
		$this->forward404Unless($banniere = Doctrine::getTable('Banniere')->find($request->getParameter('id')), sprintf('Object Banniere does not exist (%s).', $request->getParameter('id')));
		
		//On supprime le fichier
		if($banniere->isFileExists())
		{
			unlink($banniere->getFileUploaded());
		}
		
		//On supprime de la BDD
		$banniere->delete();
		
		$user->setFlash('banniere_supprimer_ok', 'La banniere a bien été supprimée.');
		
		//redirect
		$this->redirect('bannieres/index');

	}
	
	
	//action qui upload une banniere sur le serveur
	public function executeAddBanniere(sfWebRequest $request)
	{
		$this->forward404Unless($type = $request->getParameter('type'), sprintf('Value type does not exist (%s).', $request->getParameter('type')));
		
		//on test si la variable $type possede bien une valeur correct
		$types = array(Banniere::BANNIERE_DROITE_CARREE, Banniere::BANNIERE_DROITE_VERTICALE, Banniere::BANNIERE_HAUT);
		$this->forward404Unless(in_array($type, $types), 'Bad type value');
		
		//on verifie si on a recu des parametres en post
		$this->forward404Unless($request->isMethod('post'));
		
		//on appel la fonction qui genere les trois formulaires pour pouvoir les ré-afficher
		$this->GenerateForms();
		
		if($type == Banniere::BANNIERE_HAUT)
		{
			//on remplit ce formulaire avec les objets recu en parametre, qui correspondent aux champs du formulaire remplit par l'utilisateur
			$this->form_haut->bind($request->getParameter($this->form_haut->getName()), $request->getFiles($this->form_haut->getName()));

			//si le formulaire est valide
			if ($this->form_haut->isValid())
			{
				$this->form_haut->processForm($this);
				$this->redirect('bannieres/index');

			}
		}
		elseif($type == Banniere::BANNIERE_DROITE_VERTICALE)
		{
			//on remplit ce formulaire avec les objets recu en parametre, qui correspondent aux champs du formulaire remplit par l'utilisateur
			$this->form_droite_verticale->bind($request->getParameter($this->form_droite_verticale->getName()), $request->getFiles($this->form_droite_verticale->getName()));

			//si le formulaire est valide
			if ($this->form_droite_verticale->isValid())
			{
				$this->form_droite_verticale->processForm($this);
				$this->redirect('bannieres/index');
			}
		
		}
		elseif($type == Banniere::BANNIERE_DROITE_CARREE)
		{
		//on remplit ce formulaire avec les objets recu en parametre, qui correspondent aux champs du formulaire remplit par l'utilisateur
			$this->form_droite_carree->bind($request->getParameter($this->form_droite_carree->getName()), $request->getFiles($this->form_droite_carree->getName()));

			//si le formulaire est valide
			if ($this->form_droite_carree->isValid())
			{
				$this->form_droite_carree->processForm($this);
				$this->redirect('bannieres/index');
			}	
		}
		
		//on appelle la fonction qui genere les deux formulaires pour pouvoir les ré-afficher
		$this->GenerateListes();
		
		//on retourne sur la page qui liste les bannieres
		$this->setTemplate('index');
	}
	
	//action qui edite une banniere
	public function executeEdit(sfWebRequest $request)
	{
		//On recupere l'objet
		$this->forward404Unless($banniere = Doctrine::getTable('Banniere')->find($request->getParameter('id')), sprintf('Object Banniere does not exist (%s).', $request->getParameter('id')));
		
		$this->form = new BanniereForm($banniere,array('type' => $banniere->getType()));
		
		if($request->isMethod('post'))
		{
			$this->form->bind($request->getParameter($this->form->getName()), $request->getFiles($this->form->getName()));
			if ($this->form->isValid())
			{
				$this->form->processForm($this);
				$this->redirect('bannieres/index');
			}	
		}
	}
	
	
	/*
	 * *************************************
	 *
	 * Méthodes privées
	 * 
	 * *************************************
	 */
	
		
	
	/**
	 * Fonction qui genere les listes des bannieres
	 * @return unknown_type
	 */
	private function GenerateListes()
	{
		$this->bannieres_haut = BanniereTable::getBannieres(Banniere::BANNIERE_HAUT, false);
		$this->bannieres_droite_verticale = BanniereTable::getBannieres(Banniere::BANNIERE_DROITE_VERTICALE, false);
		$this->bannieres_droite_carree = BanniereTable::getBannieres(Banniere::BANNIERE_DROITE_CARREE, false);		
	}
	
	/**
	 * fonction qui crée deux formulaires, pour le template ou pour l'action d'ajout de banniere
	 *@return unknown_type
	 */
	 private function GenerateForms()
	 {
		//on crée trois formulaires de type UploadBanniere
		$this->form_haut = new BanniereForm(null,array('type' => Banniere::BANNIERE_HAUT));
		$this->form_droite_verticale = new BanniereForm(null,array('type' => Banniere::BANNIERE_DROITE_VERTICALE));
		$this->form_droite_carree = new BanniereForm(null,array('type' => Banniere::BANNIERE_DROITE_CARREE));
	 }
}
