<?php

/**
 * bons_plans actions.
 *
 * @package    anbnws
 * @subpackage bons_plans
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 378 2010-08-25 12:19:33Z hlecorche $
 */
class bons_plansActions extends sfActions
{
 /*
	 * *************************************
	 *
	 * Actions
	 * 
	 * *************************************
	 */
	
	
	//Action qui affiche la liste des bons plans
	public function executeIndex(sfWebRequest $request)
	{
		$this->bons_plans = Doctrine::getTable('BonPlan')->createQuery('b')
		->execute();
			
		//on recupere le dossier qui contient les images des bons plans
		$this->dossier = sfConfig::get('app_dossiers_images_bons_plans');
			
	}
	
	//Action qui affiche le formulaire d'ajout d'un nouveau bon plan
	public function executeNew(sfWebRequest $request)
	{
		$this->form_bon_plan = new BonPlanForm();
		
	}
	
	
	//action qui ajoute un nouveau bon plan
	public function executeCreate(sfWebRequest $request)
	{
		//on verifie si on a recu des parametres en post
		$this->forward404Unless($request->isMethod('post'));
		
		//on crée un formulaire
		$this->form_bon_plan = new BonPlanForm();
		
		//on appelle la fonction qui remplit le formulaire et qui teste sa validité
		$this->ProcessForm($this->form_bon_plan, $request);
		
		//on retourne sur la page qui liste les bons plans
		$this->setTemplate('new');
	}
	
	//Action qui affiche le formulaire d'edition d'un bon plan
	public function executeEdit(sfWebRequest $request)
	{
		//on teste la validité des parametres recus
		$this->forward404Unless($bon_plan = Doctrine::getTable('BonPlan')->find($request->getParameter('id')), sprintf('Object BonPlan does not exist (%s).', $request->getParameter('id')));
		//on créer un formulaire
		$this->form_bon_plan = new BonPlanForm($bon_plan);
		
		$this->dossier = sfConfig::get('app_dossiers_images_bons_plans');
		
		$this->url = $bon_plan->getUrlImage();
		
	}
	
	//Action qui fait la mise à jour d'un bon plan
	public function executeUpdate(sfWebRequest $request)
	{
		//on teste la validité des parametres recu
		$this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
		$this->forward404Unless($bon_plan = Doctrine::getTable('BonPlan')->find($request->getParameter('id')), sprintf('Object BonPlan does not exist (%s).', $request->getParameter('id')));
		//on créer un formulaire
		$this->form_bon_plan = new BonPlanForm($bon_plan);
		//on appel la fonction qui teste la validité du formulaire
		$this->processForm($this->form_bon_plan,$request);
		
		$this->dossier = sfConfig::get('app_dossiers_images_bons_plans');
		$this->url = $bon_plan->getUrlImage();
		
		$this->setTemplate('edit');
	}
	
	//action qui supprime un bon plan
	public function executeDelete(sfWebRequest $request)
	{
		$request->checkCSRFProtection();
		$user = $this->getUser();
		
		
		$this->forward404Unless($bon_plan = Doctrine::getTable('BonPlan')->find($request->getParameter('id')), sprintf('Object BonPlan does not exist (%s).', $request->getParameter('id')));
		//on recupere la chemin du dossier ou sont stocké les images 
		$dossier = sfConfig::get('app_uploads_images_bons_plans');

		//on supprime l'image si elle existe
		$file_name = $bon_plan->getUrlImage();
		$file = $dossier.'/'.$file_name;
		if(!empty($file_name) && file_exists($file))
		{
			unlink($file);
		}
		//dans tous les cas on supprime l'enregistrement dans la base de donnée
		$bon_plan->delete();
		$user->setFlash('bon_plan_supprimer_ok', 'Le bon plan a bien été supprimé.');
		
		//On vide le cache des images du bon plan
		$folder_cache = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_bons_plans').'/'.$bon_plan->getId();
		Util::deleteFolder($folder_cache);
		
		//redirect
		$this->redirect('bons_plans/index');

	}
	
	/*
	 * *************************************
	 *
	 * Méthodes privées
	 * 
	 * *************************************
	 */
	
	/**
	 * fonction qui remplit le formulaire et qui teste sa validité.SI valide, apel la fonction processForm du formulaire
	 * @param BonPlanForm $form formulaire de bon plan
	 * @param sfWebRequest $request
	 * @return unknown_type
	 */ 
	 private function ProcessForm($form,$request)
	 {
	 	//on remplit ce formulaire avec les objets recu en parametre, qui correspondent aux champs du formulaire remplit par l'utilisateur
		$form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));

		//si le formulaire est valide
		if ($form->isValid())
		{
			
			
			//on appelle la fonction processForm definit dans le formulaire 
			$bon_plan = $form->processForm($this);
			
			//On vide le cache des images du bon plan
			$folder_cache = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_bons_plans').'/'.$bon_plan->getId();
			Util::deleteFolder($folder_cache);
			
			$this->redirect('bons_plans/edit?id='.$bon_plan->getId());
			
		}
		
	 }
}
