<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire d'ajout / d'édition d'une galerie

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _form.php 381 2010-08-26 09:18:49Z hlecorche $ 

 */





use_helper('ecFormulaire');



?>



<form action="<?php echo url_for('galeries_arts/'.($form->getObject()->isNew() ? 'create' : 'update').(!$form->getObject()->isNew() ? '?id='.$form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>



<?php if ($sf_user->hasFlash('bo_galeries_form_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_galeries_form_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_galeries_form_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_galeries_form_error'), 'error'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_galeries_upload_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_galeries_upload_ok'), 'ok'); ?>

<?php endif;?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>



<div class="cadre_bouttons">

<?php echo button_to('Retour', 'galeries_arts/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>



<?php echo $form->renderHiddenFields() ?>



<fieldset>

	<table class="tableau_formulaire">

		<tr>

			<th style="width: 150px;"><?php echo label('Nom', true) ?> :</th>

			<td><?php echo AfficheErreur($form['nom']) ?><?php echo $form['nom'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Catégorie', true) ?> :</th>

			<td><?php echo AfficheErreur($form['galerie_arts_categorie_id']) ?><?php echo $form['galerie_arts_categorie_id'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Type', true) ?> :</th>

			<td><?php echo AfficheErreur($form['is_galerie_video']) ?><?php echo $form['is_galerie_video'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('E-mail', true) ?> :</th>

			<td><?php echo AfficheErreur($form['email']) ?><?php echo $form['email'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Site web', false) ?> :</th>

			<td><?php echo AfficheErreur($form['url_site']) ?><?php echo $form['url_site'] ?> <i>Format: http://www.monsite.fr </i></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Description', true) ?> :</th>

			<td><?php echo AfficheErreur($form['description']) ?><?php echo $form['description'] ?></td>

		</tr>

		

		<tr>

			<th style="width: 150px;"><?php echo label('Médias', false) ?> :</th>

			<td><?php echo AfficheErreur($form['archive']) ?><?php echo $form['archive'] ?>

			</td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Actif', true) ?> :</th>

			<td><?php echo AfficheErreur($form['active']) ?><?php echo $form['active'] ?></td>

		</tr>

	</table>

</fieldset>





<div class="cadre_bouttons">

<?php echo button_to('Retour', 'galeries_arts/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>





</form>







<div style="background-color: #ccd152;">

<ul>

	<li>Le fichier médias doit être une archive au format <b>.zip</b>.</li>

	<li>L'archive doit contenir uniquement des fichiers au format <b>.jpg</b> et <b>.flv</b>.</li>

	<li>Si des médias sont déjà présents dans la galerie, l'ajout de nouveaux médias n'effacera pas les anciens.</li>

	<li>Les médias seront ajoutés sur le site dans l'ordre suivant: Par ordre d'ajout, puis par ordre alphabétique.</li>

	<li>La taille maximum autorisée d'une archive est de 20 Mo. Si nécessaire, mettre les médias en plusieurs temps.</li>

</ul>

</div>