<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial qui affiche la liste des galeries d'arts

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _list.php 350 2010-08-13 09:06:41Z hlecorche $ 

 */



use_helper('ecomliste');

use_helper('Date');

?>



<?php if ($sf_user->hasFlash('bo_galeries_message_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_galeries_message_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_galeries_message_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_galeries_message_error'), 'error'); ?>

<?php endif;?>



<?php echo affiche_pagination($pager, 'icones/16/resultset_first.png', 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 'icones/16/resultset_next.png', 2, 2, 'galeries_arts/ajaxShowList?page=', array('update' => 'list')) ?>





<?php if(count($liste_galeries_non_actifs) >0): ?>

<fieldset>

	<legend>Galeries non actives</legend>

	<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 393px;">Nom</th>

			<th style="width: 257px;">Type</th>

			<th style="width: 100px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($liste_galeries_non_actifs as $galerie): ?>

		<tr>

			<td><?php echo ($galerie->getIsGalerieVideo())? image_tag('icones/16/video.png', array('alt' => 'video')) : ''?><?php echo $galerie->getNom() ?></td>

			<td><?php echo $galerie->getGalerieArtsCategorie()->getNom() ?></td>

			<td style="text-align: center;">

				<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'galeries_arts/edit?id='.$galerie->getId())?>&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/camera_edit.png', array('alt' => 'edit medias', 'title' => 'Modifier médias')), 'galeries_arts/editMedias?id='.$galerie->getId())?>&nbsp;&nbsp;

				<?php if($sf_user->hasCredential('ADMIN')): ?>

				<?php echo jq_link_to_remote(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 

											array('url' => 'galeries_arts/ajaxDelete?id='.$galerie->getId().'&page='.$pager->getPage(), 'update' => 'list' ,'confirm' => 'Voulez-vous vraiment supprimer cette galerie?', 'csrf' => true)) ?>&nbsp;&nbsp;

				<?php endif; ?>

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

	</table>

	

</fieldset>

<?php endif; ?>









<fieldset>

	<legend>Galeries actives</legend>

	<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 393px;">Nom</th>

			<th style="width: 257px;">Type</th>

			<th style="width: 100px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($pager->getResults() as $galerie): ?>

		<tr>

			<td><?php echo ($galerie->getIsGalerieVideo())? image_tag('icones/16/video.png', array('alt' => 'video')) : ''?><?php echo $galerie->getNom() ?></td>

			<td><?php echo $galerie->getGalerieArtsCategorie()->getNom() ?></td>

			<td style="text-align: center;">

				<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'galeries_arts/edit?id='.$galerie->getId())?>&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/camera_edit.png', array('alt' => 'edit medias', 'title' => 'Modifier médias')), 'galeries_arts/editMedias?id='.$galerie->getId())?>&nbsp;&nbsp;

				<?php if($sf_user->hasCredential('ADMIN')): ?>

				<?php echo jq_link_to_remote(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 

											array('url' => 'galeries_arts/ajaxDelete?id='.$galerie->getId().'&page='.$pager->getPage(), 'update' => 'list' ,'confirm' => 'Voulez-vous vraiment supprimer cette galerie?', 'csrf' => true)) ?>&nbsp;&nbsp;

				<?php endif; ?>

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

	</table>

	

</fieldset>



<br />