<?php

/**
 * lieux actions.
 *
 * @package    anbnws
 * @subpackage lieux
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 443 2010-09-29 12:39:29Z hlecorche $
 */
class lieuxActions extends sfActions
{
	
	/*
	 * *************************************
	 *
	 * Actions
	 *
	 * *************************************
	 */
	
	
	//Template qui affiche la liste des lieux
	public function executeIndex(sfWebRequest $request)
	{
		$this->prepareInfosAfficheListe($request);
	}

	//Action qui affiche le formulaire d'ajout d'un nouveau lieu
	public function executeNew(sfWebRequest $request)
	{
		$this->form = new LieuBoForm();
	}
	
	//Action qui creer un nouveau lieu
	public function executeCreate(sfWebRequest $request)
	{
		$this->forward404Unless($request->isMethod('post'));
		$this->form = new LieuBoForm();
		$this->processForm($request, $this->form);
		$this->setTemplate('new');
	}
	
	
	//Action qui affiche le formulaire d'edition d'un type
	public function executeEdit(sfWebRequest $request)
	{
		$this->forward404Unless($lieu = Doctrine::getTable('Lieu')->find($request->getParameter('id')), sprintf('Object Lieu does not exist (%s).', $request->getParameter('id')));
		$this->form = new LieuBoForm($lieu);
	}
	
	//Action qui fait la mise à jour d'un type
	public function executeUpdate(sfWebRequest $request)
	{
		$this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
		$this->forward404Unless($lieu = Doctrine::getTable('Lieu')->find($request->getParameter('id')), sprintf('Object Lieu does not exist (%s).', $request->getParameter('id')));
		$this->form = new LieuBoForm($lieu);
		$this->processForm($request, $this->form);
		$this->setTemplate('edit');
	}
	
	
	
	
	
	/*
	 * *************************************
	 *
	 * Actions sur les galeries photos
	 *
	 * *************************************
	 */
	
	
	
	//Action qui affiche les médias de la galerie d'un lieu (et qui traite le formulaire
	//d'ajout d'un nouveau media)
	public function executeListGalerieMedias(sfWebRequest $request)
	{
		$this->forward404Unless($lieu = Doctrine::getTable('Lieu')->find($request->getParameter('id')), sprintf('Object Lieu does not exist (%s).', $request->getParameter('id')));
		
		$this->form = new LieuGalerieMediaForm();
		
		if($request->isMethod(sfRequest::POST))
		{
			$this->form->bind($request->getParameter($this->form->getName()), $request->getFiles($this->form->getName()));
			if ($this->form->isValid())
			{	
				$this->form->processForm($this);
				$this->redirect('lieux/listGalerieMedias?id='.$lieu->getId());
			}
		}
		
		//On recupere la liste des medias
		$this->liste_medias = $lieu->getLieuGalerieMedias();
		$this->form->setDefault('lieu_id', $lieu->getId());
		$this->lieu = $lieu;
		
		$this->setTemplate('_galerieMedias/list');
	}
	
	//Action qui affiche les videos d'un lieu (et qui traite le formulaire
	//d'ajout d'une nouvelle video)
	public function executeListGalerieVideos(sfWebRequest $request)
	{
		$this->forward404Unless($lieu = Doctrine::getTable('Lieu')->find($request->getParameter('id')), sprintf('Object Lieu does not exist (%s).', $request->getParameter('id')));
		
		$this->form = new LieuVideoForm();
		
		if($request->isMethod(sfRequest::POST))
		{
			$this->form->bind($request->getParameter($this->form->getName()), $request->getFiles($this->form->getName()));
			if ($this->form->isValid())
			{	
				$this->form->processForm($this);
				$this->redirect('lieux/listGalerieVideos?id='.$lieu->getId());
			}
		}
		
		//On recupere la liste des medias
		$this->liste_videos = $lieu->getLieuVideos();
		$this->form->setDefault('lieu_id', $lieu->getId());
		$this->lieu = $lieu;
		
		$this->setTemplate('_galerieVideos/list');
	}
	
	
	//Action qui affiche le formulaire d'edition d'un média d'une galerie photos et qui traite le formulaire
	public function executeEditGalerieMedias(sfWebRequest $request)
	{
		$this->forward404Unless($media = Doctrine::getTable('LieuGalerieMedia')->find($request->getParameter('id')), sprintf('Object LieuGalerieMedia does not exist (%s).', $request->getParameter('id')));
		
		$this->form = new LieuGalerieMediaForm($media);
		$this->media = $media;
		
		if($request->isMethod(sfRequest::POST))
		{
			$this->form->bind($request->getParameter($this->form->getName()), $request->getFiles($this->form->getName()));
			if ($this->form->isValid())
			{	
				$this->form->processForm($this);
				$this->redirect('lieux/listGalerieMedias?id='.$media->getLieuId());
			}
		}
		
		$this->setTemplate('_galerieMedias/edit');
	}
	
	//Action qui affiche le formulaire d'edition d'une video et qui traite le formulaire
	public function executeEditGalerieVideos(sfWebRequest $request)
	{
		$this->forward404Unless($video = Doctrine::getTable('LieuVideo')->find($request->getParameter('id')), sprintf('Object LieuVideo does not exist (%s).', $request->getParameter('id')));
		
		$this->form = new LieuVideoForm($video);
		$this->video = $video;
		
		if($request->isMethod(sfRequest::POST))
		{
			$this->form->bind($request->getParameter($this->form->getName()), $request->getFiles($this->form->getName()));
			if ($this->form->isValid())
			{	
				$this->form->processForm($this);
				$this->redirect('lieux/listGalerieVideos?id='.$video->getLieuId());
			}
		}
		
		$this->setTemplate('_galerieVideos/edit');
	}
	
	
	//Action qui supprime un média de la galerie photos d'un lieu
	public function executeDeleteGalerieMedias(sfWebRequest $request)
	{
		$request->checkCSRFProtection();
		
		$this->forward404Unless($media = Doctrine::getTable('LieuGalerieMedia')->find($request->getParameter('id')), sprintf('Object LieuGalerieMedia does not exist (%s).', $request->getParameter('id')));
		
		//On supprime le media du serveur
		$dossier = sfConfig::get('app_uploads_images_galeries_lieux');
		$file_name = $media->getNomFichier();
		$file = $dossier.'/'.$file_name;
		if(!empty($file_name) && file_exists($file))
		{
			unlink($file);
		}
		
		//On supprime le media de BDD
		$lieu_id = $media->getLieuId();
		$media->delete();
		
		//On vide le cache de la galerie photos du lieu
		$dossier_cache = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_galeries_lieux').'/'.$lieu_id;
		Util::deleteFolder($dossier_cache, true);
		
		//On redirige vers la liste des medias de la galerie avec message de confirmation
		$user = $this->getUser();
		$user->setFlash('bo_lieux_message_ok', 'Photo supprimée');
		$this->redirect('lieux/listGalerieMedias?id='.$lieu_id);
	}
	
	
	
	
	/*
	 * *************************************
	 *
	 * Actions sur le staff
	 *
	 * *************************************
	 */
	
	
	
	//Action qui affiche les médias du staff d'un lieu (et qui traite le formulaire
	//d'ajout d'un nouveau media)
	public function executeListStaffMedias(sfWebRequest $request)
	{
		$this->forward404Unless($lieu = Doctrine::getTable('Lieu')->find($request->getParameter('id')), sprintf('Object Lieu does not exist (%s).', $request->getParameter('id')));
		
		$this->form = new LieuStaffMediaForm();
		
		if($request->isMethod(sfRequest::POST))
		{
			$this->form->bind($request->getParameter($this->form->getName()), $request->getFiles($this->form->getName()));
			if ($this->form->isValid())
			{	
				$this->form->processForm($this);
				$this->redirect('lieux/listStaffMedias?id='.$lieu->getId());
			}
		}
		
		//On recupere la liste des medias
		$this->liste_medias = $lieu->getLieuStaffMedias();
		$this->form->setDefault('lieu_id', $lieu->getId());
		$this->lieu = $lieu;
		
		$this->setTemplate('_staffMedias/list');
	}
	
	
	//Action qui affiche le formulaire d'edition d'un média du staff et qui traite le formulaire
	public function executeEditStaffMedias(sfWebRequest $request)
	{
		$this->forward404Unless($media = Doctrine::getTable('LieuStaffMedia')->find($request->getParameter('id')), sprintf('Object LieuStaffMedia does not exist (%s).', $request->getParameter('id')));
		
		$this->form = new LieuStaffMediaForm($media);
		$this->media = $media;
		
		if($request->isMethod(sfRequest::POST))
		{
			$this->form->bind($request->getParameter($this->form->getName()), $request->getFiles($this->form->getName()));
			if ($this->form->isValid())
			{	
				$this->form->processForm($this);
				$this->redirect('lieux/listStaffMedias?id='.$media->getLieuId());
			}
		}
		
		$this->setTemplate('_staffMedias/edit');
	}
	
	
	//Action qui supprime un média du staff d'un lieu
	public function executeDeleteStaffMedias(sfWebRequest $request)
	{
		$request->checkCSRFProtection();
		
		$this->forward404Unless($media = Doctrine::getTable('LieuStaffMedia')->find($request->getParameter('id')), sprintf('Object LieuStaffMedia does not exist (%s).', $request->getParameter('id')));
		
		//On supprime le media du serveur
		$dossier = sfConfig::get('app_uploads_images_staff_lieux');
		$file_name = $media->getNomFichier();
		$file = $dossier.'/'.$file_name;
		if(!empty($file_name) && file_exists($file))
		{
			unlink($file);
		}
		
		//On supprime le media de BDD
		$lieu_id = $media->getLieuId();
		$media->delete();
		
		//On vide le cache de la galerie photos du lieu
		$dossier_cache = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_staff_lieux').'/'.$lieu_id;
		Util::deleteFolder($dossier_cache, true);
		
		//On redirige vers la liste des medias de la galerie avec message de confirmation
		$user = $this->getUser();
		$user->setFlash('bo_lieux_message_ok', 'Photo supprimée');
		$this->redirect('lieux/listStaffMedias?id='.$lieu_id);
	}
	
	
	//Action qui supprime une video d'un lieu
	public function executeDeleteGalerieVideos(sfWebRequest $request)
	{
		$request->checkCSRFProtection();
		
		$this->forward404Unless($video = Doctrine::getTable('LieuVideo')->find($request->getParameter('id')), sprintf('Object LieuVideo does not exist (%s).', $request->getParameter('id')));
		
		//On supprime la video de BDD
		$lieu_id = $video->getLieuId();
		$video->delete();
		
		//On redirige vers la liste des medias de la galerie avec message de confirmation
		$user = $this->getUser();
		$user->setFlash('bo_lieux_message_ok', 'Vidéo supprimée');
		$this->redirect('lieux/listGalerieVideos?id='.$lieu_id);
	}
	
	
	
	
	
	
	
	
	
	/*
	 * *************************************
	 *
	 * Actions sur l'onglet métier
	 *
	 * *************************************
	 */
	
	
	
	//Action qui affiche l'onglet métier d'un lieu (et qui traite le formulaire
	//d'ajout d'un nouveau media)
	public function executeListMetierMedias(sfWebRequest $request)
	{
		$this->forward404Unless($lieu = Doctrine::getTable('Lieu')->find($request->getParameter('id')), sprintf('Object Lieu does not exist (%s).', $request->getParameter('id')));
		
		$this->form = new LieuMetierMediaForm();
		
		if($request->isMethod(sfRequest::POST))
		{
			$this->form->bind($request->getParameter($this->form->getName()), $request->getFiles($this->form->getName()));
			if ($this->form->isValid())
			{	
				$this->form->processForm($this);
				$this->redirect('lieux/listMetierMedias?id='.$lieu->getId());
			}
		}
		
		//On recupere la liste des medias
		$liste_medias = $lieu->getLieuMetierMedias();
		$this->liste_medias_album_1 = array();
		$this->liste_medias_album_2 = array();
		foreach($liste_medias as $media)
		{
			if($media->getAlbumId() == 1)
			{
				$this->liste_medias_album_1[] = $media;
			}
			else
			{
				$this->liste_medias_album_2[] = $media;
			}
		}
		
		$this->form->setDefault('lieu_id', $lieu->getId());
		$this->lieu = $lieu;
		
		$this->setTemplate('_metierMedias/list');
	}
	
	
	//Action qui affiche le formulaire d'edition d'un média de l'onglet métier et qui traite le formulaire
	public function executeEditMetierMedias(sfWebRequest $request)
	{
		$this->forward404Unless($media = Doctrine::getTable('LieuMetierMedia')->find($request->getParameter('id')), sprintf('Object LieuStaffMedia does not exist (%s).', $request->getParameter('id')));
		
		$this->form = new LieuMetierMediaForm($media);
		$this->media = $media;
		
		if($request->isMethod(sfRequest::POST))
		{
			$this->form->bind($request->getParameter($this->form->getName()), $request->getFiles($this->form->getName()));
			if ($this->form->isValid())
			{	
				$this->form->processForm($this);
				$this->redirect('lieux/listMetierMedias?id='.$media->getLieuId());
			}
		}
		
		$this->setTemplate('_metierMedias/edit');
	}
	
	
	//Action qui supprime un média de l'onglet métier d'un lieu
	public function executeDeleteMetierMedias(sfWebRequest $request)
	{
		$request->checkCSRFProtection();
		
		$this->forward404Unless($media = Doctrine::getTable('LieuMetierMedia')->find($request->getParameter('id')), sprintf('Object LieuStaffMedia does not exist (%s).', $request->getParameter('id')));
		
		//On supprime le media du serveur
		$dossier = sfConfig::get('app_uploads_images_metier_lieux');
		$file_name = $media->getNomFichier();
		$file = $dossier.'/'.$file_name;
		if(!empty($file_name) && file_exists($file))
		{
			unlink($file);
		}
		
		//On supprime le media de BDD
		$lieu_id = $media->getLieuId();
		$media->delete();
		
		//On vide le cache de la galerie photos du lieu
		$dossier_cache = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_metier_lieux').'/'.$lieu_id;
		Util::deleteFolder($dossier_cache, true);
		
		//On redirige vers la liste des medias de la galerie avec message de confirmation
		$user = $this->getUser();
		$user->setFlash('bo_lieux_message_ok', 'Photo supprimée');
		$this->redirect('lieux/listMetierMedias?id='.$lieu_id);
	}
	
	
	
	
	
	
	/*
	 * *************************************
	 *
	 * Methodes AJAX
	 *
	 * *************************************
	 */
	
	//Action ajax qui affiche la pagination des lieux
	public function executeAjaxShowList(sfWebRequest $request)
	{
		$this->forward404Unless($request->isXmlHttpRequest());
		
		$this->prepareInfosAfficheListe($request);
		return $this->renderPartial('list');
	}
	
	//Action ajax qui affiche affiche un lieu sur la page d'accueil
	public function executeAjaxActiveIndex(sfWebRequest $request)
	{
		$this->forward404Unless($request->isXmlHttpRequest());
		$request->checkCSRFProtection();
		
		$this->forward404Unless($lieu = Doctrine::getTable('Lieu')->find($request->getParameter('id')), sprintf('Object Lieu does not exist (%s).', $request->getParameter('id')));
		$user = $this->getUser();
		
		//On ne peut pas activer sur la page principale un lieu qui n'est pas actif
		$this->forward404Unless($lieu->getActive(), 'Lieu non actif');
		
		//On recupere le nombre de lieux actifs sur la page d'accueil
		$nombre_lieux =  Doctrine::getTable('Lieu')->getLieuxIndexQuery()->count();
		if($nombre_lieux >= 6)
		{
			$user->setFlash('bo_lieux_message_error', 'Il y a trop de lieux actifs sur la page principale du site.', false);
		}
		else
		{
			$lieu->setActiveIndex(1);
			$lieu->save();
			$user->setFlash('bo_lieux_message_ok', 'Lieu activé sur la page principale du site', false);
		}
		
		$this->prepareInfosAfficheListe($request);
		return $this->renderPartial('list');
	}
	
	//Action ajax qui desactive un lieu sur la page d'accueil
	public function executeAjaxInactiveIndex(sfWebRequest $request)
	{
		$this->forward404Unless($request->isXmlHttpRequest());
		$request->checkCSRFProtection();
		
		$this->forward404Unless($lieu = Doctrine::getTable('Lieu')->find($request->getParameter('id')), sprintf('Object Lieu does not exist (%s).', $request->getParameter('id')));
		$user = $this->getUser();
		
		$lieu->setActiveIndex(0);
		$lieu->save();
		$user->setFlash('bo_lieux_message_ok', 'Lieu désactivé sur la page principale du site', false);
		
		$this->prepareInfosAfficheListe($request);
		return $this->renderPartial('list');
	}
	
	
	//Action ajax qui supprime un lieu
	public function executeAjaxDelete(sfWebRequest $request)
	{
		$this->forward404Unless($request->isXmlHttpRequest());
		$request->checkCSRFProtection();
		
		$this->forward404Unless($lieu = Doctrine::getTable('Lieu')->find($request->getParameter('id')), sprintf('Object Lieu does not exist (%s).', $request->getParameter('id')));
		$user = $this->getUser();
		$force = $request->getParameter('force', null);
		
		if(is_null($force) && count($lieu->getEvenements()) > 0)
		{
			//Des evenements sont associes à ce lieu, on ne peut pas supprimer
			$user->setFlash('bo_lieux_message_error', 'Impossible de supprimer ce lieu: Des événements sont associés à ce lieu.', false);
			$user->setFlash('bo_lieux_force_delete', $lieu->getId(), false);
		}
		
		elseif(is_null($force) && count($lieu->getReportages()) > 0)
		{
			//Des reportages sont associes à ce lieu, on ne peut pas supprimer
			$user->setFlash('bo_lieux_message_error', 'Impossible de supprimer ce lieu: Des reportages sont associés à ce lieu.', false);
			$user->setFlash('bo_lieux_force_delete', $lieu->getId(), false);
		}
		
		else
		{
			//Si force supression du lieu
			if(!is_null($force))
			{
				$this->forceDeleteReportages($lieu);
				$this->forceDeleteEvenements($lieu);
			}
			
			//On supprime les images de du lieux
			$dossier = sfConfig::get('app_uploads_images_lieux');
			foreach(Lieu::getNumImages() as $i)
			{
				$image = $lieu->get('image_'.$i);
				if(!empty($image) && file_exists($dossier.'/'.$image))
				{
					unlink($dossier.'/'.$image);
				}
			}
			
			//On vide le cache des images du lieu
			$folder_cache = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_lieux').'/'.$lieu->getId();
			Util::deleteFolder($folder_cache);
			
			//On supprime la galerie photos du lieu (BDD + Serveur + Cache)
			Doctrine::getTable('LieuGalerieMedia')->createQuery('m')
			->delete()->where('m.lieu_id = ?', $lieu->getId())->execute();
			$dossier = sfConfig::get('app_uploads_images_galeries_lieux').'/'.$lieu->getId();
			Util::deleteFolder($dossier);
			$dossier_cache = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_galeries_lieux').'/'.$lieu->getId();
			Util::deleteFolder($dossier_cache);
			
			//On supprime les photos staff du lieu (BDD + Serveur + Cache)
			Doctrine::getTable('LieuStaffMedia')->createQuery('m')
			->delete()->where('m.lieu_id = ?', $lieu->getId())->execute();
			$dossier = sfConfig::get('app_uploads_images_staff_lieux').'/'.$lieu->getId();
			Util::deleteFolder($dossier);
			$dossier_cache = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_staff_lieux').'/'.$lieu->getId();
			Util::deleteFolder($dossier_cache);
			
			//On supprime les photos de l'onglet métier du lieu (BDD + Serveur + Cache)
			Doctrine::getTable('LieuMetierMedia')->createQuery('m')
			->delete()->where('m.lieu_id = ?', $lieu->getId())->execute();
			$dossier = sfConfig::get('app_uploads_images_metier_lieux').'/'.$lieu->getId();
			Util::deleteFolder($dossier);
			$dossier_cache = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_metier_lieux').'/'.$lieu->getId();
			Util::deleteFolder($dossier_cache);
			
			//On supprime les videos du lieu
			Doctrine::getTable('LieuVideo')->createQuery('v')
			->delete()->where('v.lieu_id = ?', $lieu->getId())->execute();
			
			//On supprime les admins du lieu
			Doctrine::getTable('LieuAdmin')->createQuery('a')
			->delete()->where('a.lieu_id = ?', $lieu->getId())->execute();
			
			//On supprime
			$lieu->delete();
			$user->setFlash('bo_lieux_message_ok', 'Lieu supprimé', false);
		}
		
		$this->prepareInfosAfficheListe($request);
		return $this->renderPartial('list');
	}
	
	
	
	//Action ajax qui supprime une image d'un lieu
	public function executeAjaxDeleteImage(sfWebRequest $request)
	{
		$this->forward404Unless($request->isXmlHttpRequest());
		$request->checkCSRFProtection();
		
		$this->forward404Unless($lieu = Doctrine::getTable('Lieu')->find($request->getParameter('id')), sprintf('Object Lieu does not exist (%s).', $request->getParameter('id')));
		$this->forward404Unless($image_id = $request->getParameter('image'), sprintf('Image non precisee'));
		
		//On ne peut supprimer que les images qui peuvent exister
		$image_id = intval($image_id);
		$images_autorisees = Lieu::getNumImages();
		$this->forward404Unless(in_array($image_id, $images_autorisees), 'Mauvaise image');
		
		//Si le fichier est présent sur le serveur, on le supprime
		$dossier = sfConfig::get('app_uploads_images_lieux');
		$file_name = $lieu->get('image_'.$image_id);
		$file = $dossier.'/'.$file_name;
		if(!empty($file_name) && file_exists($file))
		{
			unlink($file);	
		}
		
		//On vide le cache des images du lieu
		$folder_cache = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_lieux').'/'.$lieu->getId();
		Util::deleteFolder($folder_cache);
		
		//On supprime l'image de la base de données
		$lieu->set('image_'.$image_id, null);
		$lieu->save();
				
		//On envoie un message de confirmation
		$this->setLayout(false);
		echo '<span style="color: red;">Image supprimée</span>';
		exit();
	}
	
	
	//Action Ajax pour l'autocompletion des admins d'un lieu
	public function executeAjaxAutocompleteAdmins(sfWebRequest $request)
    {
		$this->forward404Unless($request->isXmlHttpRequest());
    	
    	$this->getResponse()->setHttpHeader('Content-Type','application/json; charset=utf-8');
 
    	$q  = $request->getParameter('q');
		$limit = $request->getParameter('limit');
		
		$request = Doctrine::getTable("Membre")->createQuery('m')
        ->select('m.id, m.pseudo')
    	->where('m.confirmation = 1')
    	->addWhere('m.pseudo LIKE ?', '%'.$q.'%')
    	->orderBy('m.pseudo ASC')
    	->limit($limit)
    	->execute()
        ->getData();
 
   		$admins = array();
   		foreach ( $request as $admin )
     	$admins[$admin->id] = (string) $admin->getPseudo();
   
   		return $this->renderText(json_encode($admins));
    }	

	/*
	 * *************************************
	 *
	 * Methodes privees
	 *
	 * *************************************
	 */
	
	
	/**
	 * Methode qui prepare les informations (pour envoyer au template)
	 * pour l'affichage de la liste des lieux
	 * @param sfWebRequest $request
	 * @return unknown_type
	 */
	protected function prepareInfosAfficheListe(sfWebRequest $request)
	{
		$page = $request->getParameter('page', 1);
		
		$this->liste_lieux_non_actifs = array();
		if($page == 1)
		{
			//On est à la première page, on affiche le tableau des lieux
			//non actifs
			$this->liste_lieux_non_actifs  = Doctrine::getTable('Lieu')->getLieuxNonActifsBo();
		}
		
		//On cree le pager de résultats
		$this->pager = LieuTable::generatePagerBo();
		$this->pager->setPage($page);
		$this->pager->init();
	}
	
	
	//Traitement du formulaire
	protected function processForm(sfWebRequest $request, LieuBoForm  $form)
	{
		$form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
		if ($form->isValid())
		{	
			$lieu = $form->processForm($this);
			$this->redirect('lieux/edit?id='.$lieu->getId());
		}
		
	}
	
	//Supprime les reportages du lieu
	protected function forceDeleteReportages(Lieu $lieu)
	{
		foreach($lieu->getReportages() as $reportage)
		{
			//On recupere les medias associes au reportage
			$liste_medias = $reportage->getReportageMedias();
			$liste_id_medias = array();
			foreach($liste_medias as $media)
			{
				$liste_id_medias[] = $media->getId();
			} 
	
			//On supprime les commentaires associes aux medias
			Doctrine::getTable('ReportageComment')->createQuery('c')
			->delete()->whereIn('c.reportage_media_id', $liste_id_medias)->execute();
			
			//On supprime les ecards associes aux medias
			Doctrine::getTable('ReportageEcard')->createQuery('e')
			->delete()->whereIn('e.reportage_media_id', $liste_id_medias)->execute();
			
			//On supprime les favoris associes aux medias
			Doctrine::getTable('ReportageFavori')->createQuery('f')
			->delete()->whereIn('f.reportage_media_id', $liste_id_medias)->execute();
			
			//On supprime les medias
			Doctrine::getTable('ReportageMedia')->createQuery('m')
			->delete()->where('m.reportage_id = ?', $reportage->getId())->execute();
			
			//On supprime les médias du serveur
			$folder = sfConfig::get('app_uploads_images_reportages').'/'.$reportage->getId();
			Util::deleteFolder($folder);
			
			//On supprime les inscriptions au reportage
			Doctrine::getTable('ReportageInscription')->createQuery('i')
			->delete()->where('i.reportage_id = ?', $reportage->getId())->execute();
			
			//On supprime les associations aux reporters du reportage
			Doctrine::getTable('ReportageReporter')->createQuery('r')
			->delete()->where('r.reportage_id = ?', $reportage->getId())->execute();
			
			//On vide le cache des médias du serveur
			$dossier_cache = sfConfig::get('app_dossiers_cache_images').'/reportages/'.$reportage->getId();
			Util::deleteFolder($dossier_cache);
			
			//On supprime le reportage
			$reportage->delete();
		}
	}
	
	
	//Supprime les evenements du lieu
	protected function forceDeleteEvenements(Lieu $lieu)
	{
		foreach($lieu->getEvenements() as $evenement)
		{
			//On supprime les inscriptions associees à cet évenement
			$q = Doctrine::getTable('EvenementInscription')->createQuery('i')
			->delete()->where('i.evenement_id = ?', $evenement->getId())
			->execute();
			
			//On supprime les images de l'événement
			$dossier = sfConfig::get('app_uploads_images_agenda');
			$images = array($evenement->getImage_1(), $evenement->getImage_2(), $evenement->getImage_1_Truncate(), $evenement->getImage_2_Truncate());
			foreach($images as $image)
			{
				if(!empty($image) && file_exists($dossier.'/'.$image))
				{
					unlink($dossier.'/'.$image);
				}
			}
			
			//On vide le cache des images de l'évenement
			$folder_cache = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_agenda').'/'.$evenement->getId();
			Util::deleteFolder($folder_cache);
			
			//On supprime l'évenement
			$evenement->delete();
		}
	}
	
}
