<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Classe de formulaire qui permet d'ajouter / editer un lieu sur le back-office

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: LieuBoForm.class.php 451 2010-09-30 08:46:27Z hlecorche $ 

 */



class LieuBoForm extends BaseLieuForm

{

	public function configure()

	{

		//Classe

		$class = "fields";

		

		$this->useFields(array('type_id', 'active', 'nom', 'adresse', 'code_postal', 'ville', 'telephone', 'fax',

		'horaires', 'tarifs', 'description', 'lien', 'admins_list', 'texte_2', 'texte_3', 'texte_4', 'texte_5',

		'label_metier_album_1', 'label_metier_album_2', 'label_metier_texte_1', 'label_metier_texte_2', 'texte_metier_1', 'texte_metier_2', 'css', 'presentation'));

		

		//Champ "type_id"

  		$this->setWidget('type_id', new sfWidgetFormDoctrineChoice(array('model' => 'Type', 'add_empty' => 'Selectionnez un type'), array('class' => $class)));

  		$this->setValidator('type_id', new sfValidatorDoctrineChoice(array('model' => 'Type',

																		   'required' => true),

																	array('required' => 'Champ obligatoire',

																		  'invalid' => 'Champ invalide')));

		

		//Champ "active"

		$choices = array(0 => 'Non', 1 => 'Oui');

		$this->setWidget('active', new sfWidgetFormSelect(array('choices' => $choices)));

		$this->setValidator('active', new sfValidatorChoice(array('choices' => array_keys($choices),

																	 'required' => true),

															   array('invalid' => 'Champ invalide',

															   	 	 'required' => 'Champ obligatoire')));

		$this->setDefault('active', 1);

																	 

		//Champ "nom"

		$this->setWidget('nom', new sfWidgetFormInput(array(), array('class' => $class,

																	 'size' => 30)));

		

		$this->setValidator('nom', new sfValidatorString(array('required' => true,

  																'trim' => true,

  																'min_length' => 2,

  																'max_length' => 55),

  														  array('required' => 'Champ obligatoire',

  														  		'min_length'=> '%min_length% caractères mini',

  														  		'max_length'=> '%max_length% caractères maxi')));

  														  

  		//Champ "adresse"

		$this->setWidget('adresse', new sfWidgetFormInput(array(), array('class' => $class,

																	 'size' => 50)));

		

		$this->setValidator('adresse', new sfValidatorString(array('required' => true,

  																'trim' => true,

  																'min_length' => 5,

  																'max_length' => 255),

  														  array('required' => 'Champ obligatoire',

  														  		'min_length'=> '%min_length% caractères mini',

  														  		'max_length'=> '%max_length% caractères maxi')));

  														  

  														  

  		//Champ "Code postal"

		$this->setWidget('code_postal', new sfWidgetFormInput(array(), array('class' => $class,

																	 'size' => 20)));

		

		$this->setValidator('code_postal', new sfValidatorString(array('required' => true,

  																'trim' => true,

  																'min_length' => 5,

  																'max_length' => 10),

  														  array('required' => 'Champ obligatoire',

  														  		'min_length'=> '%min_length% caractères mini',

  														  		'max_length'=> '%max_length% caractères maxi')));

  														  

  		//Champ "Ville"

		$this->setWidget('ville', new sfWidgetFormInput(array(), array('class' => $class,

																	 'size' => 30)));

		

		$this->setValidator('ville', new sfValidatorString(array('required' => true,

  																'trim' => true,

  																'min_length' => 3,

  																'max_length' => 55),

  														  array('required' => 'Champ obligatoire',

  														  		'min_length'=> '%min_length% caractères mini',

  														  		'max_length'=> '%max_length% caractères maxi')));

  														  

  		//Champ "telephone"

		$this->setWidget('telephone', new sfWidgetFormInput(array(), array('class' => $class,

																	 'size' => 50)));

		

		$this->setValidator('telephone', new sfValidatorString(array('required' => false,

  																'trim' => true,

  																'min_length' => 10,

  																'max_length' => 55),

  														  array('min_length'=> '%min_length% caractères mini',

  														  		'max_length'=> '%max_length% caractères maxi')));

  														  

  		//Champ "fax"

		$this->setWidget('fax', new sfWidgetFormInput(array(), array('class' => $class,

																	 'size' => 50)));

		

		$this->setValidator('fax', new sfValidatorString(array('required' => false,

  																'trim' => true,

  																'min_length' => 10,

  																'max_length' => 55),

  														  array('min_length'=> '%min_length% caractères mini',

  														  		'max_length'=> '%max_length% caractères maxi')));



  		//Champ "horraires"

		$this->setWidget('horaires', new sfWidgetFormInput(array(), array('class' => $class,

																	 'size' => 30)));

		

		$this->setValidator('horaires', new sfValidatorString(array('required' => false,

  																'trim' => true,

  																'max_length' => 255),

  														  array('max_length'=> '%max_length% caractères maxi')));												  

  														  

  		//Champ "tarifs"

		$this->setWidget('tarifs', new sfWidgetFormInput(array(), array('class' => $class,

																	 'size' => 30)));

		

		$this->setValidator('tarifs', new sfValidatorString(array('required' => false,

  																'trim' => true,

  																'max_length' => 255),

  														  array('max_length'=> '%max_length% caractères maxi')));											 

  		

  														  

  		//Champ "description"

		$this->setWidget('description', new ecWidgetFormTextareaTinyMCE(array('width' => '700',

																			   'height' => '400'),

				  														 array('cols' => '60', 

				  														 	   'rows' => '10')));

		

		$this->setValidator('description', new ecValidatorHtml(array('required' => false,

  																'trim' => true,

  																'max_length' => 3000),

  														  array('max_length'=> '%max_length% caractères maxi')));



  		//Champ "presentation"

		$this->setWidget('presentation', new ecWidgetFormTextareaTinyMCE(array('width' => '700',

																			   'height' => '400'),

				  														 array('cols' => '60', 

				  														 	   'rows' => '10')));

		

		$this->setValidator('presentation', new ecValidatorHtml(array('required' => false,

  																'trim' => true,

  																'max_length' => 5000),

  														  array('max_length'=> '%max_length% caractères maxi')));

  														  

  		//Champs "texte_metier_x"

  		foreach(Lieu::getNumTextesMetiers() as $i)

  		{

			$this->setWidget('texte_metier_'.$i, new ecWidgetFormTextareaTinyMCE(array('width' => '700',

																				   'height' => '400'),

					  														 array('cols' => '60', 

					  														 	   'rows' => '10')));

			

			$this->setValidator('texte_metier_'.$i, new ecValidatorHtml(array('required' => false,

	  																'trim' => true,

	  																'max_length' => 5000),

	  														  array('max_length'=> '%max_length% caractères maxi')));

  		}



  														  

  														  

  		//images

  		foreach(Lieu::getNumImages() as $i)

  		{

  		$this->setWidget('file_image_'.$i, new sfWidgetFormInputFile(array(), array('class' => $class)));

  																  

  		$this->setValidator('file_image_'.$i, new sfValidatorFile(array('max_size' => 2000000,

  															   'mime_types' => array('image/jpeg'),

  															   'required' => false),

  														 array('max_size' => 'La photo doit faire 2Mo maximum',

  														 	   'mime_types' => 'Format du fichier incorrect')));

  		

  		}	

  		

  		

  		//Textes

  		foreach(Lieu::getNumTextes() as $i)

  		{

  		$this->setWidget('texte_'.$i, new sfWidgetFormInput(array(), array('class' => $class,

																	 		'size' => 50)));

		

		$this->setValidator('texte_'.$i, new sfValidatorString(array('required' => false,

  																'trim' => true,

  																'max_length' => 45),

  														  array('max_length'=> '%max_length% caractères maxi')));

  		}



  		

  		//Champ "lien"

		$this->setWidget('lien', new sfWidgetFormInput(array(), array('class' => $class,

																	 'size' => 30)));

		

		$this->setValidator('lien', new sfValidatorUrl(array('required' => false,

  																'trim' => true,

  																'max_length' => 255),

  														  array('max_length'=> '%max_length% caractères maxi',

  														  		'invalid' => 'Adresse invalide')));		

  		

  		//Widget de labels métiers

  		$labels = array('label_metier_album_1', 'label_metier_album_2', 'label_metier_texte_1', 'label_metier_texte_2');

  		foreach($labels as $label)

  		{

			$this->setWidget($label, new sfWidgetFormInputText(array(), array('size' => '50',

																		 'class' => $class)));

			$this->setValidator($label, new sfValidatorString(array('max_length' => 55,

																   'min_length' => 3,

																   'required' => false,

																   'trim' => true),

															 array('max_length' => '%max_length% caractères maxi.',

															 	   'min_length' => '%min_length% caractères mini.')));

  		}

  		

		//Champ "css"

		$this->setWidget('css', new sfWidgetFormTextarea(array(), array('class' => $class,

																	 			'rows' => 15,

																	 			'cols' => 90)));

		

		$this->setValidator('css', new sfValidatorString(array('required' => false,

  																'trim' => true,

  																'max_length' => 5000),

  														  array('max_length'=> '%max_length% caractères maxi')));												 

														 

														 

  		//Champ "admins_list"

  		$autocompleteWidget = new cxWidgetFormDoctrineJQuerySelectMany(array('model' => 'Membre',

  																			 'ajax_url' => sfContext::getInstance()->getController()->genUrl('lieux/ajaxAutocompleteAdmins'),

  																			 'label_source' => '<b>Recherche</b>',

  																			 'label_selected' => '<b>Admins</b>'));

  														  

  		$this->setWidget('admins_list', $autocompleteWidget);

  		$query = Doctrine::getTable('Membre')->createQuery('a')->where('a.confirmation = 1');

  		$this->setValidator('admins_list', new sfValidatorDoctrineChoice(array('multiple' => true, 'model' => 'Membre', 

  																				   'required' => false,

  																				   'query' => $query),

  																			array('invalid' => 'Membre(s) invalide(s)')));

  														  

	}

	

	

	

	

	/**

	 * Fonction apelee quand formulaire valide

	 * @param sfActions $action

	 * @return Lieu

	 */

	public function processForm(sfActions $action)

	{

		//On recupere l'objet Lieu

		$lieu = $this->getObject();

		

		//On rend inactive le lieu sur la page d'index si nouveau lieu

		if($lieu->isNew())

		{

			$lieu->setActiveIndex(0);

		}

		

		

		//Si les images ne sont pas présentes, on desactive les widgets associes

		//pour eviter une erreur SF

		foreach(Lieu::getNumImages() as $i)

		{

			$image = $this->getValue('file_image_'.$i);

			if(empty($image))

			{

				unset($this['file_image_'.$i]);

			}

		}

		

		//On sauvegarde les données

		$lieu = $this->save();

		

		//On traite les nouvelles images

		$dossier_images = sfConfig::get('app_uploads_images_lieux');

		

		foreach(Lieu::getNumImages() as $i)

		{

			$image = $this->getValue('file_image_'.$i);

			if(!empty($image))

			{

				//On regarde si une ancienne photo est presente, et si oui on la supprime

				$ancienne_image = $lieu->get('image_'.$i);

				if(!empty($ancienne_image) && file_exists($dossier_images.'/'.$ancienne_image))

				{

					unlink($dossier_images.'/'.$ancienne_image);

				}

				

				//On ajoute la nouvelle photo

				$extension = $image->getExtension($image->getOriginalExtension());

				$name = 'lieu_'.$lieu->getId().'_image_'.$i.$extension;

				$image->save($dossier_images.'/'.$name);

				

				//On mets à jour la BDD avec cette nouvelle valeur

				$lieu->set('image_'.$i, $name);

			}

		}

		

		//On sauvegarde le tout

		$lieu->save();

		

		//On vide le cache des images du lieu

		//On supprime le cache des images de profil de la personne

		$folder_cache = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_lieux').'/'.$lieu->getId();

		Util::deleteFolder($folder_cache);

		

		//On affiche le message de confirmation

		$user = $action->getUser();

		$user->setFlash('bo_lieux_form_ok', 'Lieu sauvegardé');

		

		return $lieu;

	}

}

?>