<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire d'ajout / d'édition de lieu

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _form.php 444 2010-09-29 13:16:20Z hlecorche $ 

 */





use_helper('ecFormulaire');

$dossier_images = sfConfig::get('app_dossiers_images_lieux');



?>







<?php javascript_tag() ?>

	function montrerCSS()

	{

		$("#lien_text_css").hide();

		$("#text_css").show();

	}

	

	function cacherCSS()

	{

		$("#text_css").hide();

		$("#lien_text_css").show();

	}

<?php end_javascript_tag() ?>



<form action="<?php echo url_for('lieux/'.($form->getObject()->isNew() ? 'create' : 'update').(!$form->getObject()->isNew() ? '?id='.$form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>



<?php if ($sf_user->hasFlash('bo_lieux_form_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_lieux_form_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_lieux_form_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_lieux_form_error'), 'error'); ?>

<?php endif;?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>



<div class="cadre_bouttons">

<?php echo button_to('Retour', 'lieux/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>



<?php echo $form->renderHiddenFields() ?>



<fieldset>

	<table class="tableau_formulaire">

		<tr>

			<th style="width: 200px;"><?php echo label('Nom', true) ?> :</th>

			<td><?php echo AfficheErreur($form['nom']) ?><?php echo $form['nom'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px;"><?php echo label('Type', true) ?> :</th>

			<td><?php echo AfficheErreur($form['type_id']) ?><?php echo $form['type_id'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px;"><?php echo label('Adresse', true) ?> :</th>

			<td><?php echo AfficheErreur($form['adresse']) ?><?php echo $form['adresse'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px;"><?php echo label('Code postal', true) ?> :</th>

			<td><?php echo AfficheErreur($form['code_postal']) ?><?php echo $form['code_postal'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px;"><?php echo label('Ville', true) ?> :</th>

			<td><?php echo AfficheErreur($form['ville']) ?><?php echo $form['ville'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px;"><?php echo label('Téléphone', false) ?> :</th>

			<td><?php echo AfficheErreur($form['telephone']) ?><?php echo $form['telephone'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px;"><?php echo label('Fax', false) ?> :</th>

			<td><?php echo AfficheErreur($form['fax']) ?><?php echo $form['fax'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px; vertical-align: top;"><?php echo label('Description', false) ?> :</th>

			<td><?php echo AfficheErreur($form['description']) ?><?php echo $form['description'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px; vertical-align: top;"><?php echo label('Présentation', false) ?> :</th>

			<td><?php echo AfficheErreur($form['presentation']) ?><?php echo $form['presentation'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px; vertical-align: top;"><?php echo label('Texte métier 1', false) ?> :</th>

			<td><?php echo AfficheErreur($form['texte_metier_1']) ?><?php echo $form['texte_metier_1'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px; vertical-align: top;"><?php echo label('Texte métier 2', false) ?> :</th>

			<td><?php echo AfficheErreur($form['texte_metier_2']) ?><?php echo $form['texte_metier_2'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px;"><?php echo label('Horaires', false) ?> :</th>

			<td><?php echo AfficheErreur($form['horaires']) ?><?php echo $form['horaires'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px;"><?php echo label('Tarifs', false) ?> :</th>

			<td><?php echo AfficheErreur($form['tarifs']) ?><?php echo $form['tarifs'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px;"><?php echo label('Site web', false) ?> :</th>

			<td><?php echo AfficheErreur($form['lien']) ?><?php echo $form['lien'] ?></td>

		</tr>

	<?php foreach(Lieu::getNumImages() as $i): ?>

		<tr>

			<th style="width: 200px;"><?php echo label(Lieu::getNameImage($i), false) ?> :</th>

			<td><?php echo AfficheErreur($form['file_image_'.$i]) ?><?php echo $form['file_image_'.$i] ?>

				<?php $file = $form->getObject()->get('image_'.$i); ?>

				<?php if(!empty($file)): ?>

					<span id="file_<?php echo $i?>">

						<a href="<?php echo Util::getUrlImage($dossier_images.'/'.$file) ?>" class="thickbox">[Voir l'image]</a>

						<?php if($sf_user->hasCredential(array('ADMIN', 'MANAGER'), false)) echo jq_link_to_remote('[Supprimer l\'image]', array('url' => 'lieux/ajaxDeleteImage?id='.$form->getObject()->getId().'&image='.$i, 'update' => 'file_'.$i ,'confirm' => 'Voulez-vous vraiment supprimer cette image?', 'csrf' => true)) ?>&nbsp;&nbsp;

					</span>

				<?php endif; ?>

			</td>

		</tr>

		<?php if(in_array($i, Lieu::getNumTextes())): ?>

			<tr>

				<th style="width: 200px;"><?php echo label('Texte '.Lieu::getNameImage($i), false) ?> :</th>

				<td><?php echo AfficheErreur($form['texte_'.$i]) ?><?php echo $form['texte_'.$i] ?></td>

			</tr>

		<?php endif; ?>

	<?php endforeach; ?>

		<tr>

			<th style="width: 200px;"><?php echo label('Onglet métier galerie 1', false) ?> :</th>

			<td><?php echo AfficheErreur($form['label_metier_album_1']) ?><?php echo $form['label_metier_album_1'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px;"><?php echo label('Onglet métier galerie 2', false) ?> :</th>

			<td><?php echo AfficheErreur($form['label_metier_album_2']) ?><?php echo $form['label_metier_album_2'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px;"><?php echo label('Onglet métier texte 1', false) ?> :</th>

			<td><?php echo AfficheErreur($form['label_metier_texte_1']) ?><?php echo $form['label_metier_texte_1'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px;"><?php echo label('Onglet métier texte 2', false) ?> :</th>

			<td><?php echo AfficheErreur($form['label_metier_texte_2']) ?><?php echo $form['label_metier_texte_2'] ?></td>

		</tr>

		<tr>

			<th style="width: 200px;"><?php echo label('CSS', false) ?> :</th>

			<td>

					<?php echo AfficheErreur($form['css']) ?>

					<div id="lien_text_css"><a href="#" onclick="montrerCSS(); return false;">Editer le CSS</a></div>

					<div id="text_css" style="display: none;">

						<a href="#" onclick="cacherCSS(); return false;">Fermer le CSS</a><br />

						<?php echo $form['css'] ?>

					</div>

			</td>

		</tr>

		<tr>

			<th style="width: 200px; vertical-align: top;"><?php echo label('Admins', false) ?> :</th>

			<td style="background-color: #7d7b7b;">

				Membres ayants les droits pour modifier ce lieu, depuis le front-office: <br /><br />

				<?php echo AfficheErreur($form['admins_list']) ?><?php echo $form['admins_list'] ?>

			</td>

		</tr>

		<tr>

			<th style="width: 200px;"><?php echo label('Actif', false) ?> :</th>

			<td><?php echo AfficheErreur($form['active']) ?><?php echo $form['active'] ?></td>

		</tr>

	</table>

</fieldset>





<div class="cadre_bouttons">

<?php echo button_to('Retour', 'lieux/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>





</form>