<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial qui affiche la liste des lieux

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _list.php 443 2010-09-29 12:39:29Z hlecorche $ 

 */



use_helper('ecomliste');

?>



<?php if ($sf_user->hasFlash('bo_lieux_message_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_lieux_message_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_lieux_message_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_lieux_message_error'), 'error'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_lieux_force_delete')): ?>

	Pour forcer la suppression de ce lieu (ainsi que les événements et reportages associés), <?php echo jq_link_to_remote('cliquez ici', array('url' => 'lieux/ajaxDelete?id='.$sf_user->getFlash('bo_lieux_force_delete').'&page='.$pager->getPage().'&force=1', 'update' => 'list' ,'confirm' => 'Voulez-vous vraiment supprimer ce lieu ainsi que les reportages et événements associés? ATTENTION! Cette action peut durer plusieurs minutes.', 'csrf' => true, 'loading' => '$(\'#list\').html(\'Merci de patienter... Suppression en cours... Ne pas fermer cette page.\')')) ?>

	<br />

<?php endif;?>



<?php echo affiche_pagination($pager, 'icones/16/resultset_first.png', 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 'icones/16/resultset_next.png', 2, 2, 'lieux/ajaxShowList?page=', array('update' => 'list')) ?>





<?php if(count($liste_lieux_non_actifs) >0): ?>

<fieldset>

	<legend>Lieux non actifs</legend>

	<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 200px;">Nom</th>

			<th style="width: 150px;">Type</th>

			<th style="width: 70px;">Code Postal</th>

			<th style="width: 170px;">Ville</th>

			<th style="width: 160px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($liste_lieux_non_actifs as $lieu): ?>

		<tr>

			<td><?php echo $lieu->getNom() ?></td>

			<td><?php echo $lieu->getType()->getNom() ?></td>

			<td><?php echo $lieu->getCodePostal() ?></td>

			<td><?php echo $lieu->getVille() ?></td>

			<td style="text-align: center;">

				<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'lieux/edit?id='.$lieu->getId())?>&nbsp;&nbsp;

				<?php if($sf_user->hasCredential(array('ADMIN', 'MANAGER'), false)): ?>

				<?php echo link_to(image_tag('icones/16/brick_edit.png', array('alt' => 'edit metier', 'title' => 'Modifier onglet métier')), 'lieux/listMetierMedias?id='.$lieu->getId())?>&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/camera_edit.png', array('alt' => 'edit medias', 'title' => 'Modifier galerie photos')), 'lieux/listGalerieMedias?id='.$lieu->getId())?>&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/video.png', array('alt' => 'edit medias', 'title' => 'Modifier galerie vidéos')), 'lieux/listGalerieVideos?id='.$lieu->getId())?>&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/user_green.png', array('alt' => 'edit staff', 'title' => 'Modifier staff')), 'lieux/listStaffMedias?id='.$lieu->getId())?>&nbsp;&nbsp;

				<?php echo jq_link_to_remote(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 

											array('url' => 'lieux/ajaxDelete?id='.$lieu->getId().'&page='.$pager->getPage(), 'update' => 'list' ,'confirm' => 'Voulez-vous vraiment supprimer ce lieu?', 'csrf' => true)) ?>&nbsp;&nbsp;

				<?php endif; ?>

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

	</table>

	

</fieldset>

<?php endif; ?>









<fieldset>

	<legend>Lieux actifs</legend>

	<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 200px;">Nom</th>

			<th style="width: 150px;">Type</th>

			<th style="width: 70px;">Code Postal</th>

			<th style="width: 170px;">Ville</th>

			<th style="width: 160px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($pager->getResults() as $lieu): ?>

		<tr>

			<td><?php echo $lieu->getNom() ?></td>

			<td><?php echo $lieu->getType()->getNom() ?></td>

			<td><?php echo $lieu->getCodePostal() ?></td>

			<td><?php echo $lieu->getVille() ?></td>

			<td style="text-align: center;">

				<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'lieux/edit?id='.$lieu->getId())?>&nbsp;

				<?php if($sf_user->hasCredential(array('ADMIN', 'MANAGER'), false)): ?>

				<?php echo link_to(image_tag('icones/16/brick_edit.png', array('alt' => 'edit metier', 'title' => 'Modifier onglet métier')), 'lieux/listMetierMedias?id='.$lieu->getId())?>&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/camera_edit.png', array('alt' => 'edit medias', 'title' => 'Modifier galerie photos')), 'lieux/listGalerieMedias?id='.$lieu->getId())?>&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/video.png', array('alt' => 'edit medias', 'title' => 'Modifier galerie vidéos')), 'lieux/listGalerieVideos?id='.$lieu->getId())?>&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/user_green.png', array('alt' => 'edit staff', 'title' => 'Modifier staff')), 'lieux/listStaffMedias?id='.$lieu->getId())?>&nbsp;

				<?php echo jq_link_to_remote(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 

											array('url' => 'lieux/ajaxDelete?id='.$lieu->getId().'&page='.$pager->getPage(), 'update' => 'list' ,'confirm' => 'Voulez-vous vraiment supprimer ce lieu?', 'csrf' => true)) ?>&nbsp;

				<?php if($lieu->getActive() && !$lieu->getActiveIndex()): ?>

					<?php echo jq_link_to_remote(image_tag('icones/15/application_home.png', array('alt' => 'oH', 'title' => 'Afficher sur la page principale du site')), 

												array('url' => 'lieux/ajaxActiveIndex?id='.$lieu->getId().'&page='.$pager->getPage(), 'update' => 'list', 'csrf' => true)) ?>

				<?php elseif($lieu->getActive() && $lieu->getActiveIndex()): ?>

					<?php echo jq_link_to_remote(image_tag('icones/15/no_application_home.png', array('alt' => 'nH', 'title' => 'Supprimer de la page principale du site')), 

											array('url' => 'lieux/ajaxInactiveIndex?id='.$lieu->getId().'&page='.$pager->getPage(), 'update' => 'list', 'csrf' => true)) ?>

				<?php endif; ?>

				<?php endif; ?>

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

	</table>

	

</fieldset>



<br />

<?php echo image_tag('icones/15/application_home.png', array('alt' => 'oH', 'title' => 'Afficher sur la page principale du site')) ?>

 : Afficher le lieu sur la page principale du site <br />

<?php echo image_tag('icones/15/no_application_home.png', array('alt' => 'nH', 'title' => 'Supprimer de la page principale du site')) ?>

 : Supprimer de la page principale du site