<?php

/**
 * main actions.
 *
 * @package    anbnws
 * @subpackage main
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 289 2009-09-25 12:50:23Z hlecorche $
 */
class mainActions extends sfActions
{
	/**
	 * Executes index action
	 *
	 * @param sfRequest $request A request object
	 */
	public function executeIndex(sfWebRequest $request)
	{
		$user = $this->getUser();
		
		//Si la personne est authentifiee, on affiche les stats
		if(!$user->hasCredential(array('ADMIN', 'MANAGER'), false))
		{
			return 'Success';
		}
		
		$this->display_stats = true;
		
		//Mois à annalyer
		$this->mois = $request->getParameter('mois', date('Y-m', time()));
		
		//Statistiques de chaque jours, pour le mois choisis
		$this->stats_mois_courrant = Doctrine::getTable('Stats')
		->getStatsMonthQuery($this->mois)
		->addwhere('s.date <= ?', date('Y-m-d', time()))
		->fetchArray();
		
		//Nombre d'inscrits aujourd'hui
		$results = Doctrine::getTable('Membre')->createQuery('m')
		->where('m.created_at LIKE ?', date('Y-m-d', time()).' %')
		->select('count(id) as nombre_inscrits')
		->fetchArray();
		$this->nombre_inscrits = $results[0]['nombre_inscrits'];
		
		//Nombre connectes aujourd'hui
		$results = Doctrine::getTable('Membre')->createQuery('m')
		->where('m.derniere_requete LIKE ?', date('Y-m-d', time()).' %')
		->select('count(id) as nombre_connectes')
		->fetchArray();
		$this->nombre_connectes = $results[0]['nombre_connectes'];
		
		//On affiche la liste des autres mois pour afficher les stats
		$liste_mois = array();
		$date = time();
		for($i=0; $i<=20; $i++)
		{
			$liste_mois[date('Y-m', $date)] = date('F Y', $date);
			$mois = date('m', $date); 
			$annee = date('Y', $date);
			$date =  mktime(0, 0, 0, $mois -1 , 1, $annee); 
		}
		$this->liste_mois = $liste_mois;
	}


	//Action qui deconnecte la personne
	public function executeLogout(sfWebRequest $request)
	{
		 $this->redirect($this->getContext()->getConfiguration()->generateFrontendUrl('logout'));
	}
	
	
	//Action qui affiche la page de backup
	public function executeBackup(sfWebRequest $request)
	{
		
	}
	
	//Action qui realise le backup SQL 
	public function executeGoBackup(sfWebRequest $request)
	{
		$user = $this->getUser();
		
		//On recupere les informations necessaires pour realiser le backup
		$dsn = Doctrine::getConnectionByTableName('membre')->getOption('dsn');
		$login = Doctrine::getConnectionByTableName('membre')->getOption('username');
		$password = Doctrine::getConnectionByTableName('membre')->getOption('password');
		$file_backup = sfConfig::get('sf_data_dir').'/backup/backup.zip';
		
		//On recupere le nom du serveur SQL dans le DSN
		if(!preg_match('/host=(?P<host>.+);dbname=(?P<dbname>.+)$/', $dsn, $matches) || empty($matches['host']) || empty($matches['dbname']))
		{
			$user->setFlash('bo_backup_error', 'Impossible de lancer la backup. Les paramètres de connexion sont incorrects.');
			$this->redirect('main/backup');
		}
		$host = $matches['host'];
		$dbname = $matches['dbname'];
		
		//Si le fichier backup existe deja, impossible de débuter le backup
		if(file_exists($file_backup))
		{
			$user->setFlash('bo_backup_error', 'Impossible de lancer la backup. Le fichier de destinataire existe déja.');
			$this->redirect('main/backup');
		}
		
		//On prepare la commande pour creer le backup
		$command = 'mysqldump --host='.$host.' --user='.$login.' --password='.$password.' '.$dbname.' | gzip > '.$file_backup;
		
		
		//On execute la commande
		system($command);
		
		if(!file_exists($file_backup))
		{
			$user->setFlash('bo_backup_error', 'Une erreur est survenue pendant la création du backup.');
			$this->redirect('main/backup');
		}
		
		//On envoie le fichier au navigateur
		$fichier_nom = basename($file_backup);
		$fichier_taille = filesize($file_backup);
		
		header("Content-disposition: attachment; filename=$fichier_nom" );
		header("Content-Type: application/octet-stream" );
		header("Content-Description: File Transfert" );
		header("Content-Transfer-Encoding: binary" );
		header("Content-Length: $fichier_taille" );
		header("Pragma: no-cache" );
		header("Cache-Control: no-store, no-cache, must-revalidate,	post-check=0, pre-check=0" );
		header("Expires: 0" );
		readfile($file_backup); 
		
		//On supprime le fichier
		if(file_exists($file_backup))
		{
			unlink($file_backup);
		}
		
	}
}
