<?php

/**
 * news actions.
 *
 * @package    anbnws
 * @subpackage news
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 378 2010-08-25 12:19:33Z hlecorche $
 */
class newsActions extends sfActions
{
/*
	 * *************************************
	 *
	 * Actions
	 * 
	 * *************************************
	 */
//action qui liste les news
  public function executeIndex(sfWebRequest $request)
  {
    $this->news = Doctrine::getTable('News')->createQuery('n')
		->addOrderBy('n.priorite ASC')->execute();
  }
  
  //action qui affiche le formulaire d'ajout de news
  public function executeNew(sfWebRequest $request)
  {
  	$this->form_news = new NewsForm();
  }
  
  //action qui ajoute une news
  public function executeCreate(sfWebRequest $request)
  {
  	//on verifie si on a recu des parametres en post
	$this->forward404Unless($request->isMethod('post'));
	
	//on crée un formulaire
	$this->form_news = new NewsForm();
	
	//on appelle la fonction qui remplit le formulaire et qui teste sa validité
	$this->ProcessForm($this->form_news, $request);
	
	//on retourne sur la page qui liste les news en cas d'erreur(s)
	$this->setTemplate('new');
  }
  
  //action qui affiche le formulaire d'edition des news
  public function executeEdit(sfWebRequest $request)
  {
  	//on teste la validité des parametres recus
	$this->forward404Unless($news = Doctrine::getTable('News')->find($request->getParameter('id')), sprintf('Object news does not exist (%s).', $request->getParameter('id')));
	//on créer un formulaire
	$this->form_news = new NewsForm($news);
	
  }
  
//Action qui fait la mise à jour d'une news
	public function executeUpdate(sfWebRequest $request)
	{
		//on teste la validité des parametres recu
		$this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
		$this->forward404Unless($news = Doctrine::getTable('News')->find($request->getParameter('id')), sprintf('Object news does not exist (%s).', $request->getParameter('id')));
		//on créer un formulaire
		$this->form_news = new NewsForm($news);
		//on appel la fonction qui teste la validité du formulaire
		$this->processForm($this->form_news,$request);
		
		$this->setTemplate('edit');
	}
	
	//action qui supprime une news
	public function executeDelete(sfWebRequest $request)
	{
		$request->checkCSRFProtection();
		$user = $this->getUser();
		
		
		$this->forward404Unless($news = Doctrine::getTable('News')->find($request->getParameter('id')), sprintf('Object news does not exist (%s).', $request->getParameter('id')));
		
		//on supprime l'enregistrement dans la base de donnée
		$news->delete();
		$user->setFlash('news_supprimer_ok', 'La news a bien été supprimée.');
		
		//on appelle la fonction qui vide le cache sur les news du frontoffice
		$this->DeleteCache();
		
		//redirect
		$this->redirect('news/index');

	}
  
  	/*
	 * *************************************
	 *
	 * Méthodes privées
	 * 
	 * *************************************
	 */
  
	/**
	 * fonction qui remplit le formulaire et qui teste sa validité.SI valide, apel la fonction processForm du formulaire
	 * @param NewsForm $form formulaire de news
	 * @param sfWebRequest $request
	 * @return unknown_type
	 */ 
	 private function ProcessForm(NewsForm $form, $request)
	 {
	 //on remplit ce formulaire avec les objets recu en parametre, qui correspondent aux champs du formulaire remplit par l'utilisateur
		$form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));

		//si le formulaire est valide
		if ($form->isValid())
		{
			//on appelle la fonction qui vide le cache sur les news du frontoffice
			$this->DeleteCache();
			
			//on appelle la fonction processForm definit dans le formulaire 
			$news = $form->processForm($this);
			$this->redirect('news/edit?id='.$news->getId());
		}
		
	 }
	 
 /**
	  * fonction qui vide le cache du module bannieres du frontend
	  * @return unknown_type
	  */
	 private function DeleteCache()
	 {
	 	sfContext::switchTo('frontend');
	 	$cacheManager = sfContext::getInstance()->getViewCacheManager();
	 	$cacheManager->remove('@sf_cache_partial?module=bannieres&action=_news&sf_cache_key=*','*'); 
		sfContext::switchTo('backend');
	 
	 
	 }
}
