<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche le formulaire d'ajout de nouvelle newsletter

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: newSuccess.php 452 2010-09-30 08:47:20Z hlecorche $ 

 */



use_helper('Date');



?>



<div class="titre">Nouvelle Newsletter</div>



<?php if ($sf_user->hasFlash('bo_newsletter_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_newsletter_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_newsletter_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_newsletter_error'), 'error'); ?>

<?php endif;?>





<?php echo form_tag('newsletter/create')?>

<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 219px;">Nom</th>

			<th style="width: 75px;">Date</th>

			<th style="width: 219px;">Lieu</th>

			<th style="width: 100px;">Ajout</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($liste_evenements as $evenement): ?>

		<tr>

			<td><?php echo $evenement->getTitre() ?></td>

			<td><?php echo format_date($evenement->getDateDebut(), 'dd/MM/yyyy') ?></td>

			<td><?php echo $evenement->getLieu()->getNom() ?></td>

			<td style="text-align: center;"><input type="checkbox" id="add_event_<?php echo $evenement->getId()?>" name="add_event[<?php echo $evenement->getId() ?>]" value="<?php echo $evenement->getId() ?>" <?php echo (in_array($evenement->getId(), $sf_data->getRaw('default_events')))? 'checked="checked"' : ''?> /></td>

		</tr>

	<?php endforeach; ?>

	</tbody>

</table>



<table class="tableau_formulaire">

		<tr>

			<th style="width: 150px; vertical-align: top;">Adresses de destination (une par ligne) :</th>

			<td><textarea id="addresses" name="addresses" rows="4" cols="40" class="fields"><?php echo $default_addresses ?></textarea></td>

		</tr>

		<tr>

			<th style="width: 150px; vertical-align: top;">Message :</th>

			<?php $widget = new ecWidgetFormTextareaTinyMCE(array('width' => '700',	'height' => '400'),array('cols' => '60', 'rows' => '10'))?>

			<td><?php echo $widget->render('add_text', $default_text) ?></td>

		</tr>

</table>



<div class="cadre_bouttons">

<input type="submit" value="Valider" class="button_add" />

</div>



</form>



<div style="background-color: #ccd152;">

<ul>

	<li>Vous pouvez selectionner des évenements et/ou écrire un message dans votre newsletter.</li>

	<li>Si le champ "Adresses de destinations", uniquement sur ces adresses sera envoyée la newsletter. Sinon, envoi à tous les abonnés.</li>

</ul>

</div>

