<?php

/**
 * bannieres actions.
 *
 * @package    anbnws
 * @subpackage partenaires
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 378 2010-08-25 12:19:33Z hlecorche $
 */
class partenairesActions extends sfActions
{
	
	/*
	 * *************************************
	 *
	 * Actions
	 * 
	 * *************************************
	 */
	
	
	//Action qui affiche la liste des partenaires
	public function executeIndex(sfWebRequest $request)
	{
		//on appelle la fonction qui liste les partenaires	
		$this->ListerPartenaires();
			
		//on recupere le dossier qui contient les images des partenaires
		$this->dossier = sfConfig::get('app_dossiers_partenaires');
			
	}

	//Action qui affiche le formulaire d'ajout d'un nouveau partenaire
	public function executeNew(sfWebRequest $request)
	{
		$this->form_partenaire = new PartenaireForm();
		
	}
	
	//action qui ajoute un nouveau partenaire
	public function executeCreate(sfWebRequest $request)
	{
		//on verifie si on a recu des parametres en post
		$this->forward404Unless($request->isMethod('post'));
		
		//on crée un formulaire
		$this->form_partenaire = new PartenaireForm();
		
		//on appelle la fonction qui remplit le formulaire et qui teste sa validité
		$this->ProcessForm($this->form_partenaire, $request);
		
		//on retourne sur la page qui liste les partenaires
		$this->setTemplate('new');
	}
	
	//Action qui affiche le formulaire d'edition d'un partenaire
	public function executeEdit(sfWebRequest $request)
	{
		//on teste la validité des parametres recus
		$this->forward404Unless($partenaire = Doctrine::getTable('Partenaire')->find($request->getParameter('id')), sprintf('Object Partenaire does not exist (%s).', $request->getParameter('id')));
		//on créer un formulaire
		$this->form_partenaire = new PartenaireForm($partenaire);
		
		$this->dossier = sfConfig::get('app_dossiers_partenaires');
		
		$this->url = $partenaire->getUrlImage();
		
	}

	
	
	
	//Action qui fait la mise à jour d'un partenaire
	public function executeUpdate(sfWebRequest $request)
	{
		//on teste la validité des parametres recu
		$this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
		$this->forward404Unless($partenaire = Doctrine::getTable('Partenaire')->find($request->getParameter('id')), sprintf('Object Partenaire does not exist (%s).', $request->getParameter('id')));
		//on créer un formulaire
		$this->form_partenaire = new PartenaireForm($partenaire);
		//on appel la fonction qui teste la validité du formulaire
		$this->processForm($this->form_partenaire,$request);
		
		$this->dossier = sfConfig::get('app_dossiers_partenaires');
		$this->url = $partenaire->getUrlImage();
		
		$this->setTemplate('edit');
	}
	
	//action qui supprime un partenaire
	public function executeDelete(sfWebRequest $request)
	{
		$request->checkCSRFProtection();
		$user = $this->getUser();
		
		
		$this->forward404Unless($partenaire = Doctrine::getTable('Partenaire')->find($request->getParameter('id')), sprintf('Object Partenaire does not exist (%s).', $request->getParameter('id')));
		//on recupere la chemin du dossier ou sont stocké les images 
		$this->dossier = sfConfig::get('app_uploads_partenaires');

		//on supprime l'image si elle existe
		$file_name = $partenaire->getUrlImage();
		$file = $this->dossier.'/'.$file_name;
		if(!empty($file_name) && file_exists($file))
		{
			unlink($file);
		}
		
		//dans tous les cas on supprime l'enregistrement dans la base de donnée
		$partenaire->delete();
		$user->setFlash('partenaire_supprimer_ok', 'Le partenaire a bien été supprimé.');
		
		//on appelle la fonction qui vide le cache sur les images des partenaires, sur le frontoffice
		$this->DeleteCache();

		//redirect
		$this->redirect('partenaires/index');

	}
	
	
	
	
	
	
	
	/*
	 * *************************************
	 *
	 * Méthodes privées
	 * 
	 * *************************************
	 */
	
	/**
	 * fonction qui liste les partenaires dans la BDD en les classant par
	 * ordre de priorité croissant
	 * @return unknown_type
	 */
	private function ListerPartenaires()
	{
		$this->partenaires = Doctrine::getTable('Partenaire')->createQuery('p')
		->addOrderBy('p.priorite ASC')->execute();
		
	}
	
	/**
	 * fonction qui remplit le formulaire et qui teste sa validité.SI valide, apel la fonction processForm du formulaire
	 * @param partenaireForm $form formulaire de partenaire
	 * @param sfWebRequest $request
	 * @return unknown_type
	 */ 
	 private function ProcessForm($form,$request)
	 {
	 //on remplit ce formulaire avec les objets recu en parametre, qui correspondent aux champs du formulaire remplit par l'utilisateur
		$form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));

		//si le formulaire est valide
		if ($form->isValid())
		{
			//on appelle la fonction qui vide le cache sur les images des partenaires, sur le frontoffice
			$this->DeleteCache();
			//on appelle la fonction processForm definit dans le formulaire 
			$form->processForm($this);
			
		}
		
	 }
	 
	 /**
	  * fonction qui vide le cache du module bannieres du frontend
	  * @return unknown_type
	  */
	 private function DeleteCache()
	 {
	 	sfContext::switchTo('frontend');
	 	$cacheManager = sfContext::getInstance()->getViewCacheManager();
	 	$cacheManager->remove('@sf_cache_partial?module=bannieres&action=_partenaires&sf_cache_key=*','*'); 
		sfContext::switchTo('backend');
	 
	 
	 }
}
