<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire d'ajout / d'édition d'un reportage

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _form.php 429 2010-09-27 11:49:59Z hlecorche $ 

 */





use_helper('ecFormulaire');



?>



<form action="<?php echo url_for('reportages/'.($form->getObject()->isNew() ? 'create' : 'update').(!$form->getObject()->isNew() ? '?id='.$form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>



<?php if ($sf_user->hasFlash('bo_reportages_form_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_reportages_form_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_reportages_form_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_reportages_form_error'), 'error'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_reportages_upload_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_reportages_upload_ok'), 'ok'); ?>

<?php endif;?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>



<div class="cadre_bouttons">

<?php echo button_to('Retour', 'reportages/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>



<?php echo $form->renderHiddenFields() ?>



<fieldset>

	<table class="tableau_formulaire">

		<tr>

			<th style="width: 150px;"><?php echo label('Nom', true) ?> :</th>

			<td><?php echo AfficheErreur($form['titre']) ?><?php echo $form['titre'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Lieu', true) ?> :</th>

			<td>

				Type: <?php echo AfficheErreur($form['type_id']) ?><?php echo $form['type_id'] ?> Lieu : 

				<span id="liste_lieu_id"><?php echo AfficheErreur($form['lieu_id']) ?><?php echo $form['lieu_id'] ?></span>

			</td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Date', true) ?> :</th>

			<td><?php echo AfficheErreur($form['date']) ?><?php echo $form['date'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Description', true) ?> :</th>

			<td><?php echo AfficheErreur($form['description']) ?><?php echo $form['description'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Lier à l\'agenda', true) ?> :</th>

			<td><?php echo AfficheErreur($form['lier_agenda']) ?><?php echo $form['lier_agenda'] ?></td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Médias', false) ?> :</th>

			<td><?php echo AfficheErreur($form['archive']) ?><?php echo $form['archive'] ?>

			</td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Reporters', true) ?> :</th>

			<td><?php use_javascript('/js/double_list.js') ?>

				<?php echo AfficheErreur($form['reporters_list']) ?><?php echo $form['reporters_list'] ?>

			</td>

		</tr>

		<tr>

			<th style="width: 150px;"><?php echo label('Actif', true) ?> :</th>

			<td><?php echo AfficheErreur($form['active']) ?><?php echo $form['active'] ?></td>

		</tr>

	</table>

</fieldset>





<div class="cadre_bouttons">

<?php echo button_to('Retour', 'reportages/index', array('class' => 'button_back')) ?>

<input type="submit" value="Sauvegarder" class="button_save" />

</div>





</form>







<div style="background-color: #ccd152;">

<ul>

	<li>Le fichier médias doit être une archive au format <b>.zip</b>.</li>

	<li>L'archive doit contenir uniquement des fichiers au format <b>.jpg</b> et <b>.flv</b>.</li>

	<li>Si des médias sont déjà présents dans le reportage, l'ajout de nouveaux médias n'effacera pas les anciens.</li>

	<li>Les médias seront ajoutés sur le site dans l'ordre suivant: Par ordre d'ajout, puis par ordre alphabétique.</li>

	<li>La taille maximum autorisée d'une archive est de 20 Mo. Si nécessaire, mettre les médias en plusieurs temps.</li>

</ul>

</div>