<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial qui affiche la liste des reportages

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _list.php 350 2010-08-13 09:06:41Z hlecorche $ 

 */



use_helper('ecomliste');

use_helper('Date');

?>



<?php if ($sf_user->hasFlash('bo_reportages_message_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_reportages_message_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('bo_reportages_message_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_reportages_message_error'), 'error'); ?>

<?php endif;?>



<?php echo affiche_pagination($pager, 'icones/16/resultset_first.png', 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 'icones/16/resultset_next.png', 2, 2, 'reportages/ajaxShowList?page=', array('update' => 'list')) ?>





<?php if(count($liste_reportages_non_actifs) >0): ?>

<fieldset>

	<legend>Reportages non actifs</legend>

	<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 356px;">Nom</th>

			<th style="width: 75px;">Date</th>

			<th style="width: 219px;">Lieu</th>

			<th style="width: 100px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($liste_reportages_non_actifs as $reportage): ?>

		<tr>

			<td><?php echo ($reportage->getIsReportageVideo())? image_tag('icones/16/video.png', array('alt' => 'video')) : ''?><?php echo $reportage->getTitre() ?></td>

			<td><?php echo format_date($reportage->getDate(), 'dd/MM/yyyy') ?></td>

			<td><?php echo $reportage->getLieu()->getNom() ?></td>

			<td style="text-align: center;">

				<?php if($sf_user->hasCredential(array('ADMIN', 'MANAGER', 'EXPO', 'REPORTER', 'REPORTER_EX'), false)): ?>

				<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'reportages/edit?id='.$reportage->getId())?>&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/camera_edit.png', array('alt' => 'edit medias', 'title' => 'Modifier médias')), 'reportages/editMedias?id='.$reportage->getId())?>&nbsp;&nbsp;

				<?php endif; ?>

				<?php if($sf_user->hasCredential('ADMIN')): ?>

					<?php echo jq_link_to_remote(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 

												array('url' => 'reportages/ajaxDelete?id='.$reportage->getId().'&page='.$pager->getPage(), 'update' => 'list' ,'confirm' => 'Voulez-vous vraiment supprimer ce reportage?', 'csrf' => true)) ?>&nbsp;&nbsp;

				<?php endif; ?>

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

	</table>

	

</fieldset>

<?php endif; ?>









<fieldset>

	<legend>Reportages actifs</legend>

	<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 356px;">Nom</th>

			<th style="width: 75px;">Date</th>

			<th style="width: 219px;">Lieu</th>

			<th style="width: 100px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($pager->getResults() as $reportage): ?>

		<tr>

			<td><?php echo ($reportage->getIsReportageVideo())? image_tag('icones/16/video.png', array('alt' => 'video')) : ''?><?php echo $reportage->getTitre() ?></td>

			<td><?php echo format_date($reportage->getDate(), 'dd/MM/yyyy') ?></td>

			<td><?php echo $reportage->getLieu()->getNom() ?></td>

			<td style="text-align: center;">

			<?php if($sf_user->hasCredential(array('ADMIN', 'MANAGER', 'EXPO', 'REPORTER', 'REPORTER_EX'), false)): ?>

				<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'reportages/edit?id='.$reportage->getId())?>&nbsp;&nbsp;

				<?php echo link_to(image_tag('icones/16/camera_edit.png', array('alt' => 'edit medias', 'title' => 'Modifier médias')), 'reportages/editMedias?id='.$reportage->getId())?>&nbsp;&nbsp;

			<?php endif; ?>

			<?php if($sf_user->hasCredential('ADMIN')): ?>

				<?php echo jq_link_to_remote(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 

											array('url' => 'reportages/ajaxDelete?id='.$reportage->getId().'&page='.$pager->getPage(), 'update' => 'list' ,'confirm' => 'Voulez-vous vraiment supprimer ce reportage?', 'csrf' => true)) ?>&nbsp;&nbsp;

			<?php endif; ?>

			<?php if($sf_user->hasCredential(array('ADMIN', 'MANAGER', 'REPORTER_EX'), false)): ?>	

				<?php if($reportage->getActive() && $reportage->estPasse() && !$reportage->getActiveIndex()): ?>

					<?php echo jq_link_to_remote(image_tag('icones/15/application_home.png', array('alt' => 'oH', 'title' => 'Afficher sur la page principale du site')), 

												array('url' => 'reportages/ajaxActiveIndex?id='.$reportage->getId().'&page='.$pager->getPage(), 'update' => 'list', 'csrf' => true)) ?>

				<?php elseif($reportage->getActive() && $reportage->estPasse() && $reportage->getActiveIndex()): ?>

					<?php echo jq_link_to_remote(image_tag('icones/15/no_application_home.png', array('alt' => 'nH', 'title' => 'Supprimer de la page principale du site')), 

											array('url' => 'reportages/ajaxInactiveIndex?id='.$reportage->getId().'&page='.$pager->getPage(), 'update' => 'list', 'csrf' => true)) ?>

				<?php else: ?>

					&nbsp;&nbsp;&nbsp;

				<?php endif; ?>

			<?php endif; ?>

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

	</table>

	

</fieldset>



<br />

<?php echo image_tag('icones/15/application_home.png', array('alt' => 'oH', 'title' => 'Afficher sur la page principale du site')) ?>

 : Afficher le reportage sur la page principale du site <br />

<?php echo image_tag('icones/15/no_application_home.png', array('alt' => 'nH', 'title' => 'Supprimer de la page principale du site')) ?>

 : Supprimer de la page principale du site