<?php

/**
 * sondages actions.
 *
 * @package    anbnws
 * @subpackage sondages
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 378 2010-08-25 12:19:33Z hlecorche $
 */
class sondagesActions extends sfActions
{
	//Affiche la liste des sondages
	public function executeIndex(sfWebRequest $request)
	{
		$this->afficheSondages();
		$this->setTemplate('poll/index');
	}
	
	//Action qui affiche le formulaire d'ajout d'un nouveau sondage
	public function executeNewPoll(sfWebRequest $request)
	{
		$this->form = new SondageForm();
		$this->setTemplate('poll/new');
	}
	
	//Action qui creer un nouveau sondage
	public function executeCreatePoll(sfWebRequest $request)
	{
		$this->forward404Unless($request->isMethod('post'));
		$this->form = new SondageForm();
		$this->processFormSondage($request, $this->form);
		$this->setTemplate('poll/new');
	}
	
	
	//Action qui affiche le formulaire d'edition d'un sondage
	public function executeEditPoll(sfWebRequest $request)
	{
		$this->forward404Unless($sondage = Doctrine::getTable('Sondage')->find($request->getParameter('id')), sprintf('Object Sondage does not exist (%s).', $request->getParameter('id')));
		$this->form = new SondageForm($sondage);
		$this->setTemplate('poll/edit');
	}
	
	//Action qui fait la mise à jour d'un sondage
	public function executeUpdatePoll(sfWebRequest $request)
	{
		$this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
		$this->forward404Unless($sondage = Doctrine::getTable('Sondage')->find($request->getParameter('id')), sprintf('Object Sondage does not exist (%s).', $request->getParameter('id')));
		$this->form = new SondageForm($sondage);
		$this->processFormSondage($request, $this->form);
		$this->setTemplate('poll/edit');
	}
	
	
	
	
	
	
	//Action qui affiche la liste des réponses d'un sondage
	public function executeListResponses(sfWebRequest $request)
	{
		$this->forward404Unless($sondage = Doctrine::getTable('Sondage')->find($request->getParameter('id')), sprintf('Object Sondage does not exist (%s).', $request->getParameter('id')));
		
		//On recupere la liste des reponses
		$this->liste_reponses = Doctrine::getTable('SondageReponse')->createQuery('r')
		->where('r.sondage_id = ?', $sondage->getId())
		->orderBy('r.id ASC')
		->execute();
		
		$this->sondage_id = $sondage->getId();
		
		$this->setTemplate('response/index');
	}
	
	//Action qui affiche le formulaire d'ajout d'une nouvelle réponse
	public function executeNewResponse(sfWebRequest $request)
	{
		$this->forward404Unless($sondage = Doctrine::getTable('Sondage')->find($request->getParameter('sondage_id')), sprintf('Object Sondage does not exist (%s).', $request->getParameter('id')));
		
		$this->form = new SondageReponseForm();
		$this->sondage_id = $sondage->getId();
		$this->setTemplate('response/new');
	}
	
	//Action qui creer une nouvelle reponse
	public function executeCreateResponse(sfWebRequest $request)
	{
		$this->forward404Unless($request->isMethod('post'));
		$this->forward404Unless($sondage = Doctrine::getTable('Sondage')->find($request->getParameter('sondage_id')), sprintf('Object Sondage does not exist (%s).', $request->getParameter('id')));
		
		$this->form = new SondageReponseForm();
		$this->sondage_id = $sondage->getId();
		$this->processFormResponse($request, $this->form);
		$this->setTemplate('response/new');
	}
	
	//Action qui affiche le formulaire d'edition d'une reponse
	public function executeEditResponse(sfWebRequest $request)
	{
		$this->forward404Unless($reponse = Doctrine::getTable('SondageReponse')->find($request->getParameter('id')), sprintf('Object SondageReponse does not exist (%s).', $request->getParameter('id')));
		$this->form = new SondageReponseForm($reponse);
		$this->sondage_id = $reponse->getSondageId();
		$this->setTemplate('response/edit');
	}
	
	//Action qui fait la mise à jour d'une reponse
	public function executeUpdateResponse(sfWebRequest $request)
	{
		$this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
		$this->forward404Unless($reponse = Doctrine::getTable('SondageReponse')->find($request->getParameter('id')), sprintf('Object SondageReponse does not exist (%s).', $request->getParameter('id')));
		$this->form = new SondageReponseForm($reponse);
		$this->sondage_id = $reponse->getSondageId();
		$this->processFormResponse($request, $this->form);
		$this->setTemplate('response/edit');
	}
	
	//Action  qui supprime une reponse à un sondage
	public function executeDeleteResponse(sfWebRequest $request)
	{
		$request->checkCSRFProtection();
		$this->forward404Unless($reponse = Doctrine::getTable('SondageReponse')->find($request->getParameter('id')), sprintf('Object SondageReponse does not exist (%s).', $request->getParameter('id')));
		
		$user = $this->getUser();
		$sondage_id = $reponse->getSondageId();
		
		if(count($reponse->getReponsesMembres()) > 0)
		{
			//Des utilisateurs ont deja répondu à cette question.
			//On ne peut donc pas supprimer la reponse
			$user->setFlash('bo_sondages_delete_error', 'Impossible de supprimer cette réponse car elle est utilisée dans les réponses des utilisateurs.');
		}
		else
		{
			//On supprime les réponses des utilisateurs, associees à cette reponse
			Doctrine::getTable('SondageReponseMembre')->createQuery('m')->delete()
			->where('m.sondage_reponse_id = ?', $reponse->getId())
			->execute();
			
			//On suprime la réponse
			$reponse->delete();
			$user->setFlash('bo_sondages_delete_ok', 'Réponse supprimée');
		}		
		
		//On redirige vers la liste des réponses du sondage
		$this->redirect('sondages/listResponses?id='.$sondage_id);
	}
	
	
	
	/*
	 * *************************************
	 *
	 * Actions Ajax
	 * 
	 * *************************************
	 */
	//Action ajax qui affiche la pagination des sondages
	public function executeAjaxShowListPolls(sfWebRequest $request)
	{
		$this->forward404Unless($request->isXmlHttpRequest());
		
		$this->afficheSondages();
		return $this->renderPartial('listPoll');
	}
	
	//Action ajax qui supprime un sondage
	public function executeAjaxDeletePoll(sfWebRequest $request)
	{
		$this->forward404Unless($request->isXmlHttpRequest());
		$request->checkCSRFProtection();
		$this->forward404Unless($sondage = Doctrine::getTable('Sondage')->find($request->getParameter('id')), sprintf('Object Sondage does not exist (%s).', $request->getParameter('id')));
		
		$user = $this->getUser();
		
		//On supprime les réponses des utilisateurs, associees à ce sondage
		Doctrine::getTable('SondageReponseMembre')->createQuery('m')->delete()
		->where('m.sondage_id = ?', $sondage->getId())->execute();
		
		//On supprime les reponses associees à ce sondage
		Doctrine::getTable('SondageReponse')->createQuery('r')->delete()
		->where('r.sondage_id = ?', $sondage->getId())->execute();
		
		//On supprime
		$sondage->delete();
		$user->setFlash('bo_sondages_delete_ok', 'Sondage supprimé', false);
		
		//On affiche les resultats
		$this->afficheSondages();
		return $this->renderPartial('listPoll');
	}
	
	
	/*
	 * *************************************
	 *
	 * Methodes privees
	 * 
	 * *************************************
	 */
	
	
	//Traitement du formulaire de sondage
	protected function processFormSondage(sfWebRequest $request, sfForm $form)
	{
		$form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
		if ($form->isValid())
		{	
			$sondage = $form->save();
			$user = $this->getUser();
			$user->setFlash('bo_sondages_form_ok', 'Sondage sauvegardé');
			$this->redirect('sondages/editPoll?id='.$sondage->getId());
		}
		
	}
	
	protected function processFormResponse(sfWebRequest $request, sfForm $form)
	{
		$form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
		if ($form->isValid())
		{	
			//Si question nouvelle, on ajoute l'associtation au sondage
			$response = $form->getObject();
			if($response->isNew())
			{
				$sondage_id = $request->getParameter('sondage_id');
				$response->setSondageId($sondage_id);
			}
			
			$response = $form->save();
			$user = $this->getUser();
			$user->setFlash('bo_sondages_form_ok', 'Réponse sauvegardée');
			$this->redirect('sondages/editResponse?id='.$response->getId());
		}
		
	}
	
	
	/**
	 * Fonction qui transmet au templates les informations nécessaire à l'affichage 
	 * de la liste des sondages
	 * @return unknown_type
	 */
	protected function afficheSondages()
	{
		$max_results = sfConfig::get('app_sondages_nbre_elements_liste');
		$page = $this->getRequest()->getParameter('page', 1);
		$this->pager = new sfDoctrinePager('Sondage', $max_results);
		
		//On modifie la requete
		$query = $this->pager->getQuery();
		$query->orderBy('Sondage.id DESC');
		$this->pager->setQuery($query);
		
		$this->pager->setPage($page);
		$this->pager->init();
	}
}
