<?php

/**
 * types actions.
 *
 * @package    anbnws
 * @subpackage types
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 378 2010-08-25 12:19:33Z hlecorche $
 */
class typesActions extends sfActions
{
	//Affiche la liste des types
	public function executeIndex(sfWebRequest $request)
	{
		$this->liste_types = Doctrine::getTable('Type')->createQuery()
		->execute();
	}
	
	//Action qui affiche le formulaire d'ajout d'un nouveau type
	public function executeNew(sfWebRequest $request)
	{
		$this->form = new TypeForm();
	}
	
	//Action qui creer un nouveau type
	public function executeCreate(sfWebRequest $request)
	{
		$this->forward404Unless($request->isMethod('post'));
		$this->form = new TypeForm();
		$this->processForm($request, $this->form);
		$this->setTemplate('new');
	}
	
	
	//Action qui affiche le formulaire d'edition d'un type
	public function executeEdit(sfWebRequest $request)
	{
		$this->forward404Unless($type = Doctrine::getTable('Type')->find($request->getParameter('id')), sprintf('Object Type does not exist (%s).', $request->getParameter('id')));
		$this->form = new TypeForm($type);
	}
	
	//Action qui fait la mise à jour d'un type
	public function executeUpdate(sfWebRequest $request)
	{
		$this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
		$this->forward404Unless($type = Doctrine::getTable('Type')->find($request->getParameter('id')), sprintf('Object Type does not exist (%s).', $request->getParameter('id')));
		$this->form = new TypeForm($type);
		$this->processForm($request, $this->form);
		$this->setTemplate('edit');
	}
	
	
	//Action qui supprime les types
	public function executeDelete(sfWebRequest $request)
	{
		$request->checkCSRFProtection();
		$this->forward404Unless($type = Doctrine::getTable('Type')->find($request->getParameter('id')), sprintf('Object Type does not exist (%s).', $request->getParameter('id')));
		
		$user = $this->getUser();
		
		if(count($type->getEvenements()) > 0)
		{
			//Des evenements sont associes à ce type, on ne peut pas supprimer
			$user->setFlash('bo_types_delete_error', 'Impossible de supprimer ce type: Des événements sont associés à ce type.');
		}
		
		elseif(count($type->getLieux()) > 0)
		{
			//Des lieux sont associes à ce type, on ne peut pas supprimer
			$user->setFlash('bo_types_delete_error', 'Impossible de supprimer ce type: Des lieux sont associés à ce type.');
		}
		
		else
		{
			//On supprime
			$type->delete();
			$user->setFlash('bo_types_delete_ok', 'Type supprimé');
		}
		
		$this->redirect('types/index');
	}
	
	
	
	/*
	 * *************************************
	 *
	 * Methodes privees
	 * 
	 * *************************************
	 */
	
	
	//Traitement du formulaire
	protected function processForm(sfWebRequest $request, sfForm $form)
	{
		$form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
		if ($form->isValid())
		{	
			$type = $form->save();
			$user = $this->getUser();
			$user->setFlash('bo_types_form_ok', 'Type sauvegardé');
			$this->DeleteCache();
			$this->redirect('types/edit?id='.$type->getId());
		}
		
	}
	
	/**
	  * fonction qui vide le cache du menu des lieux
	  * @return unknown_type
	  */
	 private function DeleteCache()
	 {
	 	sfContext::switchTo('frontend');
	 	$cacheManager = sfContext::getInstance()->getViewCacheManager();
	 	//Menu du haut
	 	$cacheManager->remove('@sf_cache_partial?module=annuaire&action=_menuTop&sf_cache_key=*','*'); 
		//Menu du bas (plan du site)
		$cacheManager->remove('@sf_cache_partial?module=annuaire&action=_menuBottom&sf_cache_key=*','*');
	 	sfContext::switchTo('backend');
	 }
}
