<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial qui affiche la liste des videos

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _list.php 430 2010-09-27 13:41:54Z hlecorche $ 

 */



use_helper('ecomliste');

use_helper('Date');

?>



<?php if ($sf_user->hasFlash('bo_videos_delete_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('bo_videos_delete_ok'), 'ok'); ?>

<?php endif;?>



<?php echo affiche_pagination($pager, 'icones/16/resultset_first.png', 'icones/16/resultset_last.png', 'icones/16/resultset_previous.png', 'icones/16/resultset_next.png', 2, 2, 'videos/ajaxShowList?page=', array('update' => 'list')) ?>





<?php if(count($liste_videos_non_actives) >0): ?>

<fieldset>

	<legend>Vidéos non actives</legend>

	<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 262px;">Nom</th>

			<th style="width: 257px;">Type</th>

			<th style="width: 100px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($liste_videos_non_actives as $video): ?>

		<tr>

			<td><?php echo $video->getTitre() ?></td>

			<td><?php echo $video->getVideoCategorie()->getNom() ?></td>

			<td style="text-align: center;">

				<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'videos/edit?id='.$video->getId())?>&nbsp;&nbsp;

				<?php echo jq_link_to_remote(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 

											array('url' => 'videos/ajaxDelete?id='.$video->getId().'&page='.$pager->getPage(), 'update' => 'list' ,'confirm' => 'Voulez-vous vraiment supprimer cette vidéo?', 'csrf' => true)) ?>&nbsp;&nbsp;

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

	</table>

	

</fieldset>

<?php endif; ?>









<fieldset>

	<legend>Vidéos actives</legend>

	<table class="tableau_liste">

	<thead>

		<tr>

			<th style="width: 262px;">Nom</th>

			<th style="width: 257px;">Type</th>

			<th style="width: 100px;">Actions</th>

		</tr>

	</thead>

	<tbody>

	<?php foreach($pager->getResults() as $video): ?>

		<tr>

			<td><?php echo $video->getTitre() ?></td>

			<td><?php echo $video->getVideoCategorie()->getNom() ?></td>

			<td style="text-align: center;">

				<?php echo link_to(image_tag('icones/16/edit.png', array('alt' => 'edit', 'title' => 'Editer')), 'videos/edit?id='.$video->getId())?>&nbsp;&nbsp;

				<?php echo jq_link_to_remote(image_tag('icones/16/delete.png', array('alt' => 'delete', 'title' => 'Supprimer')), 

											array('url' => 'videos/ajaxDelete?id='.$video->getId().'&page='.$pager->getPage(), 'update' => 'list' ,'confirm' => 'Voulez-vous vraiment supprimer cette vidéo?', 'csrf' => true)) ?>&nbsp;&nbsp;

			</td>

		</tr>

	<?php endforeach; ?>

	</tbody>

	</table>

	

</fieldset>



<br />