<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Classe de formulaire qui permet d' editer le texte metier d'un lieu le front-office

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: LieuFoTexteMetierForm.class.php 444 2010-09-29 13:16:20Z hlecorche $ 

 */



class LieuFoTexteMetierForm extends BaseLieuForm

{

	public function configure()

	{

		//Classe

		$class = "fields";

																	 

		$fields = array();

		foreach(Lieu::getNumTextesMetiers() as $i)

		{

			$label = $this->getObject()->get('label_metier_texte_'.$i);

			if(!empty($label))

			{

				$fields[] = 'texte_metier_'.$i;

			}

		}

		$this->useFields($fields);

  														  

  														  

  		//Champ "texte_metier_x"

  		foreach($fields as $field)

  		{

			$this->setWidget($field,  new ecWidgetFormTextareaTinyMCE(array('width' => '700',

																				   'height' => '400'),

					  														 array('cols' => '60', 

					  														 	   'rows' => '10')));

			

			$this->setValidator($field, new ecValidatorHtml(array('required' => false,

	  																'trim' => true,

	  																'max_length' => 5000),

	  														  array('max_length'=> '%max_length% caractères maxi')));

  		}											  

	}

	

	

	

	

	/**

	 * Fonction apelee quand formulaire valide

	 * @param sfActions $action

	 * @return Lieu

	 */

	public function processForm(sfActions $action)

	{

		//On sauvegarde les données

		$lieu = $this->save();

		

		//On affiche le message de confirmation

		$user = $action->getUser();

		$user->setFlash('fo_lieux_form_ok', 'Modifications sauvegardées');

		

		return $lieu;

	}

}

?>