<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire d'edition des reductions d'un lieu

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: _formReductions.php 447 2010-09-29 13:53:48Z hlecorche $ 

 */





use_helper('ecFormulaire');

$dossier_images = sfConfig::get('app_dossiers_images_lieux');

?>



<form action="<?php echo url_for('admin_annuaire/reductions?id='.$form->getObject()->getId()) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>





<?php if ($sf_user->hasFlash('fo_lieux_form_ok')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('fo_lieux_form_ok'), 'ok'); ?>

<?php endif;?>



<?php if ($sf_user->hasFlash('fo_lieux_form_error')): ?>

<?php echo Util::MessageInfo($sf_user->getFlash('fo_lieux_form_error'), 'error'); ?>

<?php endif;?>



<?php if($form->hasGlobalErrors()): ?>

	<div class="form_error_message">Une erreur est survenue pendant l'envoi du formulaire</div>

<?php endif; ?>







<?php echo $form->renderHiddenFields() ?>

	<b>Format .jpg ou .jpeg uniquement, poids max 2 Mo par fichier</b><br /><br />

	<table class="formulaire">

		<?php foreach(Lieu::getNumImages() as $i): ?>

			<?php if($i > 100): ?>

				<tr>

					<th style="width: 150px;"><?php echo label(Lieu::getNameImage($i), false) ?> :</th>

					<td><?php echo AfficheErreur($form['file_image_'.$i]) ?><?php echo $form['file_image_'.$i] ?>

						<?php $file = $form->getObject()->get('image_'.$i) ?>

						<?php if(!empty($file)): ?>

							<span id="file_<?php echo $i?>">

								<a href="<?php echo Util::getUrlImage($dossier_images.'/'.$file) ?>" class="thickbox">[Voir l'image]</a>

								<?php echo jq_link_to_remote('[Supprimer l\'image]', array('url' => 'admin_annuaire/ajaxDeleteImage?id='.$form->getObject()->getId().'&image='.$i, 'update' => 'file_'.$i ,'confirm' => 'Voulez-vous vraiment supprimer cette image?', 'csrf' => true)) ?>&nbsp;&nbsp;

							</span>

						<?php endif; ?>

					</td>

				</tr>

			<?php endif;?>

		<?php endforeach; ?>

	</table>







<div style="text-align: center;">

<br />

<input type="submit" value="Sauvegarder" class="button" />

</div>





</form>