<?php

/**
 * annuaire actions.
 *
 * @package    anbnws
 * @subpackage annuaire
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 413 2010-09-06 11:37:02Z hlecorche $
 */
class annuaireActions extends sfActions
{
	
	
	
	/*
	 * *************************************
	 *
	 * Actions
	 *
	 * *************************************
	 */
	
	
		
	/**
	 * Action qui affiche les détails d'un lieu
	 *
	 * @param sfRequest $request A request object
	 */
	public function executeZoom(sfWebRequest $request)
	{
		$lieu = Doctrine::getTable('Lieu')->findJoinAllDisplay(array($request->getParameter('id')));
		$this->forward404Unless($lieu, 'Object Lieu does not exists');
		
		//Si lieu non actif, erreur 404
		$this->forward404Unless($lieu->getActive(), 'Lieu non actif');

		$this->checkAdmin($lieu);
		$this->lieu = $lieu;
		
		//On cherche les evenements
		$this->addEvents($lieu);
		
		//On cherche les photos des onglets métiers
		$liste_medias = $lieu->getLieuMetierMedias();
		$this->liste_medias_metier_album_1 = array();
		$this->liste_medias_metier_album_2 = array();
		foreach($liste_medias as $media)
		{
			if($media->getAlbumId() == 1)
			{
				$this->liste_medias_metier_album_1[] = $media;
			}
			else
			{
				$this->liste_medias_metier_album_2[] = $media;
			}
		}
		
		//On ajoute le CSS
		$this->addCss($lieu);
	}
	
	
	//Action qui affiche la liste des lieux des bars et clubs
	public function executeListBarsClubs(sfWebRequest $request)
	{
		//Configuration
		$this->nom = 'Bars & clubs';
		$this->nom_session = 'bons_plans_'.$this->nom;
		$this->displayCategories = true;
		$this->url_page = $this->getModuleName().'/'.$this->getActionName();
		$user = $this->getUser();
		
		if($request->isMethod(sfRequest::POST))
		{
			//On vient du formulaire du changement des propriétés d'affichage,
			//on modifie les paramètres
			$this->changeDisplay($this->nom_session, $request, true);
		}
		

		//On cree le pager de résultats
		$max_results = sfConfig::get('app_annuaire_nbre_elements_liste');
		$this->pager = new sfDoctrinePager('Lieu', $max_results);
		$query = $this->pager->getQuery();
		$query->innerJoin('Lieu.Type t')->where('t.is_bar_club = 1 and Lieu.active = 1');
		//Modifie le pager ci-dessus, en fonction des paramètres d'affichage
		$this->pager = LieuTable::generatePager($this->nom_session, $this->pager, true);
		$this->pager->setPage($this->getRequestParameter('page',1));
		$this->pager->init();
		
		//Chemin des dossiers
		$this->dossier_images = sfConfig::get('app_dossiers_images_lieux').'/';
		
		
		//Données fournis au formulaire de recherche
		//Liste des catégories
		$this->liste_categories = Doctrine::getTable('Type')->getTypesBarClubForm();
		$this->liste_tri = array(0 => 'Trier par...', 1 => 'Trier par nom', 2=>'Trier par ville', 3 => 'Trier par date d\'ajout');
		$this->liste_ordre = array(0 => 'Croissant', 1 => 'Décroissant');
		$this->liste_nombre_pages = array(12 => '12', 24 => '24', 64 => '64');
		//Valeurs par défaults du formulaire
		$this->selected_categorie = $user->getAttribute($this->nom_session.'_categorie', 0);
		$this->selected_tri = $user->getAttribute($this->nom_session.'_tri', 0);
		$this->selected_nombre_pages = $user->getAttribute($this->nom_session.'_nombre_pages', 64);
		$this->selected_ordre = $user->getAttribute($this->nom_session.'_ordre', 0);
		
		$this->setTemplate('list');
	}
	
	
	
	//Action qui affiche la liste des lieux divers
	public function executeListDivers(sfWebRequest $request)
	{
		//Configuration
		$this->nom = 'Divers';
		$this->nom_session = 'bons_plans_'.$this->nom;
		$this->displayCategories = true;
		$this->url_page = $this->getModuleName().'/'.$this->getActionName();
		$user = $this->getUser();
		
		if($request->isMethod(sfRequest::POST))
		{
			//On vient du formulaire du changement des propriétés d'affichage,
			//on modifie les paramètres
			$this->changeDisplay($this->nom_session, $request, true);
		}
		

		//On cree le pager de résultats
		$max_results = sfConfig::get('app_annuaire_nbre_elements_liste');
		$this->pager = new sfDoctrinePager('Lieu', $max_results);
		$query = $this->pager->getQuery();
		$query->innerJoin('Lieu.Type t')->where('t.is_divers = 1 and Lieu.active = 1');
		//Modifie le pager ci-dessus, en fonction des paramètres d'affichage
		$this->pager = LieuTable::generatePager($this->nom_session, $this->pager, true);
		$this->pager->setPage($this->getRequestParameter('page',1));
		$this->pager->init();
		
		//Chemin des dossiers
		$this->dossier_images = sfConfig::get('app_dossiers_images_lieux').'/';
		
		
		//Données fournis au formulaire de recherche
		//Liste des catégories
		$this->liste_categories = Doctrine::getTable('Type')->getTypesDiversForm();
		$this->liste_tri = array(0 => 'Trier par...', 1 => 'Trier par nom', 2=>'Trier par ville', 3 => 'Trier par date d\'ajout');
		$this->liste_ordre = array(0 => 'Croissant', 1 => 'Décroissant');
		$this->liste_nombre_pages = array(12 => '12', 24 => '24', 64 => '64');
		//Valeurs par défaults du formulaire
		$this->selected_categorie = $user->getAttribute($this->nom_session.'_categorie', 0);
		$this->selected_tri = $user->getAttribute($this->nom_session.'_tri', 0);
		$this->selected_nombre_pages = $user->getAttribute($this->nom_session.'_nombre_pages', 64);
		$this->selected_ordre = $user->getAttribute($this->nom_session.'_ordre', 0);
		
		$this->setTemplate('list');
	}
	
	
	
	
	//Action qui affiche la liste des lieux AUTRES que les sorties
	public function executeListOthers(sfWebRequest $request)
	{
		//On récupère le type de lieu à afficher
		$type_lieu = Doctrine::getTable('Type')->find(array($request->getParameter('id')));
		$this->forward404Unless($type_lieu, 'Object Type does not exists');
		
		//On verifie que le type n'ait pas l'option "bar & club" et "divers"
		if($type_lieu->getIsBarClub() || $type_lieu->getIsDivers())
		{
			$this->forward404('Access denied');
		}
		
		//Configuration
		$this->nom = $type_lieu->getNom();
		$this->nom_session = 'bons_plans_'.$this->nom;
		$this->displayCategories = false;
		$this->url_page = $this->getModuleName().'/'.$this->getActionName().'?id='.$type_lieu->getId();
		$user = $this->getUser();
		
		if($request->isMethod(sfRequest::POST))
		{
			//On vient du formulaire du changement des propriétés d'affichage,
			//on modifie les paramètres
			$this->changeDisplay($this->nom_session, $request, false);
		}
		

		//On cree le pager de résultats
		$max_results = sfConfig::get('app_annuaire_nbre_elements_liste');
		$this->pager = new sfDoctrinePager('Lieu', $max_results);
		$query = $this->pager->getQuery();
		$query->where('Lieu.type_id = ? and Lieu.active = 1', array($type_lieu->getId()));
		//Modifie le pager ci-dessus, en fonction des paramètres d'affichage
		$this->pager = LieuTable::generatePager($this->nom_session, $this->pager, false);
		$this->pager->setPage($this->getRequestParameter('page',1));
		$this->pager->init();
		
		//Chemin des dossiers
		$this->dossier_images = sfConfig::get('app_dossiers_images_lieux').'/';
		
		
		//Données fournis au formulaire de recherche
		$this->liste_tri = array(0 => 'Trier par...', 1 => 'Trier par nom', 2=>'Trier par ville', 3 => 'Trier par date d\'ajout');
		$this->liste_ordre = array(0 => 'Croissant', 1 => 'Décroissant');
		$this->liste_nombre_pages = array(12 => '12', 24 => '24', 64 => '64');
		//Valeurs par défaults du formulaire
		$this->selected_tri = $user->getAttribute($this->nom_session.'_tri', 0);
		$this->selected_nombre_pages = $user->getAttribute($this->nom_session.'_nombre_pages', 64);
		$this->selected_ordre = $user->getAttribute($this->nom_session.'_ordre', 0);
		
		$this->setTemplate('list');
	}
	
	
	//Action qui affiche la liste des partenaires
	public function executePartners(sfWebRequest $request)
	{
		//On recupere le type "Partenaires"
		$type_lieu = Doctrine::getTable('Type')->findOneByNom('Partenaires');
		$this->forward404Unless($type_lieu, 'Object Type (special partenaires) does not exists');
		
		//On cree le pager de résultats
		$max_results = sfConfig::get('app_annuaire_nbre_elements_liste');
		$this->pager = new sfDoctrinePager('Lieu', $max_results);
		$query = $this->pager->getQuery();
		$query->where('Lieu.type_id = ? and Lieu.active = 1', $type_lieu->getId());
		$this->pager->setPage($this->getRequestParameter('page',1));
		$this->pager->init();
		
		//Chemin des dossiers
		$this->dossier_images = sfConfig::get('app_dossiers_images_lieux').'/';
	}
	
	
	//Action qui affiche le CSS d'un lieu
	public function executeCss(sfWebRequest $request)
	{
		$lieu = Doctrine::getTable('Lieu')->find(array($request->getParameter('id')));
		$this->forward404Unless($lieu, 'Object Lieu does not exists');
		
		//Si lieu non actif, erreur 404
		$this->forward404Unless($lieu->getActive(), 'Lieu non actif');

		//Si pas de CSS, erreur 404
		$this->forward404Unless(!empty($lieu->css), 'Pas de css');
		
		//Retourne le CSS
		$this->setLayout(false);
		$this->getResponse()->setContentType('text/css');
		return $this->renderText($lieu->getCss()); //Attention, injection XSS possible; Pas grave car uniquement l'admin gere ce parametre
	}
		
	
	/*
	 * *************************************
	 *
	 * Methodes privees
	 *
	 * *************************************
	 */
	
	
	
	/**
	 * Fonction qui change les priorités d'affichage sur la liste, et
	 * qui sauvegarde en session
	 * @param String $nom_session Nom de la session
	 * @param sfRequest $request
	 * @param Boolean $displayCategories si afficher (ou pas) le tri par categorie
	 * @return unknown_type
	 */
	private function changeDisplay($nom_session, $request, $displayCategories = false)
	{
		$user = $this->getUser();
		if($displayCategories)
		{
			//Dans le filtre de recherche, il y a  le champ 'categorie'. On le traite alors ici.
			$categorie = $request->getParameter('categorie');
			if(!is_null($categorie))
			{
				//Le champ est présent, on modifie la valeur
				$user->setAttribute($nom_session.'_categorie', $categorie);
			}
			
		}
		
		//Traitement du champ 'tri'
		$tri = $request->getParameter('tri');
		if(!is_null($tri))
		{
			//Le champ est présent, on modifie la valeur
			$user->setAttribute($nom_session.'_tri', $tri);
		}
		
		//Traitement du champ 'nombre_pages'
		$nombre_pages = $request->getParameter('nombre_pages');
		if(!is_null($nombre_pages))
		{
			//Le champ est présent, on modifie la valeur
			$user->setAttribute($nom_session.'_nombre_pages', $nombre_pages);
		}
		
		//Traitement du champ 'ordre'
		$ordre = $request->getParameter('ordre');
		if(!is_null($ordre))
		{
			//Le champ est présent, on modifie la valeur
			$user->setAttribute($nom_session.'_ordre', $ordre);
		}
	}
	
	
	/**
	 * Methode qui teste si la personne a les droits d'admin sur ce lieu. Si oui, un bouton d'acces
	 * à l'admin sera ajoute
	 * @param Lieu $lieu
	 * @return unknown_type
	 */
	private function checkAdmin($lieu)
	{
		//On regarde si la personne a les droits d'admin sur ce lieu, pour afficher ou non le bouton d'admin
		$this->admin = false;
		$user = sfContext::getInstance()->getUser();
		$membre_id = $user->getAttribute('MembreId', null); 
		//Ne pas utiliser la fonction MembreTable::getMembreIdConnecte() sinon une personne non connectee
		//ne peut pas visualiser le lieu
		
		if(!is_null($membre_id))
		{
			//On verifie les droits uniquements si la personne est connectee
			//Car dans le cas contraire, la personne ne peut pas avoir les droits
			
			$admin = Doctrine::getTable('LieuAdmin')->createQuery('a')
			->where('a.membre_id = ?', $membre_id)
			->addWhere('a.lieu_id = ?', $lieu->getId());
			
			if($admin->count() > 0)
			{
				$this->admin = true;
			}
		}
	}
	
	/**
	 * Ajoute le CSS du lieu (si existe)
	 * @param unknown_type $lieu
	 */
	private function addCss($lieu)
	{
		if(!empty($lieu->css))
		{
			sfContext::getInstance()->getConfiguration()->loadHelpers(array('Url'));
			$css = url_for('@annuaire_css?id='.$lieu->getId(), true);
			$this->getResponse()->addStylesheet($css, 'last');   
		}
	}
	
	
	/**
	 * Action Ajax qui affiche les evenements et reportages d'un lieu
	 * Lieu @param $lieu
	 */
	private function addEvents(Lieu $lieu)
	{
		if($lieu->getType()->getIsSortie())
		{
			//On recupere la liste des prochains evenements dans ce lieu
			$max_result = sfConfig::get('app_nbre_prochains_evenements', 20);
			$q = Doctrine::getTable('Evenement')->createQuery('e')
			->orderBy('e.date_debut ASC')->limit($max_result);
			$this->liste_prochains_evenements = $lieu->getEvenementsActifsNonPasses($q);
			
			//On recupere la liste des derniers evenements dans ce lieu
			$max_result = sfConfig::get('nbre_derniers_evenements', 20);
			$q = Doctrine::getTable('Evenement')->createQuery('e')
			->orderBy('e.date_debut DESC')->limit($max_result);
			$this->liste_derniers_evenements = $lieu->getEvenementsActifsPasses($q);
			
			//On recupere la liste des derniers reportages dans ce lieu
			$max_result = sfConfig::get('nbre_derniers_reportages', 20);
			$q = Doctrine::getTable('Reportage')->createQuery('r')
			->orderBy('r.date DESC')->limit($max_result);
			$this->liste_reportages = $lieu->getReportagesActifs($q);
		}
	}
}

