<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Partial qui affiche les evenement et reportages du lieu

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: evenements.php 391 2010-08-31 13:09:19Z hlecorche $ 

 */



use_helper('Date');

use_helper('Text');

?>



<div class="colonne">

	<div class="couleur3 titre">Prochainement dans ce lieu</div>

	<?php if(count($liste_prochains_evenements) > 0): ?>

		<?php foreach($liste_prochains_evenements as $ev) :?>

			<span><b><?php echo format_date($ev->getDateDebut(), 'dd/MM/yyyy')?></b></span>

			<a href="<?php echo url_for('agenda/zoom?id='.$ev->getId()) ?>">

				<?php echo truncate_text($ev->getTitre(), 25) ?>

				</a><br />

		<?php endforeach; ?>

	<?php else:?>

			Aucun événement...<br />

	<?php endif;?>

</div>





<div class="colonne">

	<div class="couleur3 titre">Dernièrement dans ce lieu</div>

	<?php if(count($liste_derniers_evenements) > 0): ?>

		<?php foreach($liste_derniers_evenements as $ev) :?>

			<span><b><?php echo format_date($ev->getDateDebut(), 'dd/MM/yyyy')?></b></span>

			<a href="<?php echo url_for('agenda/zoom?id='.$ev->getId()) ?>">

				<?php echo truncate_text($ev->getTitre(), 25) ?>

				</a><br />

		<?php endforeach; ?>

	<?php else:?>

			Aucun événement...<br />

	<?php endif;?>

</div>



<div class="colonne">

	<div class="couleur3 titre">Reportages dans ce lieu</div>

	<?php if(count($liste_reportages) > 0): ?>

		<?php foreach($liste_reportages as $rep) :?>

				<span><b><?php echo format_date($rep->getDate(), 'dd/MM/yyyy')?></b></span>

				<a href="<?php echo url_for('reportages/zoom?id='.$rep->getId()) ?>">

				<?php echo truncate_text($rep->getTitre(), 25) ?>

				</a><br />

		<?php endforeach; ?>

	<?php else:?>

		Aucun reportage...<br />

	<?php endif;?>

</div>



<div class="clear"></div>