<?php

/**

 * This file is part of "Annecy By Night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Template qui affiche le détail d'un lieu

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: zoomSuccess.php 444 2010-09-29 13:16:20Z hlecorche $ 

 */



use_helper('Text');

use_helper('ecTexte');

jq_add_plugin();

jq_add_plugin_tools();

$dossier_images = sfConfig::get('app_dossiers_images_lieux').'/';

?>



<?php slot('menu') ?>

	<?php if($admin): ?>

	  		<span id="menu_admin"><?php echo link_to('Admin', 'admin_annuaire/infos?id='.$lieu->getId()) ?></span>

	 <?php endif; ?>

	 <?php echo image_tag('icones/back.png', array('alt' => '<=', 'style' => 'vertical-align: -4px;', 'height' => '18px')) ?> <?php echo link_to('Retour', '@homepage') ?>

<?php end_slot() ?>



<div id="label_mieux_nous_connaitre" class="couleur1">Mieux nous connaître</div>

<div id="cadre_mieux_nous_connaitre" class="couleur1">

	<?php if(!empty($lieu->image_1)): ?>

		<?php echo image_tag(Util::getUrlImage($dossier_images.$lieu->getImage_1(), null, null, 200, false),

						 array('alt' => $lieu->getNom(),

						 	   'id' => 'photo_general_1',

						 	   'class' => 'photo_general',

						 	   'style' => 'float: left; margin-right: 10px; border-color: #443B40; border-style: solid; border-width: 1px;')) ?>

		<script type="text/javascript">

			urls_images_grands['photo_general_1'] = '<?php echo Util::getUrlImage($dossier_images.$lieu->getImage_1(), null, null, 600, false) ?>';

		</script>

	<?php endif; ?>

	<span class="titre"><?php echo $lieu->getNom() ?></span><br />

	<?php echo $lieu->getDescription(ESC_RAW) ?>

	<div class="clear"></div>

</div>





<?php if(!(empty($lieu->image_2) && empty($lieu->image_3) && empty($lieu->image_4) && empty($lieu->image_5))): ?>

<div id="label_photos" class="couleur1">Photos</div>

<div id="cadre_photos" class="couleur1"><?php include_partial('annuaire/zoom/photos', array('lieu' => $lieu, 'dossier_images' => $dossier_images))?></div>

<?php endif; ?>





<ul id="labels_central">

	<li><a href="#">Présentation</a></li>

	<?php echo (!empty($lieu->label_metier_texte_1) && !empty($lieu->texte_metier_1))? '<li><a href="#">'.$lieu->label_metier_texte_1.'</a></li>' : '' ?>

	<?php echo (!empty($lieu->label_metier_texte_2) && !empty($lieu->texte_metier_2))? '<li><a href="#">'.$lieu->label_metier_texte_2.'</a></li>' : '' ?>

	<?php echo (!empty($lieu->label_metier_album_1) && count($liste_medias_metier_album_1) > 0)? '<li><a href="#">'.$lieu->label_metier_album_1.'</a></li>' : '' ?>

	<?php echo (!empty($lieu->label_metier_album_2) && count($liste_medias_metier_album_2) > 0)? '<li><a href="#">'.$lieu->label_metier_album_2.'</a></li>' : '' ?>

	<?php echo (count($lieu->getLieuGalerieMedias()) > 0)? '<li><a href="#">Photos</a></li>' : '' ?>

	<?php echo (count($lieu->getLieuVideos()) > 0)? '<li><a href="#">Vidéos</a></li>' : '' ?>

	<?php echo ($lieu->getType()->getIsSortie())? '<li><a href="#">Agenda</a></li>' : '' ?>

</ul>

<div id="cadre_central" class="couleur1">

	<div class="pane couleur2" id="contenu_onglet_presentation"><?php include_partial('annuaire/zoom/accueil', array('lieu' => $lieu)) ?></div>

	<?php if (!empty($lieu->label_metier_texte_1) && !empty($lieu->texte_metier_1)): ?>

		<div class="pane couleur2" id="contenu_onglet_metier_1_texte"><?php include_partial('annuaire/zoom/texte', array('texte' => $lieu->getTexteMetier_1())) ?></div>

	<?php endif; ?>

	<?php if (!empty($lieu->label_metier_texte_2) && !empty($lieu->texte_metier_2)): ?>

		<div class="pane couleur2" id="contenu_onglet_metier_2_texte"><?php include_partial('annuaire/zoom/texte', array('texte' => $lieu->getTexteMetier_2())) ?></div>

	<?php endif; ?>

	<?php if (!empty($lieu->label_metier_album_1) && count($liste_medias_metier_album_1) > 0): ?>

		<div class="pane couleur2" id="contenu_onglet_metier_1_galerie"><?php include_partial('annuaire/zoom/galerie', array('photos' => $liste_medias_metier_album_1, 'dossier' => sfConfig::get('app_dossiers_images_metier_lieux'))) ?></div>

	<?php endif; ?>

	<?php if (!empty($lieu->label_metier_album_2) && count($liste_medias_metier_album_2) > 0): ?>

		<div class="pane couleur2" id="contenu_onglet_metier_2_galerie"><?php include_partial('annuaire/zoom/galerie', array('photos' => $liste_medias_metier_album_2, 'dossier' => sfConfig::get('app_dossiers_images_metier_lieux'))) ?></div>

	<?php endif; ?>

	<?php if (count($lieu->getLieuGalerieMedias()) > 0): ?>

		<div class="pane couleur2" id="contenu_onglet_album_photos"><?php include_partial('annuaire/zoom/galerie', array('photos' => $lieu->getLieuGalerieMedias(), 'dossier' => sfConfig::get('app_dossiers_images_galeries_lieux'))) ?></div>

	<?php endif; ?>

	<?php if (count($lieu->getLieuVideos()) > 0): ?>

		<div class="pane couleur2" id="contenu_onglet_album_videos"><?php include_partial('annuaire/zoom/videos', array('videos' => $lieu->getLieuVideos())) ?></div>

	<?php endif; ?>

	<?php if ($lieu->getType()->getIsSortie()): ?>

		<div class="pane couleur2" id="contenu_onglet_agenda"><?php include_partial('annuaire/zoom/evenements', array('liste_prochains_evenements' => $liste_prochains_evenements, 'liste_derniers_evenements' => $liste_derniers_evenements, 'liste_reportages' => $liste_reportages)) ?></div>

	<?php endif; ?>



	<div id="points_vente">

		<div id="label_points_vente">Nous contacter</div>

		<div id="cadre_points_vente" class="couleur2"><?php include_partial('annuaire/zoom/contact', array('lieu' => $lieu)) ?></div>

	</div>

	

	<?php if(count($lieu->getLieuStaffMedias()) > 0): ?>

	<div id="staff">

		<div id="label_staff">Staff</div>

		<div id="cadre_staff" class="couleur2"><?php include_partial('annuaire/zoom/staff', array('photos' => $lieu->getLieuStaffMedias())) ?></div>

	</div>

	<?php endif; ?>

	

	<div class="clear"></div>

	

	

	<?php if(!(empty($lieu->image_101) && empty($lieu->image_102) && empty($lieu->image_103) && empty($lieu->image_104))): ?>

		<div id="label_promos">Coupons promos</div>

		<div id="cadre_promos" class="couleur2"><?php include_partial('annuaire/zoom/promos', array('lieu' => $lieu, 'dossier_images' => $dossier_images))?></div>

	<?php endif; ?>

</div>











<div id="modal_google" class="modal google_map" style="text-align: center;"><div class="contentWrap" style="width: 500px; height: 500px;"><?php include_partial('googleMap', array('lieu' => $lieu))?></div></div>