<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * components du module bannieres

  *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: components.class.php 436 2010-09-28 11:14:50Z hlecorche $ 

 */



class bannieresComponents extends sfComponents

{

	

	//Action qui affiche les images des partenaires dans le menu de droite

	public function executePartenaires()

	{

		//on va chercher dans la base la liste des partenaires actifs, par ordre de priorité croissant

		 $partenaires = Doctrine::getTable('Partenaire')->createQuery('p')

		->addOrderBy('p.priorite ASC')

		->addWhere('p.active = ?', 1)

		->execute();

		

		//on met tous ces résultats dans un tableau multi-dimensionnel, qui servira dans le partial

		//pour créer le tableau javascript

		$this->tab_partenaires= array();

		foreach ($partenaires as $partenaire)

		{

			$this->tab_partenaires[$partenaire->getId()] = array('url_image' => $partenaire->getUrlImage(),

															'url_lien' => $partenaire->getUrlLien());

		}

		

		

		

	}

	//action qui affiche la banniere droite carree

	public function executeBanniereDroiteCarree()

	{

		$this->bannieres_droite_carree = BanniereTable::getBannieres(Banniere::BANNIERE_DROITE_CARREE, true);

		$this->delai_droite_carree=sfConfig::get('app_bannieres_delai_droite_carree');

	}

	//action qui affiche la banniere droite verticale

	public function executeBanniereDroiteVerticale()

	{

		$this->bannieres_droite_verticale = BanniereTable::getBannieres(Banniere::BANNIERE_DROITE_VERTICALE, true);

		$this->delai_droite_verticale = sfConfig::get('app_bannieres_delai_droite_verticale');



	}

	

	//action qui affiche la banniere haut

	public function executeBanniereHaut()

	{

		$this->bannieres_haut = BanniereTable::getBannieres(Banniere::BANNIERE_HAUT, true);

		$this->delai_haut = sfConfig::get('app_bannieres_delai_haut');

	}

	

	

	//action qui affiche les news

	public function executeNews()

	{

		//on va chercher dans la base la liste des news actives, par ordre de priorité croissant

		 $this->news = Doctrine::getTable('News')->createQuery('n')

		->addOrderBy('n.priorite ASC')

		->addWhere('n.active = ?', 1)

		->execute();

		

	}

	

}

?>