<?php

/**
 * main actions.
 *
 * @package    anbnws
 * @subpackage main
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 404 2010-09-03 08:57:18Z hlecorche $
 */
class mainActions extends sfActions
{
	/**
	 * Executes index action
	 *
	 * @param sfRequest $request A request object
	 */
	public function executeIndex(sfWebRequest $request)
	{

	}

	
	/**
	 * Action qui traiter le formulaire de connexion
	 * @param SfRequest $request
	 */
	public function executeLogin(sfWebRequest $request)
	{
		$user = $this->getUser();
		
		//On récupère le module et l'action de provenance
		$this->forward404Unless($referer = $request->getParameter('ref_url'));
		$pseudo = $request->getParameter('pseudo');
		$password = $request->getParameter('password');
		
		if(empty($pseudo) || empty($password))
		{
			$user->setFlash('resultat_connexion', 'Remplir pseudo et mot de passe');
		}
		else
		{		
			//On regarde si pas authentifié
			if(!$user->isAuthenticated())
			{
				//On fait une tentative de connexion
				if($user->Login($pseudo, md5($password)))
				{
					//Connexion OK
						
					//Connexion automatique activée?
					if($request->getParameter('auto'))
					{
						//La connexion automatique est activée, on créer le cookie
						//qui sauvegarde dans un tableau (que nous serialisons) $tab['pseudo'], $tab['password']
						$cookie_name = sfConfig::get('app_remember_me_cookie_name');
						$expire = sfConfig::get('app_remember_me_expire');
						$tab = array('pseudo' => $pseudo, 'password' => md5($password));
						$value = base64_encode(serialize($tab));
						$this->getResponse()->setCookie($cookie_name, $value, time() + $expire);
					}
					
				}
				else
				{
					//Erreur de connexion
					//On renvoi un message d'erreur
					$user->setFlash('resultat_connexion', 'Login ou mot de passe incorrect');
				}
			}
		}
		
		//On redirige vers la page de provenance
		$this->redirect($referer);
		
	}
	
	
	/**
	 * Action qui déconnecte la personne
	 * @param $request
	 */
	public function executeLogout(sfWebRequest $request)
	{
		$user = $this->getUser();
		if($user->isAuthenticated())
		{
			$user->LogOut();
		}
		$this->redirect('@homepage');
	}
	
	
	//Action qui affiche le formulaire d'inscription
	public function executeInscription(sfWebRequest $request)
	{
		$this->form = new InscriptionForm();
		$this->setTemplate('inscription/inscription');
	}
	
	//Action qui affiche la page une fois l'inscription réalisée
	public function executeInscriptionOk(sfWebRequest $request)
	{
		$this->setTemplate('inscription/inscriptionOk');
	}
	
	//Action appelee par le formulaire d'inscription
	public function executeSubmitInscription(sfWebRequest $request)
	{
		$this->forward404Unless($request->isMethod('post'));

		$this->form = new InscriptionForm();

		$this->processFormInscription($request, $this->form);

		$this->setTemplate('inscription/inscription');
	}
	
	
	//Action apelle pour la validation d'un compte
	public function executeConfirmInscription(sfWebRequest $request)
	{
		//On recupere les champs "id" et "cle". Si non présents (ou membre pas existant), erreur 404
		$this->forward404Unless($membre = Doctrine::getTable('Membre')->find($request->getParameter('id')), sprintf('Object Membre does not exist (%s).', $request->getParameter('id')));
		$this->forward404Unless($cle = $request->getParameter('cle'), sprintf('The key is missed (%s).', $request->getParameter('cle')));
		
		//On regarde si la personne est deja validee
		if($membre->getConfirmation())
		{
			//Personne deja validee
			
			if($membre->getConfirmationCode() == $cle)
			{
				//Code bon
				$this->message = 'already_ok';
			}
			else
			{	
				//Code incorrect
				$this->forward404();
			}
		}
		else
		{
			//Personne non validee
			
			if($membre->getConfirmationCode() == $cle)
			{
				//Code bon
				
				//On change la valeur
				$this->message = 'ok';
				$membre->setConfirmation(1);
				$membre->setNotificationNewsletter('0');
				$membre->save();
				$this->membre = $membre;
				
				//on enregistre le membre dans la table "newsletter_abonnement"
				$newsletter = new NewsletterAbonnement();
				$newsletter->setActive("1");
				$newsletter->setMembreId($membre->getId());
				$newsletter->setEmail($membre->getEmail());
				$newsletter->setChariot("0");
				$newsletter->save();
			}
			else
			{	
				//Code incorrect
				$this->message = 'error';
			}
		}
		
		$this->setTemplate('inscription/confirmationInscription');
	}
	
	//action qui affiche le formulaire a remplir pour recuperer son mot de passe
	public function executeOubliMotPasse(sfWebRequest $request)
	{
		$user = $this->getUser();
		//si l'utilisateur est authentifié
		if($user->isAuthenticated()){
			$this->forward404('demande de mot de passe alors que le membre est identifié');
		}
		//on créer un formulaire de type ForgottenPasswordForm
		$this->form = new ForgottenPasswordForm();
		
	}
	

	
	
	
	//action qui affiche le formulaire a remplir pour postuler pour miss ou mister
	public function executeMiss(sfWebRequest $request)
	{
		//Si module desactive, erreur 404
		$this->forward404Unless(sfConfig::get('app_elections_miss_active'));
		
		//on créer un formulaire de type MissForm
		$this->form = new MissForm();
		
	}
	
	//action qui traite le formulaire de miss
	public function executeSubmitMiss(sfWebRequest $request)
	{
		
		//Si module desactive, erreur 404
		$this->forward404Unless(sfConfig::get('app_elections_miss_active'));
		
		//on verifie si on a recu des parametres en post
		$this->forward404Unless($request->isMethod('post'));

		//on créer un formulaire de type MissMisterForm
		$this->form = new MissForm();
		
		//on remplit ce formulaire avec les objets recu en parametre, qui correspondent aux champs du formulaire remplit par l'utilisateur
     	$this->form->bind($request->getParameter($this->form->getName()), $request->getFiles($this->form->getName()));
		
     	//si le formulaire est valide
		if ($this->form->isValid())
		{
			//on appelle la fonction processForm definit dans le formulaire en lui passant $this en parametre
			$this->form->processForm($this);
			$this->redirect('main/confirmMiss');
			
		}else{
		//on redirige les données vers le template miss
		$this->setTemplate('miss');
		}
		
	}
	
	//action qui affiche le message de confirmation une fois le mail de candidature de miss envoyé
	public function executeConfirmMiss(sfWebRequest $request)
	{
				
	}
	
	
	
	//action qui affiche le formulaire de contact
	public function executeContact(sfWebRequest $request)
	{
		
		//on créer un formulaire de type ContactForm
		$this->form = new ContactForm();
		
	}
	
	//action qui traite le formulaire de contact
	public function executeSubmitContact(sfWebRequest $request)
	{
		
		//on verifie si on a recu des parametres en post
		$this->forward404Unless($request->isMethod('post'));

		//on créer un formulaire de type contactForm
		$this->form = new ContactForm();
		
		//on remplit ce formulaire avec les objets recu en parametre, qui correspondent aux champs du formulaire remplit par l'utilisateur
     	$this->form->bind($request->getParameter($this->form->getName()));
		
     	//si le formulaire est valide
		if ($this->form->isValid())
		{
			//on appelle la fonction processForm definit dans le formulaire en lui passant $this en parametre
			$this->form->processForm($this);
			$this->redirect('main/confirmContact');
			
		}else{
		//on redirige les données vers le template contact
		$this->setTemplate('contact');
		}
		
	}
	
	//action qui affiche le message de confirmation une fois le mail de contact envoyé
	public function executeConfirmContact(sfWebRequest $request)
	{
				
	}
	
	
	

	
	//action qui affiche la page de condition generale pour devenir photographe
	public function executePhotographe(sfWebRequest $request)
	{
		$this->setTemplate('demmandePhotographeEtape1');
	}
	
	
	//action qui affiche le formulaire de demande de photographe
	public function executeInscriptionPhotographe(sfWebRequest $request)
	{
		//on recupere les infos sur le membre connecté
		$this->photographe = MembreTable::getMembreConnecte();
			
		//on créer un formulaire d'inscription
		$this->form = new ReporterForm();
			
		$this->setTemplate('demmandePhotographeEtape2');
	}
	
	//action qui traite le formulaire de demande de photographe
	public function executeSubmitPhotographe(sfWebRequest $request)
	{
		
		//on verifie si on a recu des parametres en post
		$this->forward404Unless($request->isMethod('post'));

		//on créer un formulaire de type ReporterForm
		$this->form = new ReporterForm();
		
		//on remplit ce formulaire avec les objets recu en parametre, qui correspondent aux champs du formulaire remplit par l'utilisateur
     	$this->form->bind($request->getParameter($this->form->getName()));
		
     	//si le formulaire est valide
		if ($this->form->isValid())
		{
			//on appelle la fonction processForm definit dans le formulaire en lui passant $this en parametre
			$this->form->processForm($this);
			$this->redirect('main/confirmPhotographe');
			
			
		}else{
			
		
		//on redirige les données vers le template photographe
		$this->setTemplate('demmandePhotographeEtape2');
		}
		
	}
	
	//action qui affiche le message de confirmation une fois le mail de candidature de photographe envoyé
	public function executeConfirmPhotographe(sfWebRequest $request)
	{
				
	}
	
	
	
	//action qui envoie le formulaire de recuperation de mot de passe
	public function executeSubmitPassword(sfWebRequest $request)
	{
		$user = $this->getUser();
		//si l'utilisateur est authentifié
		if($user->isAuthenticated()){
			$this->forward404('demande de mot de passe alors que le membre est identifié');
		}
		
		//on verifie si on a recu des parametres en post
		$this->forward404Unless($request->isMethod('post'));

		//on créer un formulaire de type ForgottenPasswordForm
		$this->form = new ForgottenPasswordForm();
		
		//on remplit ce formulaire avec les objets recu en parametre, qui correspondent aux champs du formulaire remplit par l'utilisateur
     	$this->form->bind($request->getParameter($this->form->getName()));
		
     	//si le formulaire est valide
		if ($this->form->isValid())
		{
			//on appelle la fonction processForm definit dans le formulaire en lui passant le controller($this) en parametre
			$this->form->processForm($this);
			
		}
		//on redirige les données vers le template oubliMotPasse
		$this->setTemplate('oubliMotPasse');
	}
	
	
	//action qui affiche les conditions générales d'utilisation du site
	public function executeCgu(sfWebRequest $request)
	{
		$this->setTemplate('inscription/cgu');
	}
	
	//Action qui affiche un JS minimifier
	public function executeMiniJs(sfWebRequest $request)
	{
		//Verifie que le JS demande existe
		$liste_js = array('lieux' => 'lieux.js');
		$this->forward404Unless($js = $request->getParameter('name'), 'Name is required');
		$this->forward404Unless(array_key_exists($js, $liste_js), 'JS does not exist');
		$fichier_js = sfConfig::get('sf_data_dir').'/js/'.$liste_js[$js];
		$this->forward404Unless(file_exists($fichier_js), 'File does not exist');
		
		$source = file_get_contents($fichier_js);
		if(sfConfig::get('sf_environment') == 'dev')
		{
			$render = $source;
		}
		else
		{
			ProjectConfiguration::registerPacker();
			$packer = new JavaScriptPacker($source, 'Normal', true, false);
			$render = $packer->pack();
		}
		
		//Retourne le JS
		$this->setLayout(false);
		$this->getResponse()->setContentType('text/javascript');
		return $this->renderText($render); //Attention, injection XSS possible; Pas grave car uniquement le developpeur gere ce contenu
	}
	
	//action qui affiche un message "Prochainement"
	public function executeProchainement(sfWebRequest $request)
	{
	}
	
	
	private function processFormInscription(sfWebRequest $request, sfForm $form)
	{
		$form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
		
		if ($form->isValid())
		{
			//On récupère l'objet "Membre"
			$membre = $form->getObject();
			
			//On passe le membre comme non confirme
			$membre->setConfirmation(0);
			
			//On creer le code de confirmation
			$code = md5(rand(0, 99999).time().'anbnws');
			$membre->setConfirmationCode($code);
			
			//On donne les droits de simple utilisateur a la personne
			$membre->setLevelId(Level::LEVEL_UTILISATEUR);
			
			//Derniere requete a maintenant
			$dateFormat = new sfDateFormat();
			$now = $dateFormat->format(time(), 'I');
			$membre->setDerniereRequete($now);
			
			//On attibue une fonction au membre
			$membre->setFonctionId(sfConfig::get('app_inscription_fonction_id_defaut', 1));
			
			//On récupère le fichier
			$file = $form->getValue('image');
			if(empty($file))
			{
				//Le fichier n'est pas présent, on l'enleve du formulaire, sinon erreur Doctrine...
				unset($form['image']);
			}
			
			//On enregitre le membre
			$membre = $form->save();
			
			
			//On prepare le mail de confirmation à la personne
			$expediteur = sfConfig::get('app_email_expediteur', 'contact@annecybynight.com');
			$destinataire = $membre->getEmail();
			$sujet = sfConfig::get('app_email_sujet_inscription', 'Confirmation de l\'inscription sur Annecy by Night');
			$lien_confirmation = sfConfig::get('app_url_portail').'/'.'main/confirmInscription?id='.$membre->getId().'&cle='.$membre->getConfirmationCode();
			$mailBody = $this->getPartial('mailInscription', array('lien_confirmation' => $lien_confirmation,
																			   'pseudo' => $membre->getPseudo()));

			// On cree le mail
			$message = Swift_Message::newInstance()
			->setFrom($expediteur)
			->setTo($destinataire)
			->setSubject($sujet)
			->setBody($mailBody, 'text/html');

			// On envoie le mail
			$this->getMailer()->send($message);			 
			
			//Traitement de l'image de profil
			if(!empty($file))
			{
				//Le fichier est présent
				
				//On le renomme
				$extension = $file->getExtension($file->getOriginalExtension());
				$name = $membre->getId().'mbr'.$extension;
				
				//On sauvegarde le fichier
				$dossier = sfConfig::get('app_uploads_images_membres');
				$file->save($dossier.'/'.$name);
				
				//On enregistre le nouveau nom en BDD
				$membre->setImage_profil($name);
				$membre->save();
			}
			
			
			//On redirige vers la page de confirmation
			$this->redirect('main/inscriptionOk');
		}
	}
	
	
	



}


