<?php

/**
 * membres actions.
 *
 * @package    anbnws
 * @subpackage membres
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 425 2010-09-27 08:51:05Z hlecorche $
 */
class membresActions extends sfActions
{

	//Constantes des numéros d'onglets pour l'édition de profil
	const EDIT_PROFIL_TAB_INFOS = '0';
	const EDIT_PROFIL_TAB_IMAGES = '1';
	const EDIT_PROFIL_TAB_GALERIE = '2';
	const EDIT_PROFIL_TAB_AMIS = '3';
	const EDIT_PROFIL_TAB_EMAIL = '4';
	const EDIT_PROFIL_TAB_REPORTAGES_INSCRITS = '5';
	
	//Constantes des numéeos d'onglets pour le profil publique
	const PUBLIC_PROFIL_TAB_INFOS = '0';
	const PUBLIC_PROFIL_TAB_AMIS = '1';
	const PUBLIC_PROFIL_TAB_GALERIE = '2';
	const PUBLIC_PROFIL_TAB_REPORTAGES_INSCRITS = '3';
	const PUBLIC_PROFIL_TAB_LIVRE_OR = '4';

	/**
	 * Executes index action
	 *
	 * @param sfRequest $request A request object
	 */
	public function executeIndex(sfWebRequest $request)
	{
		$this->forward('membres', 'liste');
	}



	/**
	 *
	 * Actions generales
	 *
	 */


	//Module qui affiche le profil d'un membre
	public function executeProfil(sfWebRequest $request)
	{
		$this->forward404Unless(($membre_id =$request->getParameter('id')), sprintf('Object Membre does not exist (%s).', $request->getParameter('id')));

		//fonction qui affiche les infos du profil public du membre dont on passe l'id en parametre
		$this->displayInfosProfilPublic($membre_id);
		
		//on crée un formulaire pour le livre d'or
		$this->form_livre_or = new MembreGuestbookForm();
		
		//En fonction du paramètre passé dans l'url (tab), on choisit l'onglet
		//a selectionner
		$this->tab = 0;
		$request_tab = $request->getParameter('tab');
		if(is_integer(intval($request_tab)) && $request_tab > 0 && $request_tab <= 4)
		{
			$this->tab = $request_tab;
		}

	}
	
	//action qui enregistre le message du livre d'or
	public function executeAddLivreOr(sfWebRequest $request)
	{
		$user = $this->getUser();

		//on verifie si on a recu des parametres en post
		$this->forward404Unless($request->isMethod('post'));
		
		//on verifie d'avoir recu un id de membre valide en parametre
		$this->forward404Unless($membre = Doctrine::getTable('Membre')->find($request->getParameter('id')), sprintf('Object id does not exist (%s).', $request->getParameter('id')));
		
		//on verifie que le membre ai le level necessaire pour le livre d'or (erreur 404 sinon)	
		$this->forward404If(array_search($membre->getLevelId(),Level::getLevelsLivreOr()) === FALSE);
		
		//Traitement du formulaire
		$this->form_livre_or = new MembreGuestbookForm();

		//on remplit ce formulaire avec les objets recu en parametre, qui correspondent aux champs du formulaire remplit par l'utilisateur
     	$this->form_livre_or->bind($request->getParameter($this->form_livre_or->getName()));
     	
		//si le formulaire est valide
		if ($this->form_livre_or->isValid())
		{
			//on appelle la fonction processForm definit dans le formulaire 
			//en lui passant $this , et l'id du membre en parametres
			$this->form_livre_or->processForm($this,$membre);
			
		}
		
		//on redirige les données vers le template du profil
		$this->displayInfosProfilPublic($membre->getId());
		$this->setTemplate('profil');
		$this->tab = self::PUBLIC_PROFIL_TAB_LIVRE_OR;
		
		
	}


	//Action qui affiche la liste des membres
	public function executeListe(sfWebRequest $request)
	{
		//Configuration
		$this->nom_session = 'liste_membres';
		$this->url_page = $this->getModuleName().'/'.$this->getActionName();
		$user = $this->getUser();

		if($request->isMethod(sfRequest::POST))
		{
			//On vient du formulaire du changement des propriétés d'affichage,
			//on modifie les paramètres
			$this->changeDisplay($this->nom_session, $request);
		}


		//On cree le pager de résultats
		$this->pager = MembreTable::generatePager($this->nom_session);
		$this->pager->setPage($this->getRequestParameter('page',1));
		$this->pager->init();

		//Chemin des dossiers
		$this->dossier_images = sfConfig::get('app_dossiers_images_membres').'/';


		//Données fournis au formulaire de recherche
		//Liste des fonctions
		$this->liste_fonctions = Doctrine::getTable('Fonction')->getTypesFonctionForm();
		$this->liste_tri = array(0 => 'Trier par...',1 => 'Date d\'inscription', 2 => 'Ville', 3=>'Code postal');
		$this->liste_sexe = array(0 => 'Tous', 1 => 'Homme', 2=>'Femme');
		$this->liste_photo = array(0 => 'Tous', 1 => 'Avec photo');
		$this->liste_ordre = array(0 => 'Croissant', 1 => 'Décroissant');
		$this->liste_nombre_pages = array(12 => '12', 24 => '24', 64 => '64');
		//Valeurs par défaults du formulaire
		$this->selected_fonctions = $user->getAttribute($this->nom_session.'_fonction', 0);
		$this->selected_tri = $user->getAttribute($this->nom_session.'_tri', 0);
		$this->selected_sexe = $user->getAttribute($this->nom_session.'_sexe', 0);
		$this->selected_nombre_pages = $user->getAttribute($this->nom_session.'_nombre_pages', 64);
		$this->selected_ordre = $user->getAttribute($this->nom_session.'_ordre', 0);
		$this->selected_photo = $user->getAttribute($this->nom_session.'_photo', 0);

		$this->setTemplate('liste');

	}
	
//Action qui affiche la liste du staff	
	public function executeListeStaff(sfWebRequest $request)
	{
		//Configuration
		$this->nom_session = 'liste_staff';
		$this->url_page = $this->getModuleName().'/'.$this->getActionName();
		$user = $this->getUser();

		if($request->isMethod(sfRequest::POST))
		{
			//On vient du formulaire du changement des propriétés d'affichage,
			//on modifie les paramètres
			$this->changeDisplayStaff($this->nom_session, $request);
		}


		//On cree le pager de résultats
		$this->pager = MembreTable::generatePagerStaff($this->nom_session);
		$this->pager->setPage($this->getRequestParameter('page',1));
		$this->pager->init();

		//Chemin des dossiers
		$this->dossier_images = sfConfig::get('app_dossiers_images_membres').'/';


		//Données fournis au formulaire de recherche
		$this->liste_tri = array(0 => 'Trier par...',1 => 'Date d\'inscription', 2 => 'Ville', 3=>'Code postal');
		$this->liste_sexe = array(0 => 'Tous', 1 => 'Homme', 2=>'Femme');
		$this->liste_photo = array(0 => 'Tous', 1 => 'Avec photo');
		$this->liste_ordre = array(0 => 'Croissant', 1 => 'Décroissant');
		$this->liste_nombre_pages = array(12 => '12', 24 => '24', 64 => '64');
		//Valeurs par défaults du formulaire
		$this->selected_tri = $user->getAttribute($this->nom_session.'_tri', 0);
		$this->selected_sexe = $user->getAttribute($this->nom_session.'_sexe', 0);
		$this->selected_nombre_pages = $user->getAttribute($this->nom_session.'_nombre_pages', 64);
		$this->selected_ordre = $user->getAttribute($this->nom_session.'_ordre', 0);
		$this->selected_photo = $user->getAttribute($this->nom_session.'_photo', 0);

		$this->setTemplate('listeStaff');

	}
	/**
	 * action qui permet d'ajouter un autre membre a sa liste d'ami
	 * @param sfWebRequest $request
	 * @return unknown_type
	 */
	public function executeAjouterAmi(sfWebRequest $request){

		$request->checkCSRFProtection();
		$user = $this->getUser();

		//on recupere l'id du membre dont on veut devenir ami
		$ami_id=$request->getParameter('id');

		//on recupere l'objet "membre" qui correspond a l'id recu
		$membre_ami = Doctrine::getTable('Membre')->find($ami_id);

		//on verifie si le membre existe et qu'il soi actif
		if(is_object($membre_ami) && ($membre_ami->getConfirmation()=='1'))
		{
		//on recupere l'id et l'objet du membre connecté
		$membre_id = MembreTable::getMembreIdConnecte();
		$membre = MembreTable::getMembreConnecte();

		//on verifie que le membre connecté et le membre dont on veut devenir l'ami soit differents
		if($ami_id!=$membre_id)
		{
			
			$deja_ami= $membre->aPourAmi($membre_ami);
				
			if (($deja_ami=== false)) //si le membre que l'on veut ajouter comme ami ne l'est pas deja
			{


						//on recupere le pseudo de l'ami
						$pseudo_ami=$membre_ami->getPseudo();
							
						//on recupere le pseudo du membre
						$pseudo_membre = MembreTable::getMembreConnecte()->getPseudo();
							
						//on l'ajout comme ami
						$membre_ami_enregistrement = new MembreAmis();
						$membre_ami_enregistrement->setMembreId($membre_id);
						$membre_ami_enregistrement->setAmiMembreId($ami_id);
						$membre_ami_enregistrement->save();
							
						//on test si le membre connecté est deja l'ami de l'ami
						$if_ami = $membre->estAmi($membre_ami);
							
						if($if_ami===false)
						{
							//on ajoute le membre qui a fait la demande, dans la liste des amis de l'autre membre
							$membre_ami_enregistrement = new MembreAmis();
							$membre_ami_enregistrement->setMembreId($ami_id);
							$membre_ami_enregistrement->setAmiMembreId($membre_id);
							$membre_ami_enregistrement->save();
								
								
						}
						//on envoi un message privé au membre qui a été ajouté comme ami
						$message = new Message();
						$message->setTitre($pseudo_membre.' t\'a ajouté dans ses amis');
						$message->setMessage($pseudo_membre.' t\'a ajouté dans ses amis');
						$message->setLu('0');
						$message->setExpediteurMembreId($membre_id);
						$message->setDestinataireMembreId($ami_id);
						$message->save();
							
						//message flash: ok
						$user->setFlash('ami_ajouter_ok', 'Ce membre est maintenant votre ami. Un message personnel vient de lui être envoyé pour l\'informer de cet évènement.',false);
				

			}else
			{
				//message flash : vous etre deja ami avec ce membre
				$user->setFlash('ami_erreur', 'Vous êtes déjà ami avec ce membre.',false);

			}
		}else
		{
			//message flash : on ne peut etre ami avec soi meme
			$user->setFlash('ami_erreur', 'Vous ne pouvez être ami avec vous même...',false);

		}
	}else
	{
		//message flash: le membre n'existe pas
		$user->setFlash('ami_erreur', 'Le membre que vous essayez d\'ajouter comme ami n\'existe pas.',false);

	}

	
}






	/**
	 *
	 * Actions sur l'edition du profil
	 *
	 */

	//Profil qui affiche l'edition du profil
	public function executeEditProfil(sfWebRequest $request)
	{
		//On inserre les formulaires
		$this->displayEditProfilForms();

		//En fonction du paramètre passé dans l'url (tab), on choisit l'onglet
		//a selectionner
		$this->tab = 0;
		$request_tab = $request->getParameter('tab');
		if(is_integer(intval($request_tab)) && $request_tab > 0 && $request_tab <= 5)
		{
			$this->tab = $request_tab;
		}
	}




	//Action qui traite l'envoi du formulaire d'édition du profil,
	//partie 'infos'
	public function executeUpdateInfosProfil(sfWebRequest $request)
	{
		$this->displayEditProfilForms();

		//Traitement du formulaire
		$form = $this->form_infos;
		$form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
		if ($form->isValid())
		{
			$form->save();

			//Message de confirmation + redirection
			$user = $this->getUser();
			$user->setFlash('edit_profil_infos_ok', 'Modificatons enregistrées');
			$this->redirect('membres/editProfil?tab='.self::EDIT_PROFIL_TAB_INFOS);
		}

		//Erreur dans le formulaire, on le raffiche
		$this->tab = self::EDIT_PROFIL_TAB_INFOS;
		$this->setTemplate('editProfil');
	}




	//Action qui traite l'envoi du formulaire d'édition du profil,
	//partie 'images profil'
	public function executeUpdateImagesProfil(sfWebRequest $request)
	{
		$this->displayEditProfilForms();

		//Traitement du formulaire
		$form = $this->form_images;
		$form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
		if ($form->isValid())
		{
			//On récupère l'objet "Membre"
			$membre = $form->getObject();

			//Nom des images à recupérer
			$liste_images = array('' => 'fichier_image_profil', '_1' => 'fichier_img_1', '_2' => 'fichier_img_2', '_3' => 'fichier_img_3');

			//Pour chaque fichier à récuperer ,on les traite
			foreach($liste_images as $suffixe_fichier => $nom_fichier)
			{
				//On récupère le fichier
				$file = $form->getValue($nom_fichier);
				if(!empty($file))
				{
					//Le fichier est présent

					$dossier = sfConfig::get('app_uploads_images_membres');

					//On le renomme
					$extension = $file->getExtension($file->getOriginalExtension());
					$name = $membre->getId().'mbr'.$suffixe_fichier.$extension;

					//On supprime l'ancien fichier, si existe
					if($suffixe_fichier == '')
					{
						$ancien_fichier = $membre->getImageProfil();
					}
					else
					{
						$ancien_fichier = $membre->get('img'.$suffixe_fichier);
					}
					if(!empty($ancien_fichier) && file_exists($dossier.'/'.$ancien_fichier))
					{
						//Fichier présent, on le supprime
						unlink($dossier.'/'.$ancien_fichier);
					}

					//On sauvegarde le fichier
					$file->save($dossier.'/'.$name);

					//On enregistre le nouveau nom en BDD
					if($suffixe_fichier == '')
					{
						$membre->setImageProfil($name);
					}
					else
					{
						$membre->set('img'.$suffixe_fichier, $name);
					}
					$membre->save();

					//On supprime le cache des images de profil de la personne
					$folder_cache = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_membres').'/'.$membre->getId();
					Util::deleteFolder($folder_cache);
				}
			}

			//Message de confirmation + redirection
			$user = $this->getUser();
			$user->setFlash('edit_profil_images_ok', 'Modificatons enregistrées');
			$this->redirect('membres/editProfil?tab='.self::EDIT_PROFIL_TAB_IMAGES);
		}

		//Erreur dans le formulaire, on le raffiche
		$this->tab = self::EDIT_PROFIL_TAB_IMAGES;
		$this->setTemplate('editProfil');
	}


	//Action qui supprime une image de profil
	public function executeDeleteImageProfil(sfWebRequest $request)
	{
		$request->checkCSRFProtection();

		$id = $request->getParameter('id');
		$user = $this->getUser();
		$membre_id = MembreTable::getMembreIdConnecte();
		$membre = MembreTable::getMembreConnecte();
		$dossier = sfConfig::get('app_uploads_images_membres');

		if($id == 0)
		{
			//On supprime le ficher principal du profil
			$file_name = $membre->getImageProfil();
			$file = $dossier.'/'.$file_name;
			if(!empty($file_name) && file_exists($file))
			{
				unlink($file);
			}
			$membre->setImageProfil(null);
			$membre->save();
		}
		elseif($id == 1 || $id  == 2 || $id = 3)
		{
			//On supprime le ficher d'une image du profil
			$file_name = $membre->get('img_'.$id);
			$file = $dossier.'/'.$file_name;
			if(!empty($file_name) && file_exists($file))
			{
				unlink($file);
			}
			$membre->set('img_'.$id, null);
			$membre->save();
		}
		else
		{
			$this->forward404();
		}
		$this->redirect('membres/editProfil?tab='.self::EDIT_PROFIL_TAB_IMAGES);
	}


	//Action qui supprime une image de l'ablum photos d'une personne (images favorites)
	public function executeDeleteImageGalerieProfil(sfWebRequest $request)
	{
		$request->checkCSRFProtection();

		$id_media = $request->getParameter('id');

		if(intval($id_media) < 0)
		{
			$this->forward404();
		}

		$user = $this->getUser();
		$membre_id = MembreTable::getMembreIdConnecte();

		//On supprime la photo des favoris de la personne
		$q = Doctrine::getTable('ReportageFavori')->createQuery()->delete()
		->where('membre_id = ?', $membre_id)
		->addWhere('reportage_media_id = ?', $id_media);
		$q->execute();

		$this->redirect('membres/editProfil?tab='.self::EDIT_PROFIL_TAB_GALERIE);
	}


	//Action qui supprime un ami
	public function executeDeleteAmi(sfWebRequest $request)
	{
		$request->checkCSRFProtection();

		$id_ami = $request->getParameter('id');

		if(intval($id_ami) < 0)
		{
			$this->forward404();
		}

		$user = $this->getUser();
		$membre_id = MembreTable::getMembreIdConnecte();

		//On supprime l'ami
		$q = Doctrine::getTable('MembreAmis')->createQuery()->delete()
		->where('membre_id = ?', $membre_id)
		->addWhere('ami_membre_id = ?', $id_ami);
		$q->execute();

		//Message de confirmation + redirection
		$user = $this->getUser();
		$user->setFlash('edit_profil_amis_ok', 'Ami supprimé');
		$this->redirect('membres/editProfil?tab='.self::EDIT_PROFIL_TAB_AMIS);
	}
	
	
	//Action qui supprime l'inscription à un reportage
	public function executeDeleteReportageInscrit(sfWebRequest $request)
	{
		$request->checkCSRFProtection();
		
		//On recupere l'id du reportage à supprimer
		$this->forward404Unless($reportage_id = $request->getParameter('id'));
		
		//On recupere l'id de la personne connectee
		$membre_id = MembreTable::getMembreIdConnecte();
		
		//On cherche dans la base de données la correspondance
		$inscription = Doctrine::getTable('ReportageInscription')->createQuery('i')
		->where('i.membre_id = ?', $membre_id)
		->addWhere('i.reportage_id = ?', $reportage_id)
		->fetchOne();
		
		//Si l'inscription n'a pas été trouvée, erreur 404
		if(empty($inscription))
		{
			$this->forward404();
		}
		
		//Sinon on supprime + message de confirmation + redirection
		$inscription->delete();
		$user = $this->getUser();
		$user->setFlash('edit_profil_reportages_ok', 'Reportage supprimé');
		$this->redirect('membres/editProfil?tab='.self::EDIT_PROFIL_TAB_REPORTAGES_INSCRITS);
	}
	

	/**
	 * action qui affiche la liste des membres dont c'est l'anniversaire aujourd'hui
	 * @param sfWebRequest $request
	 * @return unknown_type
	 */
	public function executeAnniversaires(sfWebRequest $request)
	{
		//Configuration
		$this->nom_session = 'liste_membres_anniversaire';
		$this->url_page = $this->getModuleName().'/'.$this->getActionName();
		$user = $this->getUser();

		if($request->isMethod(sfRequest::POST))
		{
			//On vient du formulaire du changement des propriétés d'affichage,
			//on modifie les paramètres
			$this->changeDisplay($this->nom_session, $request);
		}


		//On cree le pager de résultats
		$this->pager = MembreTable::generatePagerAnniversaire($this->nom_session);
		$this->pager->setPage($this->getRequestParameter('page',1));
		$this->pager->init();

		//Chemin des dossiers
		$this->dossier_images = sfConfig::get('app_dossiers_images_membres').'/';


		//Données fournis au formulaire de recherche
		//Liste des fonctions
		$this->liste_tri = array(0 => 'Trier par...',1 => 'Date d\'inscription', 2 => 'Ville', 3=>'Code postal');
		$this->liste_sexe = array(0 => 'Tous', 1 => 'Homme', 2=>'Femme');
		$this->liste_photo = array(0 => 'Tous', 1 => 'Avec photo');
		$this->liste_ordre = array(0 => 'Croissant', 1 => 'Décroissant');
		$this->liste_nombre_pages = array(12 => '12', 24 => '24', 64 => '64');
		//Valeurs par défaults du formulaire
		$this->selected_tri = $user->getAttribute($this->nom_session.'_tri', 0);
		$this->selected_sexe = $user->getAttribute($this->nom_session.'_sexe', 0);
		$this->selected_nombre_pages = $user->getAttribute($this->nom_session.'_nombre_pages', 64);
		$this->selected_ordre = $user->getAttribute($this->nom_session.'_ordre', 0);
		$this->selected_photo = $user->getAttribute($this->nom_session.'_photo', 0);

		$this->setTemplate('anniversaire');


	}

	/**
	 * action qui traite le formulaire de changement de mail
	 * @param sfWebRequest $request
	 * @return unknown_type
	 */
	public function executeChangementEmail(sfWebRequest $request)
	{
		$this->displayEditProfilForms();

		$user = $this->getUser();


		//on verifie si on a recu des parametres en post
		$this->forward404Unless($request->isMethod('post'));

		//Traitement du formulaire
		$form = $this->form_email;

		//on remplit ce formulaire avec les objets recu en parametre, qui correspondent aux champs du formulaire remplit par l'utilisateur
		$form->bind($request->getParameter($form->getName()));


		//si le formulaire est valide
		if ($form->isValid())
		{
			//on appelle la fonction processForm definit dans le formulaire en lui passant un objet de
			//type membresAction en parametre
			$form->processForm($this);

		}

		//on re-affiche le formulaire
		$this->tab = self::EDIT_PROFIL_TAB_EMAIL;
		$this->setTemplate('editProfil');
	}


	/**
	 * action qui traite la validation du changement de mail
	 * @param sfWebRequest $request
	 * @return unknown_type
	 */
	public function executeConfirmChangementEmail(sfWebRequest $request)
	{

		$user = $this->getUser();	

		//On recupere les champs "id" et "cle". Si non présents (ou membre pas existant), erreur 404
		$this->forward404Unless($id = $request->getParameter('id'), sprintf('The id is missed (%s).', $request->getParameter('id')));
		$this->forward404Unless($cle = $request->getParameter('cle'), sprintf('The key is missed (%s).', $request->getParameter('cle')));

		//on recupere l'enregistrement dans la table "changement_email"
		$changement_email = Doctrine::getTable('ChangementEmail')->findOneById($id);

		//si on ne recupere pas un objet
		if (!is_object($changement_email))
		{
			//on affiche un message d'erreur
			$user->setFlash('changement_mail_erreur', 'Impossible de changer votre adresse mail. Vous avez peut etre déjà cliqué sur le lien de confirmation.',false);
			$this->setTemplate('confirmChangementEmail');
		}else
		{
			//recuperation de l'id du membre 
			$membre = $changement_email->getMembre();
			$membre_id = $membre->getId();
			//si le code dans l'url correspond au code dans la table "changement-email"
			if($changement_email->getconfirmationCode()===$cle)
			{
				//on recupere la nouvelle adresse mail dans la table "changement-email"
				$adresse_mail=$changement_email->getEmail();
			
				//on change l'adresse
				$membre->setEmail($adresse_mail);
				$membre->save();
				//puis on supprime la ligne correspondante dans la table "changement_email"
				$changement_email->delete();

				//dans la table "newsletter_abonnement" on recupere l'enregistrement qui correspond au membre dont on change l'adresse
				$newsletter = Doctrine::getTable('NewsletterAbonnement')->findOneByMembreId($membre_id);

				//si il n'y a pa d'enregistrement correspondant
				if(!is_object($newsletter))
				{
					//on créer un nouvel enregistrement dans la table "newsletter_abonnement"
					$newsletter = new NewsletterAbonnement();
					$newsletter->setActive("1");
					$newsletter->setMembreId($membre_id);
					$newsletter->setEmail($adresse_mail);
					$newsletter->setChariot("0");
					$newsletter->save();
				}else
				{
					//on recupere l'ancienne valeur du champ "active"
					$active=$newsletter->getActive();

					//on créer un nouvel enregistrement dans la table "newsletter_abonnement"
					$newsletter_nouveau = new NewsletterAbonnement();
					$newsletter_nouveau->setActive($active);
					$newsletter_nouveau->setMembreId($membre_id);
					$newsletter_nouveau->setEmail($adresse_mail);
					$newsletter_nouveau->setChariot("0");
					$newsletter_nouveau->save();

					//puis on supprime l'ancien enregistrement
					$newsletter->delete();

				}


				//on affiche le message de confirmation du changement
				$user->setFlash('changement_mail_ok', 'L\'adresse mail a bien été modifiée.',false);
				$this->setTemplate('confirmChangementEmail');

			}else
			{
				$user->setFlash('changement_mail_erreur_code', 'Le code de confirmation contenu dans le lien n\'est pas valide.',false);
				$this->setTemplate('confirmChangementEmail');
			}

		}


		$this->setTemplate('confirmChangementEmail');
	}

	/**
	 * action pour l'abonnement a la newsletter
	 * @param sfWebRequest $request
	 * @return unknown_type
	 */

	public function executeAbonnementNewsletter(sfWebRequest $request){

		$request->checkCSRFProtection();

		$user = $this->getUser();

		//on recupere l'id du membre connecté
		$membre_id = MembreTable::getMembreIdConnecte();
			
		//on verifie dans la table "newsletter_abonnement" que le membre ne soit pas deja abonné
		$newsletter=Doctrine::getTable('NewsletterAbonnement')->findOneByMembreId($membre_id);
		//si on a un enregistrement dans la table "newsletter_abonnement" qui correspond au membre connecté
		if(is_object($newsletter))
		{
			//on test si la valeur de active est 1 (le membre est deja abonné)
			$newsletter_abonne=$newsletter->getActive();
			if($newsletter_abonne=='1')
			{
				//on enregistre le message d'erreur qui informe que le membre est deja abonné
				$user->setFlash('abonnement_newsletter_erreur', 'Vous êtes déjà abonné(e) à la newsletter.',false);

			}else //sinon, si le membre n'est pas encore abonné
			{
				//on l'abonne
				$newsletter->setActive('1');
				$newsletter->save();
				$user->setFlash('abonnement_newsletter_ok', 'Vous êtes maintenant abonné(e) à la newsletter.',false);


			}
		}else //si il n'y a pas encore d'enregistrement dans la table "newsletter_abonnement"
		{
			

			//on recupere le membre connecté dans la table membre pour y recuperer le code de confirmation
			$membre_abonnement=MembreTable::getMembreConnecte();
			$code= $membre_abonnement->getConfirmationCode();
			

			//On prepare le mail de confirmation à la personne
			$expediteur = sfConfig::get('app_email_expediteur', 'contact@annecybynight.com');
			$destinataire = $membre_abonnement->getEmail();
			$sujet = sfConfig::get('app_email_sujet_abonnement_newsletter', 'Confirmation de l\'abonnement à la newsletter');
			$lien_confirmation = 'membres/confirmEmail?id='.$membre_id.'&cle='.$code.'&origine=2';
			$mailBody = $this->getPartial('membres/profilPrive/_mailAbonnementNewsletter', array('lien_confirmation' => $lien_confirmation,
																			  				 'pseudo' => $membre_abonnement->getPseudo()));

			// On cree le mail
			$message = Swift_Message::newInstance()
			->setFrom($expediteur)
			->setTo($destinataire)
			->setSubject($sujet)
			->setBody($mailBody, 'text/html');

			// On envoie le mail
			$this->getMailer()->send($message);

			//on enregistre le message de confirmation d'envoi du mail
			$user->setFlash('abonnement_newsletter_mail_ok', 'Le mail nous permettant de vérifier la validité de votre adresse mail à bien été envoyé.',false);

		}


	}

	/**
	 * action qui traite la confirmation d'abonement a la newsletter, ainsi que la confirmatino d
	 * de la validité de l'adresse mail du membre
	 * @param sfWebRequest $request
	 * @return unknown_type
	 */

	public function executeConfirmEmail(sfWebRequest $request){

		$user = $this->getUser();

		//On recupere les champs "id" et "cle" et "origine". Si non présents (ou membre pas existant), erreur 404
		$this->forward404Unless($id = $request->getParameter('id'), sprintf('The id is missed (%s).', $request->getParameter('id')));
		$this->forward404Unless($cle = $request->getParameter('cle'), sprintf('The key is missed (%s).', $request->getParameter('cle')));
		$this->forward404Unless($origine = $request->getParameter('origine'), sprintf('The origine is missed (%s).', $request->getParameter('origine')));

		if($origine!='1' && $origine!='2')
		{
			$this->forward404('mauvaise origine');
		}else{
			//on recupere le membre concerné
			$membre = Doctrine::getTable('Membre')->find($id);

			if(is_object($membre))
			{
				//on recupere le code de confirmation du membre concerné
				$confirmation_code=$membre->getConfirmationCode();

				//on verifie dans la table "newsletter_abonnement" que le membre ne soit pas deja abonné
				$newsletter=Doctrine::getTable('NewsletterAbonnement')->findOneByMembreId($id);

				if(is_object($newsletter)) //si il y a un enregistrement dans la table newsletter_abonnement
				{
					//si l'origine est a 1(confirmation email)
					if($origine=='1')
					{
						//on enregistre le message d'erreur de validation
						$user->setFlash('confirmation_email_deja', 'Votre adresse e-mail est déjà validée. Vous avez peut-être déjà cliqué sur le lien de validation d\'e-mail ou sur le lien de validation d\'abonnement à la newsletter.',false);
						$this->setTemplate('confirmEmail');
					}elseif($origine=='2')//sinon si l'origine est a 2(abonnement newsletter)
						//on enregistre le message d'erreur de l'abonnement
						$user->setFlash('abonnement_newsletter_deja_abonne_erreur', 'Vous êtes déjà abonné(e) à la newsletter. Vous avez peut être déjà cliqué sur le lien de confirmation ou sur le lien de validation d\'e-mail.',false);
						$this->setTemplate('confirmEmail');
				}else
				{
					//on compare le code de confirmation (cle) avec le champ confirmation_code de la table membre
					if($confirmation_code===$cle)
					{
						//on recupere l'adresse mail du membre pour l'enregistrer dans la table newsletter_abonnement
						$email=$membre->getEmail();

						//on créer un nouvel enregistrement dans la table "newsletter_abonnement"
						$newsletter = new NewsletterAbonnement();
						$newsletter->setActive("1");
						$newsletter->setMembreId($id);
						$newsletter->setEmail($email);
						$newsletter->setChariot("0");
						$newsletter->save();

						//puis on met le champs "notification_newsletter" du membre a 0
						$membre->setnotificationNewsletter('0');
						$membre->save();

						//on enregistre le message de confirmation d'abonnement
						//si l'origine est a 1(confirmation email)
						if($origine=='1')
						{
							$user->setFlash('confirmation_mail_ok', 'Votre adresse e-mail à bien été validée.',false);
						}elseif($origine=='2')
						{
							$user->setFlash('abonnement_newsletter_ok', 'Votre inscription à la newsletter à bien été prise en compte.',false);
						}

					}else
					{
						$this->forward404('mauvais code de confirmation');

					}


				}
			}else
			{
				$this->forward404('mauvais id');
			}
		}
	}

	/**
	 * action de desabonnement a la newsletter
	 * @param sfWebRequest $request
	 * @return unknown_type
	 */
	public function executeDesabonnementNewsletter(sfWebRequest $request){

		$user = $this->getUser();

		//on recupere l'id du membre connecté
		$membre_id = MembreTable::getMembreIdConnecte();

		//on verifie qu'il soit bien abonné
		$newsletter=Doctrine::getTable('NewsletterAbonnement')->findOneByMembreId($membre_id);

		if(is_object($newsletter)) //si il y a un enregistrement dans la table newsletter_abonnement
		{
			$newsletter_abonne=$newsletter->getActive();
			if($newsletter_abonne=='1') //si la valeur de active est 1 alors il est abonné
			{
				$newsletter->setActive('0');
				$newsletter->save();
				//on enregistre le message de confirmation du desabonnement
				$user->setFlash('desabonnement_newsletter_ok', 'Vous avez bien été désabonné(e) de la newsletter .',false);


			}else
			{
				//on enregistre le message d'erreur du desabonnement
				$user->setFlash('desabonnement_newsletter_erreur', 'Vous n\'êtes pas abonné à la newsletter.',false);

			}
		}else
		{
			//on enregistre le message d'erreur du desabonnement
			$user->setFlash('desabonnement_newsletter_erreur', 'Vous n\'êtes pas abonné(e) à la newsletter.',false);
		}
	}




	/**
	 *
	 * Methodes privees
	 *
	 */


	/**
	 * Fonction qui inserre dans le template tous les formulaire
	 * d'edition du profil
	 * @return unknown_type
	 */
	private function displayEditProfilForms()
	{
		$user = $this->getUser();
		$user_id = MembreTable::getMembreIdConnecte();
		$this->membre = Doctrine::getTable('Membre')->findJoinAll($user_id);

		//Formulaire de l'onglet "Infos"
		$this->form_infos = new EditProfilInfosForm($this->membre);
		//On n'affiche pas le mot de passe
		$this->form_infos->setDefault('mot_passe', '');

		//Formulaire de l'onglet "Images profil"
		$this->form_images = new EditProfilImagesForm($this->membre);

		//On recupere la liste des images dans la galerie perso
		//pour l'onglet "Galerie photos"
		$this->liste_images_galerie = $this->membre->getListeImagesFavorites();

		//Dossiers utilises pour l'affichage des images
		$this->dossier_membres = sfConfig::get('app_dossiers_images_membres');

		//Formulaire de l'onglet "email"
		$this->form_email = new EditProfilEmailForm();
				
		//on cherche dans la table newsletter_abonnement si un enregistrement existe qui correspond au membre
		$newsletter=Doctrine::getTable('NewsletterAbonnement')->findOneByMembreId($user_id);		

		//si on a enregistrement qui correspond
		if(is_object($newsletter))
		{
			//si la valeur "active" de l'enregistrement est a 0, cela veut dire que l'utilisateur n'est pas abonné
			if($newsletter->getActive()==='0')
			{
				$this->abonne='0';
			
			}else //sinon si elle est a 1, le membre est deja abonné
			{
				$this->abonne='1';
			}
		}else //si il n'y a pas d'enregistrement dans la table "newsletter_abonnement", le membre n'est pas abonné
		{
			$this->abonne='0';
		}
		//on recupere l'adresse mail du membre pour l'afficher dans la formulaire
		$this->mail=$this->membre->getEmail();
			
	}

	/**
	 * Fonction qui affiche en ajax la liste des amis sur le profil prive
	 * d'edition du profil
	 * @return unknown_type
	 */
	public function executeAjaxListeAmisPrive(sfWebRequest $request)
	{
		$this->forward404Unless($request->isXmlHttpRequest());
		
		$user = $this->getUser();
		$user_id = MembreTable::getMembreIdConnecte();
		$this->membre = Doctrine::getTable('Membre')->find($user_id);
		$this->forward404Unless($this->membre);
		
		//On recupere la liste des amis de la personne
		$this->liste_amis_pager  = new ecPager(sfConfig::get('app_membres_nbre_amis_profil_prive'));
		$this->liste_amis_pager->setQuery($this->membre->getListeAmisQuery());
		$this->liste_amis_pager->setPage($this->getRequest()->getParameter('page_amis', 1));
		$this->liste_amis_pager->init();
		
		//On recupere la liste ou la personne est ami
		$this->liste_est_ami_pager  = new ecPager(sfConfig::get('app_membres_nbre_amis_profil_prive'));
		$this->liste_est_ami_pager->setQuery($this->membre->getListeEstAmiQuery());
		$this->liste_est_ami_pager->setPage($this->getRequest()->getParameter('page_est_ami', 1));
		$this->liste_est_ami_pager->init(); 
		
		return $this->renderPartial('membres/profilPrive/_amis');
	}
	
	
	/**
	 * Fonction qui affiche en ajax la liste des amis sur le profil public
	 * @return unknown_type
	 */
	public function executeAjaxListeAmisPublic(sfWebRequest $request)
	{
		$this->forward404Unless($request->isXmlHttpRequest());
		$this->forward404Unless(($membre_id =$request->getParameter('id')), sprintf('Object Membre does not exist (%s).', $request->getParameter('id')));
		
		//On recupere l'objet membre qui possede l'id passé en parametre
		$this->forward404Unless(($membre =Doctrine::getTable('Membre')->find($membre_id)), sprintf('Object Membre does not exist (%s).', $membre));

		//Si la personne n'est pas active, erreur 404
		$this->forward404Unless($membre->getConfirmation());
		$this->membre = $membre;
		
		//On recupere la liste des amis de la personne
		$this->liste_amis_pager  = new ecPager(sfConfig::get('app_membres_nbre_amis_profil_public'));
		$this->liste_amis_pager->setQuery($this->membre->getListeAmisQuery());
		$this->liste_amis_pager->setPage($this->getRequest()->getParameter('page_amis', 1));
		$this->liste_amis_pager->init();
		
		//On définit les dossiers
		$this->dossier_membres = sfConfig::get('app_dossiers_images_membres');
		
		return $this->renderPartial('membres/profilPublic/_amis');
	}

	/**
	 * Fonction qui change les priorités d'affichage sur la liste, et
	 * qui sauvegarde en session
	 * @param String $nom_session Nom de la session
	 * @param sfRequest $request
	 * @return unknown_type
	 */
	private function changeDisplay($nom_session, $request)
	{
		$user = $this->getUser();

		//Traitement du champ "fonction"
		$fonction = $request->getParameter('fonction');
		if(!is_null($fonction))
		{
			//Le champ est présent, on modifie la valeur
			$user->setAttribute($nom_session.'_fonction', $fonction);
		}



		//Traitement du champ 'tri'
		$tri = $request->getParameter('tri');
		if(!is_null($tri))
		{
			//Le champ est présent, on modifie la valeur
			$user->setAttribute($nom_session.'_tri', $tri);
		}

		//Traitement du champ 'sexe'
		$sexe = $request->getParameter('sexe');
		if(!is_null($sexe))
		{
			//Le champ est présent, on modifie la valeur
			$user->setAttribute($nom_session.'_sexe', $sexe);
		}

		//Traitement du champ 'nombre_pages'
		$nombre_pages = $request->getParameter('nombre_pages');
		if(!is_null($nombre_pages))
		{
			//Le champ est présent, on modifie la valeur
			$user->setAttribute($nom_session.'_nombre_pages', $nombre_pages);
		}
		//Traitement du champ 'photo'
		$photo = $request->getParameter('photo');
		if(!is_null($photo))
		{
			//Le champ est présent, on modifie la valeur
			$user->setAttribute($nom_session.'_photo', $photo);
		}

		//Traitement du champ 'ordre'
		$ordre = $request->getParameter('ordre');
		if(!is_null($ordre))
		{
			//Le champ est présent, on modifie la valeur
			$user->setAttribute($nom_session.'_ordre', $ordre);
		}
	}
	
	/**
	 * Fonction qui change les priorités d'affichage sur la liste de staff, et
	 * qui sauvegarde en session
	 * @param String $nom_session Nom de la session
	 * @param sfRequest $request
	 * @return unknown_type
	 */
	private function changeDisplayStaff($nom_session, $request)
	{
		$user = $this->getUser();

		//Traitement du champ 'tri'
		$tri = $request->getParameter('tri');
		if(!is_null($tri))
		{
			//Le champ est présent, on modifie la valeur
			$user->setAttribute($nom_session.'_tri', $tri);
		}

		//Traitement du champ 'sexe'
		$sexe = $request->getParameter('sexe');
		if(!is_null($sexe))
		{
			//Le champ est présent, on modifie la valeur
			$user->setAttribute($nom_session.'_sexe', $sexe);
		}

		//Traitement du champ 'nombre_pages'
		$nombre_pages = $request->getParameter('nombre_pages');
		if(!is_null($nombre_pages))
		{
			//Le champ est présent, on modifie la valeur
			$user->setAttribute($nom_session.'_nombre_pages', $nombre_pages);
		}
		//Traitement du champ 'photo'
		$photo = $request->getParameter('photo');
		if(!is_null($photo))
		{
			//Le champ est présent, on modifie la valeur
			$user->setAttribute($nom_session.'_photo', $photo);
		}

		//Traitement du champ 'ordre'
		$ordre = $request->getParameter('ordre');
		if(!is_null($ordre))
		{
			//Le champ est présent, on modifie la valeur
			$user->setAttribute($nom_session.'_ordre', $ordre);
		}
	}
	
	/**
	 * fonction qui affiche les infos du profil public lorsque le formulaire de livre d'or n'est pas valide
	 * @param $membre_id id du membre dont on veut afficher le profil
	 * @return unknown_type
	 */
	private function displayInfosProfilPublic($membre_id)
	{
		//on recupere l'objet membre qui possede l'id passé en parametre
		$this->forward404Unless(($membre =Doctrine::getTable('Membre')->findJoinAll($membre_id)), sprintf('Object Membre does not exist (%s).', $membre));

		//Si la personne n'est pas active, erreur 404
		$this->forward404Unless($membre->getConfirmation());
		
		//On recupere la liste des images dans la galerie perso
		$this->liste_images_galerie = $membre->getListeImagesFavorites();

		//On recupere les details de la personne qui consulte le profil
		$user = $this->getUser();
		$membre_connecte_id =  MembreTable::getMembreIdConnecte();
		$membre_connecte = MembreTable::getMembreConnecte();

		//On regarde si la personne qui consulte le profil peut ajouter la pesonne a ses amis
		if($membre_connecte_id == $membre->getId())
		{
			//La personne consulte son profil, elle ne peut pas s'ajouter en tant qu'ami
			$this->can_add_friend = false;
		}
		elseif($membre->estAmi($membre_connecte))
		{
			//La personne qui consulte a déjà comme ami cette personne
			$this->can_add_friend = false;
		}
		else
		{
			$this->can_add_friend = true;
		}

		//On regarde si la personne peut lui envoyer un message
		$this->can_submit_message = true;
		if($membre->getId() == $membre_connecte_id)
		{
			$this->can_submit_message = false;
		}

		//On définit les dossiers
		$this->dossier_membres = sfConfig::get('app_dossiers_images_membres');
		
		//on regarde si la personne possede le level necessaire pour afficher le livre d'or
		if(array_search($membre->getLevelId(),Level::getLevelsLivreOr()) !== FALSE)
		{
			//on met la variable $admin a 1.on se ressert de cette variable dans le partial _infos.php
			//pour savoir si on affiche le livre d'or ou pas
			$this->admin=1;
			
			//on recupere la liste des messages du livre d'or de cette personne
			$this->messages_or=$membre->getGuestbooksRecusJoinPosteurMembre();
		}
		else
		{
			//admin=0, on n'affichera donc pas le livre d'or dans le partial _infos.php
			$this->admin=0;
			//la liste des messages est vide
			$this->messages_or=null;
		}
		
		$this->membre = $membre;
		
		
		
	}
	

}
