<?php

/**
 * classe du formulaire de changement d'email
 *
 * @package    form
 * @subpackage EditProfilForm
 * @version    SVN: $Id: EditProfilEmailForm.class.php 377 2010-08-25 11:43:20Z hlecorche $
 */
class EditProfilEmailForm extends BaseChangementEmailForm
{
  public function configure()
  {
  	//classe
  		$class = "fields";	
  		
  	//Champ "email"
  		$this->setWidget('email', new sfWidgetFormInput(array(),
  														array('class' => $class, 
  														 	  'size' => 30)));
  		$validator_mail_format = new sfValidatorEmail(array('required' => true,
  															'trim' => true,
  															'min_length' => 3,
  															 'max_length' => 255),
  													  array('min_length'=> '%min_length% caractères mini',
  														    'max_length'=> '%max_length% caractères maxi',
  														    'invalid' => 'Adresse e-mail invalide',
  														    'required' => 'Champ obligatoire'));
  														  	
  		$validator_mail_unique = new sfValidatorDoctrineUnique(array('model' => 'Membre',
  																	   'column' => 'email',
  																	   'throw_global_error' => true,
  																	   'required' => true),
  																 array('invalid' => 'L\'email est déjà pris.Si c\'est votre adresse email actuelle, vous n\'avez pas besoin de la changer.',
  																 	   'required' => 'Champ obligatoire'));
  																 
  		$validator_changement_mail_unique = new sfValidatorDoctrineUnique(array('model' => 'ChangementEmail',
  																	  			 'column' => 'email',
  																	  			 'throw_global_error' => true,
  																	   			'required' => true),
  																		 array('invalid' => 'L\'email est déjà en train de subir une demande de changement',
  																 	  			 'required' => 'Champ obligatoire'));

  		$validator_and = new sfValidatorAnd(
  									  array($validator_mail_unique, $validator_changement_mail_unique),
  									  array(), array('required' => 'Champ obligatoire')); 														 
  																 
  		$this->setValidator('email', new sfValidatorAnd(
  									  array($validator_mail_format, $validator_and),
  									  array(), array('required' => 'Champ obligatoire')));

  		
		
  		
  	  
  	   //Champs désactives car traites dans l'action
  	   unset($this['id']);
        unset($this['confirmation_code']);
         unset($this['membre_id']);
        
        //Champ desactive car traite par SF
        unset($this['created_at']);	
  		
       
    	
  		
  		
  }
  
  	/**
  	 * fonction qui enregistre le contenu du formulaire et qui envoi le mail de confirmation
  	 * @param membresActions $action objet de type membresAction
  	 * @return unknown_type
  	 */
   public function ProcessForm(membresActions $action)
   {
   
   		//recuperation de l'id du membre connecté
   		$membre_id = MembreTable::getMembreIdConnecte();
   		
   		//recuperation des données entrées par l'utilisateur
		$email=$this->getValue('email');
		
		//recuperation des données de navigation de l'utilisateur (pour pouvoir créer des messages flash
		$user=$action->getUser();
   	
		//recuperation de l'objet correspondant au formulaire
		$changement_email = $this->getObject();
		
		//on remplit le champ "membre_id" avec l'id du membre concerné
		$changement_email->setMembreId($membre_id);
		
		//On creer le code de confirmation
		$code = md5(rand(0, 99999).time().'anbnws');
		
		//on remplit le champ du code de confirmation
		$changement_email->setConfirmationCode($code);
		
		//on enregistre l'objet dans la table "changement_email"
		$changement_email=$this->save();
		
		//on recupere l'id de l'enregistrement
		$id=$changement_email->getId();
		
		//on recupere le pseudo du membre, pour l'inserer dans le corps du mail
		 $pseudo=MembreTable::getMembreConnecte();
		
		
		//On prepare le mail de confirmation à la personne
		$expediteur = sfConfig::get('app_email_expediteur', 'contact@annecybynight.com');
		$destinataire = $changement_email->getEmail();
		$sujet = sfConfig::get('app_email_sujet_changement_email', 'Confirmation du changement d\'adresse email');
		$lien_confirmation = 'membres/confirmChangementEmail?id='.$id.'&cle='.$code;
		$mailBody = $action->getPartial('membres/profilPrive/_mailChangement', array('lien_confirmation' => $lien_confirmation,
																		  				 'pseudo' => $pseudo->getPseudo()));

		// On cree le mail
		$message = Swift_Message::newInstance()
		->setFrom($expediteur)
		->setTo($destinataire)
		->setSubject($sujet)
		->setBody($mailBody, 'text/html');

		// On envoie le mail
		$action->getMailer()->send($message);
		
		
		$user->setFlash('edit_profil_email_ok', 'Le changement d\'adresse a bien eu lieu.Vous allez recevoir un mail pour la confirmation de ce changement.',false);
   	
   	
   }
}