<?php
/**
 * This file is part of "Annecy By Night"
 * Copyright (c) 2009 Hubert LECORCHE
 * 
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */


/**
 * Classe de formulaire d'inscription
 *
 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>
 * @version    SVN: $Id: EditProfilImagesForm.class.php 309 2009-10-15 11:28:07Z hlecorche $ 
 */
class EditProfilImagesForm extends BaseMembreForm
{
  public function configure()
  {
  		//Classe des champs du formulaire
  		$class = 'fields';
  		
  		//Image de profil
  		$this->setWidget('fichier_image_profil', new sfWidgetFormInputFile(array(), array('class' => $class)));
  																  
  		$this->setValidator('fichier_image_profil', new sfValidatorFile(array('max_size' => 1000000,
  															   'mime_types' => 'web_images',
  															   'required' => false),
  														 array('max_size' => 'La photo doit faire 1Mo maximum',
  														 	   'mime_types' => 'Format du fichier incorrect')));
  		
  		//Autres images
  		for($i=1; $i<=3; $i++)
  		{
  			$this->setWidget('fichier_img_'.$i, new sfWidgetFormInputFile(array(), array('class' => $class)));
  																  
  			$this->setValidator('fichier_img_'.$i, new sfValidatorFile(array('max_size' => 1000000,
  															   'mime_types' => 'web_images',
  															   'required' => false),
  														 array('max_size' => 'La photo doit faire 1Mo maximum',
  														 	   'mime_types' => 'Format du fichier incorrect')));
  		}
  														  	
  		
  														  
  		
  		
													  
  		
 		//Champs désactivés car non modifiables dans ce formulaire
 		unset($this['id']);
		unset($this['pseudo']);
		unset($this['prenom']);
		unset($this['mot_passe']);
		unset($this['portable']);
		unset($this['sexe']);
		unset($this['civilite_id']);
		unset($this['fonction_id']);
		unset($this['fume']);
		unset($this['enfants']);
		unset($this['email']);
		unset($this['date_naissance']);
		unset($this['ville']);
		unset($this['code_postal']);
		unset($this['site_web']);
		unset($this['annonce']);
        unset($this['confirmation']);
		unset($this['confirmation_code']);
		unset($this['derniere_requete']);
		unset($this['level_id']);
		unset($this['mot_passe_crypte']);
		unset($this['notification_newsletter']);
		unset($this['reportages_list']); //Champ virtuel
		unset($this['reportages_presents_list']); //Champ virtuel
		unset($this['lieux_list']); //Champ virtuel
		
		//Champs desactives car traites par SF
		unset($this['created_at']);
		
		//Champs desactives car remplis dans l'action
		unset($this['image_profil']);
		unset($this['img_1']);
		unset($this['img_2']);
		unset($this['img_3']);
		
		$this->widgetSchema->setNameFormat('membre_images[%s]');
  }
  
}