<?php

/**
 * sondages actions.
 *
 * @package    anbnws
 * @subpackage sondages
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 185 2009-08-20 09:44:13Z hlecorche $
 *
 *
 * ATTENTION !
 * Le nombre de requetes pour afficher la liste des sondages et proportionnel
 * au nombre de sondages actifs
 */
class sondagesActions extends sfActions
{
	/*
	 * *************************************
	 *
	 * Actions 
	 * 
	 * *************************************
	 */
	
	
	//Action qui affiche la liste des sondages actifs
	public function executeIndex(sfWebRequest $request)
	{
		$this->afficheSondages();
	}
	
	
	
	/*
	 * *************************************
	 *
	 * Actions Ajax
	 * 
	 * *************************************
	 */
	
	//Action Ajax qui affiche la liste des sondages actifs
	public function executeAjaxShowList(sfWebRequest $request)
	{
		$this->afficheSondages();
		return $this->renderPartial('sondages/list');
	}
	
	
	/*
	 * *************************************
	 *
	 * Méthodes privees
	 * 
	 * *************************************
	 */
	
	
	//Action Ajax qui procede au vote d'un Sondage
	public function executeAjaxVote(sfWebRequest $request)
	{
		//On verifie que l'on vient bien d'une requete ajax
		$this->forward404Unless($request->isXmlHttpRequest());
		$this->forward404Unless($request->isMethod(sfRequest::POST));
		
		//On recupere dans l'adresse l'ID du sondage. Si pas présent ou non
		//trouvable, erreur 404
		$sondage = Doctrine::getTable('Sondage')->find(array($request->getParameter('id')));
		$this->forward404Unless($sondage, 'Object Sondage does not exists');
		
		//On construit le formulaire. Messages flash differents si valide ou non
		$user = $this->getUser();
		$form = new SondageReponseMembreForm(null, array('sondage_id' => $sondage->getId()));
		$form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
		if ($form->isValid())
		{
			$form->save();
			$user->setFlash('sondages_ok', 'Vote enregistré.');
		}
		else
		{
			$user->setFlash('sondages_error', 'Erreur lors du vote. Vous tentez peut être de voter à un sondage
			 fermé ou dont vous avez déjà voté.');
		}
		
		//Dans les deux cas, on fait une redirection vers le ShowList
		$this->redirect('sondages/ajaxShowList');
	}
	
	
	
	private function afficheSondages()
	{
		//On creer un tableau à 2 dimensions: array(array('question' => '...', 'sondage_id' => ..., 
		// 'type' => '...', 'object' => ...), ...)
		//Type: Chaine de caractères ("Form" si notre sondage est à afficher en tant que formulaire
		//ou "Results" si notre sondage est à afficher en tant que resultats)
		//Object: Soit un objet FORM, soit un tableau de la forme: array(nombre_total_votes, array('reponse' => '...', 'pourcentage' => ..., ...))
		$this->liste_sondages = array();
		
		//On recupere en BDD la liste des sondages actifs (avec les champs
		//personnalises)
		$sondages_actifs = Doctrine::getTable('Sondage')->createQueryWithPersonalizedColumns()
		->addWhere('s.active = 1')
		->execute();
		
		foreach($sondages_actifs as $sondage)
		{
			//Si le sondage a au moins une réponse possible et que l'adresse IP
			//du client n'a jamais répondu au sondage, on affiche le formulaire
			//du sondage
			if($sondage->getNombreReponses() > 0 && $sondage->getNombreVoteIp() == 0)
			{
				$form = new SondageReponseMembreForm(null, array('sondage_id' => $sondage->getId()));
				$array = array('type' => 'Form', 
							  'question' => $sondage->getQuestion(), 
							  'sondage_id' => $sondage->getId(),
							  'object' => $form );
				$this->liste_sondages[] = $array;
			}
			elseif($sondage->getNombreReponses() > 0)
			{
				//Sinon si le sondage a au moins une réponse, on affiche les resultats
				$reponses = $sondage->getTableReponses();
				$array = array('type' => 'Results', 
							  'question' => $sondage->getQuestion(), 
							  'sondage_id' => $sondage->getId(),
							  'object' => $reponses );
				$this->liste_sondages[] = $array;
			}
		
			
		}
		
		
	}
}
