<?php

require_once dirname(__FILE__).'/../lib/vendor/symfony/lib/autoload/sfCoreAutoload.class.php';
sfCoreAutoload::register();

class ProjectConfiguration extends sfProjectConfiguration
{
	static protected $packerLoaded = false;
	static protected $htmlPurifierLoaded = false;

	public function setup()
	{
		$this->enablePlugins(array('sfDoctrinePlugin', 'sfCryptoCaptchaPlugin', 'sfJqueryReloadedPlugin'));
	}
	
	static public function registerPacker()
	{
		if (self::$packerLoaded)
		{
			return;
		}

		require_once sfConfig::get('sf_lib_dir').'/vendor/packer/class.JavaScriptPacker.php';
		self::$packerLoaded = true;
	}
	
	static public function registerPurifierHtml()
	{
		if (self::$htmlPurifierLoaded)
		{
			return;
		}

		if(!is_dir(sfConfig::get('sf_cache_dir').'/htmlpurifier'))
		{
			mkdir(sfConfig::get('sf_cache_dir').'/htmlpurifier');
		}
		
		require_once sfConfig::get('sf_lib_dir').'/vendor/htmlpurifier/library/HTMLPurifier/Bootstrap.php';
		spl_autoload_register(array('HTMLPurifier_Bootstrap', 'autoload'));
		self::$htmlPurifierLoaded = true;
	}

}
