CREATE TABLE banniere (id MEDIUMINT UNSIGNED AUTO_INCREMENT, nom_fichier VARCHAR(30) NOT NULL, type VARCHAR(2) NOT NULL, date_debut DATE NOT NULL, date_fin DATE, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE bon_plan (id MEDIUMINT UNSIGNED AUTO_INCREMENT, texte TEXT NOT NULL, url_image VARCHAR(255) NOT NULL, active TINYINT NOT NULL, created_at DATETIME NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE censure (id MEDIUMINT UNSIGNED AUTO_INCREMENT, mot CHAR(100) NOT NULL, remplacement CHAR(100) NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE changement_email (id MEDIUMINT UNSIGNED AUTO_INCREMENT, membre_id MEDIUMINT UNSIGNED NOT NULL, email VARCHAR(255) NOT NULL, confirmation_code VARCHAR(50) NOT NULL, created_at DATETIME NOT NULL, INDEX membre_id_idx (membre_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE civilite (id MEDIUMINT UNSIGNED AUTO_INCREMENT, nom VARCHAR(50) NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE evenement (id MEDIUMINT UNSIGNED AUTO_INCREMENT, active TINYINT NOT NULL, type_id MEDIUMINT UNSIGNED NOT NULL, lieu_id MEDIUMINT UNSIGNED NOT NULL, auteur_membre_id MEDIUMINT UNSIGNED NOT NULL, date_debut DATE NOT NULL, date_fin DATE, titre VARCHAR(55) NOT NULL, description TEXT NOT NULL, active_index TINYINT NOT NULL, created_at DATETIME NOT NULL, image_1 VARCHAR(55), image_1_truncate VARCHAR(55), image_2 VARCHAR(55), image_2_truncate VARCHAR(55), heure_debut VARCHAR(5), heure_fin VARCHAR(5), INDEX type_id_idx (type_id), INDEX lieu_id_idx (lieu_id), INDEX auteur_membre_id_idx (auteur_membre_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE evenement_inscription (id MEDIUMINT UNSIGNED AUTO_INCREMENT, evenement_id MEDIUMINT UNSIGNED NOT NULL, membre_id MEDIUMINT UNSIGNED NOT NULL, va TINYINT NOT NULL, message VARCHAR(255) NOT NULL, created_at DATETIME NOT NULL, INDEX evenement_id_idx (evenement_id), INDEX membre_id_idx (membre_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE fonction (id MEDIUMINT UNSIGNED AUTO_INCREMENT, nom VARCHAR(50) NOT NULL, public TINYINT(1) NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE galerie_arts (id MEDIUMINT UNSIGNED AUTO_INCREMENT, is_galerie_video TINYINT NOT NULL, nom VARCHAR(50) NOT NULL, galerie_arts_categorie_id MEDIUMINT UNSIGNED NOT NULL, path_dossier VARCHAR(80) NOT NULL, email VARCHAR(100) NOT NULL, description TEXT NOT NULL, active TINYINT DEFAULT '1' NOT NULL, url_site VARCHAR(255), INDEX galerie_arts_categorie_id_idx (galerie_arts_categorie_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE galerie_arts_categorie (id MEDIUMINT UNSIGNED AUTO_INCREMENT, nom VARCHAR(55) NOT NULL, vignette VARCHAR(55), active TINYINT NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE galerie_arts_media (id MEDIUMINT UNSIGNED AUTO_INCREMENT, galerie_arts_id MEDIUMINT UNSIGNED NOT NULL, is_video TINYINT NOT NULL, nom_fichier VARCHAR(80) NOT NULL, INDEX galerie_arts_id_idx (galerie_arts_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE level (id MEDIUMINT UNSIGNED AUTO_INCREMENT, nom VARCHAR(50) NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE lieu (id MEDIUMINT UNSIGNED AUTO_INCREMENT, type_id MEDIUMINT UNSIGNED NOT NULL, active TINYINT NOT NULL, active_index TINYINT NOT NULL, nom VARCHAR(55) NOT NULL, adresse VARCHAR(255) NOT NULL, code_postal VARCHAR(55) NOT NULL, ville VARCHAR(55) NOT NULL, telephone VARCHAR(55), fax VARCHAR(55), created_at DATETIME NOT NULL, updated_at DATETIME NOT NULL, horaires VARCHAR(255), tarifs VARCHAR(255), description TEXT, presentation TEXT, texte_metier_1 TEXT, texte_metier_2 TEXT, image_1 VARCHAR(55), lien VARCHAR(255), image_2 VARCHAR(55), texte_2 TEXT, image_3 VARCHAR(55), texte_3 TEXT, image_4 VARCHAR(55), texte_4 TEXT, image_5 VARCHAR(55), texte_5 TEXT, image_101 TEXT, image_102 TEXT, image_103 TEXT, image_104 TEXT, css TEXT, label_metier_album_1 VARCHAR(55), label_metier_album_2 VARCHAR(55), label_metier_texte_1 VARCHAR(55), label_metier_texte_2 VARCHAR(55), INDEX type_id_idx (type_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE lieu_admin (lieu_id MEDIUMINT UNSIGNED, membre_id MEDIUMINT UNSIGNED, PRIMARY KEY(lieu_id, membre_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE lieu_galerie_media (id MEDIUMINT UNSIGNED AUTO_INCREMENT, lieu_id MEDIUMINT UNSIGNED NOT NULL, titre VARCHAR(255), nom_fichier VARCHAR(30) NOT NULL, INDEX lieu_id_idx (lieu_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE lieu_metier_media (id MEDIUMINT UNSIGNED AUTO_INCREMENT, lieu_id MEDIUMINT UNSIGNED NOT NULL, titre VARCHAR(255), nom_fichier VARCHAR(30) NOT NULL, album_id TINYINT NOT NULL, INDEX lieu_id_idx (lieu_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE lieu_staff_media (id MEDIUMINT UNSIGNED AUTO_INCREMENT, lieu_id MEDIUMINT UNSIGNED NOT NULL, titre VARCHAR(255), nom_fichier VARCHAR(30) NOT NULL, INDEX lieu_id_idx (lieu_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE lieu_video (id MEDIUMINT UNSIGNED AUTO_INCREMENT, lieu_id MEDIUMINT UNSIGNED NOT NULL, titre VARCHAR(255), url VARCHAR(255) NOT NULL, INDEX lieu_id_idx (lieu_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE membre (id MEDIUMINT UNSIGNED AUTO_INCREMENT, pseudo VARCHAR(40) NOT NULL, mot_passe VARCHAR(255) NOT NULL, confirmation TINYINT DEFAULT '0' NOT NULL, confirmation_code VARCHAR(50) NOT NULL, email VARCHAR(255) NOT NULL, date_naissance DATE NOT NULL, sexe TINYINT NOT NULL, created_at DATETIME NOT NULL, fonction_id MEDIUMINT UNSIGNED NOT NULL, civilite_id MEDIUMINT UNSIGNED, fume TINYINT, enfants TINYINT, ville VARCHAR(40) NOT NULL, code_postal VARCHAR(10) NOT NULL, derniere_requete DATETIME NOT NULL, level_id MEDIUMINT UNSIGNED NOT NULL, prenom VARCHAR(25), image_profil VARCHAR(30), portable VARCHAR(20), annonce TEXT, img_1 VARCHAR(255), img_2 VARCHAR(255), img_3 VARCHAR(255), site_web VARCHAR(255), mot_passe_crypte VARCHAR(255), notification_newsletter TINYINT DEFAULT 0 NOT NULL, INDEX fonction_id_idx (fonction_id), INDEX civilite_id_idx (civilite_id), INDEX level_id_idx (level_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE membre_amis (membre_id MEDIUMINT UNSIGNED, ami_membre_id MEDIUMINT UNSIGNED, created_at DATETIME NOT NULL, PRIMARY KEY(membre_id, ami_membre_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE membre_guestbook (id MEDIUMINT UNSIGNED AUTO_INCREMENT, membre_id MEDIUMINT UNSIGNED NOT NULL, posteur_membre_id MEDIUMINT UNSIGNED NOT NULL, message VARCHAR(255) NOT NULL, created_at DATETIME NOT NULL, INDEX membre_id_idx (membre_id), INDEX posteur_membre_id_idx (posteur_membre_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE message (id MEDIUMINT UNSIGNED AUTO_INCREMENT, titre VARCHAR(60) NOT NULL, message TEXT NOT NULL, lu TINYINT DEFAULT '0' NOT NULL, expediteur_membre_id MEDIUMINT UNSIGNED NOT NULL, destinataire_membre_id MEDIUMINT UNSIGNED NOT NULL, created_at DATETIME NOT NULL, INDEX expediteur_membre_id_idx (expediteur_membre_id), INDEX destinataire_membre_id_idx (destinataire_membre_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE news (id MEDIUMINT UNSIGNED AUTO_INCREMENT, texte TEXT NOT NULL, active TINYINT NOT NULL, priorite TINYINT NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE newsletter_abonnement (id MEDIUMINT UNSIGNED AUTO_INCREMENT, active TINYINT NOT NULL, membre_id MEDIUMINT UNSIGNED NOT NULL, email VARCHAR(255) NOT NULL, chariot TINYINT, INDEX membre_id_idx (membre_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE newsletter_contenu (id MEDIUMINT UNSIGNED AUTO_INCREMENT, texte TEXT NOT NULL, envoye TINYINT DEFAULT '0' NOT NULL, brouillon TINYINT DEFAULT '1' NOT NULL, membre_id MEDIUMINT UNSIGNED NOT NULL, adresses TEXT, created_at DATETIME NOT NULL, INDEX membre_id_idx (membre_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE newsletter_etat (id MEDIUMINT UNSIGNED AUTO_INCREMENT, created_at DATETIME NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE partenaire (id MEDIUMINT UNSIGNED AUTO_INCREMENT, url_lien VARCHAR(255) NOT NULL, url_image VARCHAR(255) NOT NULL, active TINYINT NOT NULL, priorite TINYINT NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE reportage (id MEDIUMINT UNSIGNED AUTO_INCREMENT, is_reportage_video TINYINT NOT NULL, lieu_id MEDIUMINT UNSIGNED NOT NULL, date DATE NOT NULL, evenement_id MEDIUMINT UNSIGNED, titre VARCHAR(255) NOT NULL, description TEXT NOT NULL, path_dossier VARCHAR(80) NOT NULL, created_at DATETIME NOT NULL, active TINYINT NOT NULL, active_index TINYINT NOT NULL, INDEX evenement_id_idx (evenement_id), INDEX lieu_id_idx (lieu_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE reportage_comment (id MEDIUMINT UNSIGNED AUTO_INCREMENT, reportage_media_id MEDIUMINT UNSIGNED NOT NULL, membre_id MEDIUMINT UNSIGNED NOT NULL, message VARCHAR(255) NOT NULL, created_at DATETIME NOT NULL, INDEX reportage_media_id_idx (reportage_media_id), INDEX membre_id_idx (membre_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE reportage_ecard (id MEDIUMINT UNSIGNED AUTO_INCREMENT, membre_id MEDIUMINT UNSIGNED NOT NULL, reportage_media_id MEDIUMINT UNSIGNED NOT NULL, email VARCHAR(255) NOT NULL, objet VARCHAR(255) NOT NULL, message TEXT NOT NULL, code_visualisation VARCHAR(55) NOT NULL, created_at DATETIME NOT NULL, lu TINYINT DEFAULT '0' NOT NULL, email_reply VARCHAR(255), INDEX membre_id_idx (membre_id), INDEX reportage_media_id_idx (reportage_media_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE reportage_favori (id MEDIUMINT UNSIGNED AUTO_INCREMENT, membre_id MEDIUMINT UNSIGNED NOT NULL, reportage_media_id MEDIUMINT UNSIGNED NOT NULL, created_at DATETIME NOT NULL, INDEX membre_id_idx (membre_id), INDEX reportage_media_id_idx (reportage_media_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE reportage_inscription (reportage_id MEDIUMINT UNSIGNED, membre_id MEDIUMINT UNSIGNED, PRIMARY KEY(reportage_id, membre_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE reportage_media (id MEDIUMINT UNSIGNED AUTO_INCREMENT, reportage_id MEDIUMINT UNSIGNED NOT NULL, is_video TINYINT NOT NULL, nom_fichier VARCHAR(80) NOT NULL, INDEX reportage_id_idx (reportage_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE reportage_reporter (reportage_id MEDIUMINT UNSIGNED, membre_id MEDIUMINT UNSIGNED, PRIMARY KEY(reportage_id, membre_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE reporter (id MEDIUMINT UNSIGNED AUTO_INCREMENT, actif TINYINT DEFAULT '0' NOT NULL, prenom VARCHAR(55) NOT NULL, nom VARCHAR(55) NOT NULL, adresse VARCHAR(255) NOT NULL, ville VARCHAR(55) NOT NULL, code_postal VARCHAR(55) NOT NULL, date_naissance VARCHAR(55) NOT NULL, tel_domicile VARCHAR(55) NOT NULL, tel_portable VARCHAR(55) NOT NULL, email VARCHAR(55) NOT NULL, profession VARCHAR(55) NOT NULL, loisirs VARCHAR(255) NOT NULL, clubs_favoris VARCHAR(255) NOT NULL, style_musical VARCHAR(55) NOT NULL, ordinateur_net TINYINT NOT NULL, voiture TINYINT NOT NULL, appareil_photo TINYINT NOT NULL, motivations_dispo_pseudo VARCHAR(255) NOT NULL, created_at DATETIME NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE saint (jour MEDIUMINT UNSIGNED, fete TEXT NOT NULL, lever TIME DEFAULT '00:00:00' NOT NULL, coucher TIME DEFAULT '00:00:00' NOT NULL, jour_mois VARCHAR(10) NOT NULL, PRIMARY KEY(jour)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE sondage (id MEDIUMINT UNSIGNED AUTO_INCREMENT, question VARCHAR(255) NOT NULL, active TINYINT NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE sondage_reponse (id MEDIUMINT UNSIGNED AUTO_INCREMENT, sondage_id MEDIUMINT UNSIGNED NOT NULL, texte VARCHAR(255) NOT NULL, INDEX sondage_id_idx (sondage_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE sondage_reponse_membre (id MEDIUMINT UNSIGNED AUTO_INCREMENT, sondage_id MEDIUMINT UNSIGNED NOT NULL, sondage_reponse_id MEDIUMINT UNSIGNED NOT NULL, ip VARCHAR(50) NOT NULL, INDEX sondage_id_idx (sondage_id), INDEX sondage_reponse_id_idx (sondage_reponse_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE stats (id MEDIUMINT UNSIGNED AUTO_INCREMENT, pages_vues MEDIUMINT UNSIGNED NOT NULL, date DATE NOT NULL, visites MEDIUMINT UNSIGNED NOT NULL, envoi_anniversaire TINYINT DEFAULT 0 NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE type (id MEDIUMINT UNSIGNED AUTO_INCREMENT, nom VARCHAR(55) NOT NULL, is_sortie TINYINT NOT NULL, is_bar_club TINYINT NOT NULL, is_divers TINYINT NOT NULL, priorite TINYINT, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE video (id MEDIUMINT UNSIGNED AUTO_INCREMENT, titre VARCHAR(255) NOT NULL, video_categorie_id MEDIUMINT UNSIGNED NOT NULL, url VARCHAR(255) NOT NULL, active TINYINT NOT NULL, created_at DATETIME NOT NULL, INDEX video_categorie_id_idx (video_categorie_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
CREATE TABLE video_categorie (id MEDIUMINT UNSIGNED AUTO_INCREMENT, nom VARCHAR(255) NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = INNODB;
ALTER TABLE changement_email ADD CONSTRAINT changement_email_membre_id_membre_id FOREIGN KEY (membre_id) REFERENCES membre(id);
ALTER TABLE evenement ADD CONSTRAINT evenement_type_id_type_id FOREIGN KEY (type_id) REFERENCES type(id);
ALTER TABLE evenement ADD CONSTRAINT evenement_lieu_id_lieu_id FOREIGN KEY (lieu_id) REFERENCES lieu(id);
ALTER TABLE evenement ADD CONSTRAINT evenement_auteur_membre_id_membre_id FOREIGN KEY (auteur_membre_id) REFERENCES membre(id);
ALTER TABLE evenement_inscription ADD CONSTRAINT evenement_inscription_membre_id_membre_id FOREIGN KEY (membre_id) REFERENCES membre(id);
ALTER TABLE evenement_inscription ADD CONSTRAINT evenement_inscription_evenement_id_evenement_id FOREIGN KEY (evenement_id) REFERENCES evenement(id);
ALTER TABLE galerie_arts ADD CONSTRAINT galerie_arts_galerie_arts_categorie_id_galerie_arts_categorie_id FOREIGN KEY (galerie_arts_categorie_id) REFERENCES galerie_arts_categorie(id);
ALTER TABLE galerie_arts_media ADD CONSTRAINT galerie_arts_media_galerie_arts_id_galerie_arts_id FOREIGN KEY (galerie_arts_id) REFERENCES galerie_arts(id);
ALTER TABLE lieu ADD CONSTRAINT lieu_type_id_type_id FOREIGN KEY (type_id) REFERENCES type(id);
ALTER TABLE lieu_admin ADD CONSTRAINT lieu_admin_membre_id_membre_id FOREIGN KEY (membre_id) REFERENCES membre(id);
ALTER TABLE lieu_admin ADD CONSTRAINT lieu_admin_lieu_id_lieu_id FOREIGN KEY (lieu_id) REFERENCES lieu(id);
ALTER TABLE lieu_galerie_media ADD CONSTRAINT lieu_galerie_media_lieu_id_lieu_id FOREIGN KEY (lieu_id) REFERENCES lieu(id);
ALTER TABLE lieu_metier_media ADD CONSTRAINT lieu_metier_media_lieu_id_lieu_id FOREIGN KEY (lieu_id) REFERENCES lieu(id);
ALTER TABLE lieu_staff_media ADD CONSTRAINT lieu_staff_media_lieu_id_lieu_id FOREIGN KEY (lieu_id) REFERENCES lieu(id);
ALTER TABLE lieu_video ADD CONSTRAINT lieu_video_lieu_id_lieu_id FOREIGN KEY (lieu_id) REFERENCES lieu(id);
ALTER TABLE membre ADD CONSTRAINT membre_level_id_level_id FOREIGN KEY (level_id) REFERENCES level(id);
ALTER TABLE membre ADD CONSTRAINT membre_fonction_id_fonction_id FOREIGN KEY (fonction_id) REFERENCES fonction(id);
ALTER TABLE membre ADD CONSTRAINT membre_civilite_id_civilite_id FOREIGN KEY (civilite_id) REFERENCES civilite(id);
ALTER TABLE membre_amis ADD CONSTRAINT membre_amis_membre_id_membre_id FOREIGN KEY (membre_id) REFERENCES membre(id);
ALTER TABLE membre_amis ADD CONSTRAINT membre_amis_ami_membre_id_membre_id FOREIGN KEY (ami_membre_id) REFERENCES membre(id);
ALTER TABLE membre_guestbook ADD CONSTRAINT membre_guestbook_posteur_membre_id_membre_id FOREIGN KEY (posteur_membre_id) REFERENCES membre(id);
ALTER TABLE membre_guestbook ADD CONSTRAINT membre_guestbook_membre_id_membre_id FOREIGN KEY (membre_id) REFERENCES membre(id);
ALTER TABLE message ADD CONSTRAINT message_expediteur_membre_id_membre_id FOREIGN KEY (expediteur_membre_id) REFERENCES membre(id);
ALTER TABLE message ADD CONSTRAINT message_destinataire_membre_id_membre_id FOREIGN KEY (destinataire_membre_id) REFERENCES membre(id);
ALTER TABLE newsletter_abonnement ADD CONSTRAINT newsletter_abonnement_membre_id_membre_id FOREIGN KEY (membre_id) REFERENCES membre(id);
ALTER TABLE newsletter_contenu ADD CONSTRAINT newsletter_contenu_membre_id_membre_id FOREIGN KEY (membre_id) REFERENCES membre(id);
ALTER TABLE reportage ADD CONSTRAINT reportage_lieu_id_lieu_id FOREIGN KEY (lieu_id) REFERENCES lieu(id);
ALTER TABLE reportage ADD CONSTRAINT reportage_evenement_id_evenement_id FOREIGN KEY (evenement_id) REFERENCES evenement(id);
ALTER TABLE reportage_comment ADD CONSTRAINT reportage_comment_reportage_media_id_reportage_media_id FOREIGN KEY (reportage_media_id) REFERENCES reportage_media(id);
ALTER TABLE reportage_comment ADD CONSTRAINT reportage_comment_membre_id_membre_id FOREIGN KEY (membre_id) REFERENCES membre(id);
ALTER TABLE reportage_ecard ADD CONSTRAINT reportage_ecard_reportage_media_id_reportage_media_id FOREIGN KEY (reportage_media_id) REFERENCES reportage_media(id);
ALTER TABLE reportage_ecard ADD CONSTRAINT reportage_ecard_membre_id_membre_id FOREIGN KEY (membre_id) REFERENCES membre(id);
ALTER TABLE reportage_favori ADD CONSTRAINT reportage_favori_reportage_media_id_reportage_media_id FOREIGN KEY (reportage_media_id) REFERENCES reportage_media(id);
ALTER TABLE reportage_favori ADD CONSTRAINT reportage_favori_membre_id_membre_id FOREIGN KEY (membre_id) REFERENCES membre(id);
ALTER TABLE reportage_inscription ADD CONSTRAINT reportage_inscription_reportage_id_reportage_id FOREIGN KEY (reportage_id) REFERENCES reportage(id);
ALTER TABLE reportage_inscription ADD CONSTRAINT reportage_inscription_membre_id_membre_id FOREIGN KEY (membre_id) REFERENCES membre(id);
ALTER TABLE reportage_media ADD CONSTRAINT reportage_media_reportage_id_reportage_id FOREIGN KEY (reportage_id) REFERENCES reportage(id);
ALTER TABLE reportage_reporter ADD CONSTRAINT reportage_reporter_reportage_id_reportage_id FOREIGN KEY (reportage_id) REFERENCES reportage(id);
ALTER TABLE reportage_reporter ADD CONSTRAINT reportage_reporter_membre_id_membre_id FOREIGN KEY (membre_id) REFERENCES membre(id);
ALTER TABLE sondage_reponse ADD CONSTRAINT sondage_reponse_sondage_id_sondage_id FOREIGN KEY (sondage_id) REFERENCES sondage(id);
ALTER TABLE sondage_reponse_membre ADD CONSTRAINT sondage_reponse_membre_sondage_reponse_id_sondage_reponse_id FOREIGN KEY (sondage_reponse_id) REFERENCES sondage_reponse(id);
ALTER TABLE sondage_reponse_membre ADD CONSTRAINT sondage_reponse_membre_sondage_id_sondage_id FOREIGN KEY (sondage_id) REFERENCES sondage(id);
ALTER TABLE video ADD CONSTRAINT video_video_categorie_id_video_categorie_id FOREIGN KEY (video_categorie_id) REFERENCES video_categorie(id);
