<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire de contact

  *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: ContactForm.php 377 2010-08-25 11:43:20Z hlecorche $ 

 */



class ContactForm extends BaseForm

{

	

	public function configure()

	{

		

		//Classe des champs du formulaire

  		$class = 'fields';

  		

  		//Définition des listes

  		$contacts=sfConfig::get('app_contacts');

  		$liste_objets = array();

  		$i=0;

  		foreach($contacts as $contact)

  		{

  			$liste_objets[$i]=$contact['label'];

  			$i++;	

  		}

  		

  		

  		

  		//Champ "objets"

  		$this->setWidget('objet', new sfWidgetFormSelect(array('choices' => $liste_objets), 

  														array('class' => $class)));

  		$this->setValidator('objet', new sfValidatorChoice(array('choices' => array_keys($liste_objets),

  																'required' => true),

  														  array('required' => 'Champ obligatoire',

  														  		'invalid' => 'Champ obligatoire')));

  														  

  											

  		//Champ "nom"

  		$this->setWidget('nom', new sfWidgetFormInputText(array(), array('class' => $class,

  																		'size' => 50)));

  		$this->setValidator('nom', new sfValidatorString(array('required' => true,

  																  'trim' => true,

  																  'min_length' => 3,

  																  'max_length' => 50),

  														  	array('min_length'=> '%min_length% caractères mini',

  														  		  'max_length'=> '%max_length% caractères maxi',

  														  		  'required' => 'Champ obligatoire')));

  														  	

  														  	

  														  	

  		//champ adresse mail

		$this->setWidget('email' , new sfWidgetFormInputText(array(), array('class' => $class,

																				'size' => 30)));



		$this->setValidator('email',new sfValidatorEmail(array('required' => true,

  																'min_length' => 3),

															array('min_length'=> '%min_length% caractères mini',

  									  							  'invalid' => 'Adresse e-mail invalide',

  									  							 'required' => 'Champ obligatoire')));

															

													

		//Champ "telephone"

  		$this->setWidget('telephone', new sfWidgetFormInputText(array(), array('class' => $class,

  																		'size' => 50)));

  		$this->setValidator('telephone', new sfValidatorString(array('required' => true,

  																  'trim' => true,

  																  'min_length' => 3,

  																  'max_length' => 15),

  														  	array('min_length'=> '%min_length% caractères mini',

  														  		  'max_length'=> '%max_length% caractères maxi',

  														  		  'required' => 'Champ obligatoire')));

															

										

  		//Champ "sujet"

  		$this->setWidget('sujet', new sfWidgetFormInputText(array(), array('class' => $class,

  																		'size' => 25)));

  		$this->setValidator('sujet', new sfValidatorString(array('required' => true,

  																  'trim' => true,

  																  'min_length' => 3,

  																  'max_length' => 25),

  														  	array('min_length'=> '%min_length% caractères mini',

  														  		  'max_length'=> '%max_length% caractères maxi',

  														  		  'required' => 'Champ obligatoire')));

  														  	

  														  	

  			//Champ message

	  		$this->setWidget('message', new sfWidgetFormTextarea(array(), array('class' => $class,

	  																		'cols' => 55,

	  																		'rows' => 10)));

	  		$this->setValidator('message', new sfValidatorString(array('required' => true,

	  																  'trim' => true,

	  																  'min_length' => 3,

	  																  'max_length' => 3000),

	  														  	array('min_length'=> '%min_length% caractères mini',

	  														  		  'max_length'=> '%max_length% caractères maxi',

	  														  		  'required' => 'Champ obligatoire')));

			

	  		//Champs captcha

  		$this->setWidget('captcha', new sfWidgetFormInputText(array(), array('class' => $class,

  																		'size' => 25)));

  		$this->setValidator('captcha', new sfValidatorSfCryptoCaptcha(array('required' => true, 

  																			'trim' => true),

                                                   					  array('wrong_captcha' => 'Code invalide',

                                                         					'required' => 'Champ obligatoire')));			

	

	

		$this->widgetSchema->setNameFormat('contact[%s]');

		$this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

		parent::setup();

	

	}

	

	/**

	 * fonction qui envoi le mail de contact

	 * @param mainActions $action

	 * @return unknown_type

	 */

	public function ProcessForm($action){

		

		//On récupère les données du formulaire (dans un tableau)

		$contact= $this->getValues();

		

		//on recupere le tableau des contacts dans le app

		$contacts=sfConfig::get('app_contacts');

		

		//on créer le tableau qui associe le numero de l'objet du mail avec l'email correspondant

		$liste_email = array();

  		$i=0;

  		foreach($contacts as $Contact)

  		{

  			$liste_email[$i]=$Contact['email'];

  			$i++;	

  		}

  		//on crée le tableau qui associe le numero de l'objet du mail avec le label correspondant

  		$liste_objets = array();

		$i=0;

  		foreach($contacts as $Contact)

  		{

  			$liste_objets[$i]=$Contact['label'];

  			$i++;	

  		}

  		//on créer les variables qui contiennent les destinataires

		$destinataire=$liste_email[$contact['objet']];

		$destinataire_doublon_mail=sfConfig::get('app_email_administrateur', 'annecybynight@yahoo.fr');

		//on prepare l'expediteur du mail

		$expediteur=$contact['email'];

		//on prepare le sujet du mail

		$sujet = $liste_objets[$contact['objet']].' : '.$contact['sujet'];

		

		//on prepare le corps du message en passant au partial qui contient ce corps

		//les infos dont il a besoin 

		$mailBody = $action->getPartial('mailContactBody', array('contact' => $contact,

																'objet' => $liste_objets[$contact['objet']]));

	

		// On cree le mail

		$message = Swift_Message::newInstance()

		->setFrom($expediteur)

		->setTo($destinataire)

		->setSubject($sujet)

		->setBody($mailBody, 'text/html');

	

		// On envoie les mails

		$action->getMailer()->send($message);

		

		

			

	}

	

	

	

	

}













?>