<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * formulaire pour l'election de miss et mister

  *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: MissForm.php 380 2010-08-25 13:04:47Z hlecorche $ 

 */



class MissForm extends BaseForm

{

	public function configure()

	{

		//Classe des champs du formulaire

  		$class = 'fields';

  		

  		//definition des listes

  		$liste_civilite = array(0 => '', 1 => 'Monsieur', 2 => 'Madame', 3 => 'Mademoiselle');

		$liste_annees = array();

  		for($i=intval(date('Y', time())); $i>= intval(date('Y', time() - 31536000 * 100)); $i--) { $liste_annees[$i] = $i; }

  		

  		//champ civilité

  		$this->setWidget('civilite', new sfWidgetFormSelect(array('choices' => $liste_civilite), 

  														array('class' => $class)));

  		$this->setValidator('civilite', new sfValidatorChoice(array('choices' => array(1, 2, 3),

  																'required' => true),

  														  array('required' => 'Champ obligatoire',

  														  		'invalid' => 'Champ obligatoire')));

  		

  														  

  		//champ nom

  		$this->setWidget('nom', new sfWidgetFormInputText(array(), array('class' => $class,

  																		'size' => 50)));

  		$this->setValidator('nom', new sfValidatorString(array('required' => true,

  																  'trim' => true,

  																  'min_length' => 3,

  																  'max_length' => 50),

  														  	array('min_length'=> '%min_length% caractères mini',

  														  		  'max_length'=> '%max_length% caractères maxi',

  														  		  'required' => 'Champ obligatoire')));												  

		//Champ prenom

  		$this->setWidget('prenom', new sfWidgetFormInputText(array(), array('class' => $class,

  																		'size' => 25)));

  		$this->setValidator('prenom', new sfValidatorString(array('required' => true,

  																  'trim' => true,

  																  'min_length' => 3,

  																  'max_length' => 25),

  														  	array('min_length'=> '%min_length% caractères mini',

  														  		  'max_length'=> '%max_length% caractères maxi',

  														  		  'required' => 'Champ obligatoire')));





  		//Champ date_naissance

  		$this->setWidget('date_naissance', new sfWidgetFormDate(array('format' => '%day%/%month%/%year%',

  																	  'empty_values' => array('year' => 'Année',

  																							  'month' => 'Mois',

  																							  'day' => 'Jour'),

  																		'years' => $liste_annees),

  																array('class' => $class)));

  																

  		$this->setValidator('date_naissance', new sfValidatorDate(array('required' => true,

  																	 'max' => time()- 60*60*24*7*52*18),

  															   array('required' => 'Champ obligatoire',

  																	 'max' => 'Vous avez moins de 18 ans',

  															   		 'invalid' => 'Date invalide')));												  	

  														  	

  														  	

  		//Champ adresse

  		$this->setWidget('adresse', new sfWidgetFormTextarea(array(), array('class' => $class,

  																		'cols' => 55,

  																		'rows' => 4)));

  		$this->setValidator('adresse', new sfValidatorString(array('required' => true,

  																  'trim' => true,

  																  'min_length' => 3,

  																  'max_length' => 300),

  														  	array('min_length'=> '%min_length% caractères mini',

  														  		  'max_length'=> '%max_length% caractères maxi',

  														  		  'required' => 'Champ obligatoire')));



  		//Champ "code_postal" 

  		$this->setWidget('code_postal', new sfWidgetFormInputText(array(), array('class' => $class,

  																		'size' => 25)));

  		$this->setValidator('code_postal', new sfValidatorInteger(array('required' => true,

  																  'min' => 100,

  																  'max' => 999999),

  																  array('required' => 'Champ obligatoire',

  																  		'min' => 'Code postal invalide',

  																  		'max' => 'Code postal invalide',

  																  		'invalid' =>'Code postal invalide')));



  																  

  		//Champ "ville" 

  		$this->setWidget('ville', new sfWidgetFormInputText(array(), array('class' => $class,

  																		'size' => 25)));	

  		$this->setValidator('ville', new sfValidatorString(array('required' => true,

  																	'min_length' => 3,

  																	'max_length' => 40),

  														  	   array('required' => 'Champ obligatoire',

  														  			 'min_length'=> '%min_length% caractères mini',

  														  			 'max_length'=> '%max_length% caractères maxi')));								   

  		

  														  	   

  		//Champ "email" 

  		$this->setWidget('email', new sfWidgetFormInputText(array(), array('class' => $class,

  																		'size' => 30)));

  		

  		$this->setValidator('email', new sfValidatorEmail(array('required' => true,

  																  'trim' => true,

  																  'min_length' => 3,

  																  'max_length' => 255),

  														  	array('min_length'=> '%min_length% caractères mini',

  														  		  'max_length'=> '%max_length% caractères maxi',

  														  		  'invalid' => 'Adresse e-mail invalide',

  														  		  'required' => 'Champ obligatoire')));												  	   

  														  	   

  														  	   

  		//Champ telephone

  		$this->setWidget('telephone', new sfWidgetFormInputText(array(), array('class' => $class,

  																		'size' => 25)));	

  		$this->setValidator('telephone', new sfValidatorString(array('required' => true,

  																	'min_length' => 10,

  																	'max_length' => 26),

  														  	   array('required' => 'Champ obligatoire',

  														  			 'min_length'=> '%min_length% caractères mini',

  														  			 'max_length'=> '%max_length% caractères maxi')));												  	   

  														  	   											  	   

  																										  	   

  		//Champ photo_portrait

  		$this->setWidget('photo_portrait', new sfWidgetFormInputFile(array(), array('class' => $class)));

  																  

  		$this->setValidator('photo_portrait', new sfValidatorFile(array('max_size' => '2000000',

  															   'mime_types' => 'web_images',

  															   'required' => true),

  														 array('max_size' => 'La photo doit faire 2Mo maximum',

  														 	   'mime_types' => 'Format du fichier incorrect',

  														 		'required' => 'Vous n\'avez pas séléctionné un fichier')));

	

		//Champ photo_pied

  		$this->setWidget('photo_pied', new sfWidgetFormInputFile(array(), array('class' => $class)));

  																  

  		$this->setValidator('photo_pied', new sfValidatorFile(array('max_size' => '2000000',

  															   'mime_types' => 'web_images',

  															   'required' => true),

  														 array('max_size' => 'La photo doit faire 2Mo maximum',

  														 	   'mime_types' => 'Format du fichier incorrect',

  														 		'required' => 'Vous n\'avez pas séléctionné un fichier')));

	

		//Champs captcha

  		$this->setWidget('captcha', new sfWidgetFormInputText(array(), array('class' => $class,

  																		'size' => 25)));

  		$this->setValidator('captcha', new sfValidatorSfCryptoCaptcha(array('required' => true, 

  																			'trim' => true),

                                                   					  array('wrong_captcha' => 'Code invalide',

                                                         					'required' => 'Champ obligatoire')));											 

  														 

  		$this->widgetSchema->setNameFormat('miss[%s]');

		$this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

		parent::setup();

	}

	

	/**

	 * action apellée si le formulaire est valide.Envoi un mail a l'administrateur avec les photos en pieces jointes 

	 * @param mainActions $action objet de type mainActions

	 * @return unknown_type

	 */

	public function ProcessForm($action){

		

	//on recupere le dossier dans lequel stocker les photos temporairement

	$dossier_temporaire = sfConfig::get('app_uploads_dossier_temporaire');

	

	//on recupere toutes les données du formulaire, pour pouvoir les passer au partial qui contient le mail

	$civilite=$this->getValue('civilite');

	if($civilite=='1')

	{

		$civilite='Monsieur';

	}elseif($civilite=='2')

	{

		$civilite='Madame';

	}elseif($civilite=='3')

	{

		$civilite='Mademoiselle';

	}



	$nom=$this->getValue('nom');

	$prenom=$this->getValue('prenom');

	$date_naissance=$this->getValue('date_naissance');

	$adresse=$this->getValue('adresse');

	$code_postal=$this->getValue('code_postal');

	$ville=$this->getValue('ville');

	$email=$this->getValue('email');

	$telephone=$this->getValue('telephone');

	

	//on recupere le premier fichier

	$photo_portrait=$this->getValue('photo_portrait');

	

	//on lui donne un nom construit en fonction de la date d'upload

	$extension_portrait = $photo_portrait->getExtension($photo_portrait->getOriginalExtension());

	$nom_portrait=md5(time().'1portrait').$extension_portrait;

	

	//on recupere le deuxieme fichier

	$photo_pied=$this->getValue('photo_pied');

	

	//on lui donne un nom construit en fonction de la date d'upload

	$extension_pied = $photo_pied->getExtension($photo_pied->getOriginalExtension());

	$nom_pied=md5(time().'2pied').$extension_pied;

	

	//On sauvegarde les fichiers dans le dossier temporaire

	$photo_portrait->save($dossier_temporaire.'/'.$nom_portrait);

	$photo_pied->save($dossier_temporaire.'/'.$nom_pied);

	

	

	//On prepare le mail à la personne

	$expediteur = sfConfig::get('app_email_expediteur', 'contact@annecybynight.com');

	$destinataire = sfConfig::get('app_email_administrateur', 'contact@annecybynight.com');

	

	



	//on prepare le sujet du mail

	$sujet = sfConfig::get('app_email_sujet_miss', 'Inscription Elections');

	//on prepare le corps du message en passant au partial qui contient ce corps

	//les infos dont il a besoin ( mdp et login)

	$mailBody = $action->getPartial('mailMissBody', array('nom' => $nom,

													'prenom' => $prenom,

													'civilite'=> $civilite,

													'date_naissance'=> $date_naissance,

													'adresse' => $adresse,

													'code_postal' => $code_postal,

													'ville' => $ville,

													'email' => $email,

													'telephone' => $telephone));



	

	$message = Swift_Message::newInstance()

	->setFrom($expediteur)

	->setTo($destinataire)

	->setSubject($sujet);

	

	// on remplit le message avec le corps et les pieces jointes

	$message->setBody($mailBody, 'text/html');

 

  	$file_data_portrait = $dossier_temporaire.'/'.$nom_portrait;

 	$message->attach(Swift_Attachment::fromPath($file_data_portrait));

 	

 	$file_data_pied= $dossier_temporaire.'/'.$nom_pied;

 	$message->attach(Swift_Attachment::fromPath($file_data_pied));

  	

 	 // on envoi le message

 	 $action->getMailer()->send($message);



	//on supprime les fichiers sauveguardés dans le dossier temporaire

 	 if (file_exists($dossier_temporaire.'/'.$nom_pied))

 	 {

		//unlink($dossier_temporaire.'/'.$nom_pied);

 	 }

	 if (file_exists($dossier_temporaire.'/'.$nom_portrait))

 	 {

		//unlink($dossier_temporaire.'/'.$nom_portrait);

 	 }

	



	}

}





















?>