<?php

/**

 * This file is part of "Annecy By Night"

 * Copyright (c) 2009 Hubert LECORCHE

 *

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * classe du formulaire de recherche

 *

 * @author   Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: SearchForm.class.php 381 2010-08-26 09:18:49Z hlecorche $

 */







class SearchForm extends BaseForm

{







	public function configure()

	{

		//Classe des champs du formulaire

  		$class = 'fields';

  		

		//Champ "text"

		$this->setWidget('text', new sfWidgetFormInputText(array(), array('class' => $class,

																		'size' => 50)));





		$this->setValidator('text', new sfValidatorString(array('min_length' => 4,

															    'max_length' => 255,

																'required' => true,

																'trim' => true),

														 array('min_length'=> '%min_length% caractères mini',

														 	   'max_length'=> '%max_length% caractères maxi',

  									  		 				   'required' => 'Champ obligatoire')

		));



		//Champ "type"

		$choices = array('photos' => 'Reportages photos', 'videos' => 'Reportages vidéos', 'agenda' => 'Agenda', 'membres' => 'Membres');

		$this->setWidget('type', new sfWidgetFormSelectCheckbox(array('choices' => $choices,

																  'formatter' => array($this, 'formatterCheckBoxBox'))));

		

		

		$this->setValidator('type', new sfValidatorChoice(array('multiple' => true, 'required' => true,

																	'choices' => array_keys($choices)),

															  array('required' => 'Choisir un type de recherche',

															  		'invalid' => 'Champ invalide')));

		

		

		//Champ "date"

		$this->setWidget('date', new ecWidgetFormDateRich(array('date_format_input' => '@(?P<day>\d{2}).(?P<month>\d{2}).(?P<year>\d{4})@',

																'buttonImage' => '/images/icones/16/date.png'),

														  array('class' => $class,

														  		'size' => 15)));

														  

		$this->setValidator('date', new sfValidatorDate(array('date_format' => '@(?P<day>\d{2}).(?P<month>\d{2}).(?P<year>\d{4})@',

														   'required' => false), 

													 array('invalid' => 'Date invalide',

													 	   'bad_format' => 'Date invalide')));



		

        $this->widgetSchema->setNameFormat('search_complete[%s]');



		$this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

		parent::setup();



	}

	





	//Fonction qui formate les checkbox du formulaire

	public function formatterCheckBoxBox($widget, $inputs)

 	{

	    $html = '';

	    foreach ($inputs as $input)

	    {

	    	$html .=  $input['input'].' '.$input['label'];

	    }

	    return $html;

 	}

 	

 	

 	

 	/**

 	 * Action appelee quand formulaire valide

 	 * @param searchActions $action

 	 * @return unknown_type

 	 */

 	public function processForm(searchActions $action)

 	{

 		$user = $action->getUser();

 		

 		//On construit la variable de session qui contient nos criteres de recherche

 		$criteres = array();

 		$criteres['text'] = $this->getValue('text');

 		

 		//On recuperes les types choisis

 		$types  = $this->getValue('type');

 		

 		if(in_array('photos', $types))

 		{

 			$criteres['search_photos'] = true;

 		}

 		if(in_array('videos', $types))

 		{

 			$criteres['search_videos'] = true;

 		}

 		if(in_array('agenda', $types))

 		{

 			$criteres['search_agenda'] = true;

 		}

 		if(in_array('membres', $types))

 		{

 			$criteres['search_membres'] = true;

 		}

 		

 		//Si la date a été précisée, on l'ajoute au critere de recherche

 		$date = $this->getValue('date');

 		if(!empty($date))

 		{

 			$criteres['date'] = $date;

 		}

 		

 		

 		//On sauvegarde le critère de recherche en session

 		$user->setAttribute(searchActions::VAR_SESSION, $criteres);

 	}

}

?>