<?php

/**
 * Lieu form.
 *
 * @package    form
 * @subpackage Lieu
 * @version    SVN: $Id: LieuForm.class.php 441 2010-09-29 11:57:09Z hlecorche $
 */
class LieuForm extends BaseLieuForm
{
	public function configure()
	{
		//Classe
		$class = "fields";
		
		//Champ "nom"
		$this->setWidget('nom', new sfWidgetFormInputText(array(), array('class' => $class,
																	 'size' => 30)));
		
		$this->setValidator('nom', new sfValidatorString(array('required' => true,
  																'trim' => true,
  																'min_length' => 2,
  																'max_length' => 55),
  														  array('required' => 'Champ obligatoire',
  														  		'min_length'=> '%min_length% caractères mini',
  														  		'max_length'=> '%max_length% caractères maxi')));
  														  
  		//Champ "adresse"
		$this->setWidget('adresse', new sfWidgetFormInputText(array(), array('class' => $class,
																	 'size' => 50)));
		
		$this->setValidator('adresse', new sfValidatorString(array('required' => true,
  																'trim' => true,
  																'min_length' => 5,
  																'max_length' => 255),
  														  array('required' => 'Champ obligatoire',
  														  		'min_length'=> '%min_length% caractères mini',
  														  		'max_length'=> '%max_length% caractères maxi')));
  														  
  														  
  		//Champ "Code postal"
		$this->setWidget('code_postal', new sfWidgetFormInputText(array(), array('class' => $class,
																	 'size' => 20)));
		
		$this->setValidator('code_postal', new sfValidatorString(array('required' => true,
  																'trim' => true,
  																'min_length' => 5,
  																'max_length' => 10),
  														  array('required' => 'Champ obligatoire',
  														  		'min_length'=> '%min_length% caractères mini',
  														  		'max_length'=> '%max_length% caractères maxi')));
  														  
  		//Champ "Ville"
		$this->setWidget('ville', new sfWidgetFormInputText(array(), array('class' => $class,
																	 'size' => 30)));
		
		$this->setValidator('ville', new sfValidatorString(array('required' => true,
  																'trim' => true,
  																'min_length' => 3,
  																'max_length' => 55),
  														  array('required' => 'Champ obligatoire',
  														  		'min_length'=> '%min_length% caractères mini',
  														  		'max_length'=> '%max_length% caractères maxi')));
  														  
  		//Champ "telephone"
		$this->setWidget('telephone', new sfWidgetFormInputText(array(), array('class' => $class,
																	 'size' => 50)));
		
		$this->setValidator('telephone', new sfValidatorString(array('required' => false,
  																'trim' => true,
  																'min_length' => 10,
  																'max_length' => 55),
  														  array('min_length'=> '%min_length% caractères mini',
  														  		'max_length'=> '%max_length% caractères maxi')));
  														  
  		//Champ "fax"
		$this->setWidget('fax', new sfWidgetFormInputText(array(), array('class' => $class,
																	 'size' => 50)));
		
		$this->setValidator('fax', new sfValidatorString(array('required' => false,
  																'trim' => true,
  																'min_length' => 10,
  																'max_length' => 55),
  														  array('min_length'=> '%min_length% caractères mini',
  														  		'max_length'=> '%max_length% caractères maxi')));
  														  
  		//Champ "type_id"
  		$this->setWidget('type_id', new sfWidgetFormDoctrineChoice(array('model' => 'Type', 'add_empty' => 'Selectionnez un type'), array('class' => $class)));
  		$this->setValidator('type_id', new sfValidatorDoctrineChoice(array('model' => 'Type',
																		   'required' => true),
																	array('required' => 'Champ obligatoire',
																		  'invalid' => 'Champ invalide')));
	}
}