<?php

/**
 * Message form.
 *
 * @package    form
 * @subpackage Message
 * @version    SVN: $Id: MessageForm.class.php 375 2010-08-25 09:21:15Z hlecorche $
 */
class MessageForm extends BaseMessageForm
{
  public function configure()
  {
  		//classe
  		$class = "fields";	
  	
  		//Champ "titre"
  		$this->setWidget('titre', new sfWidgetFormInputText(array(), array('class' => $class, 'size' => 30)));
  		$this->setValidator('titre', new sfValidatorString(array('max_length' => 60,
  															     'required' => true,
  																 'trim' => true),
  														   array('max_length' => '%max_length% caractères maxi.',
  														   	     'required' => 'Champ obligatoire')));
  		
  		//Champ "message"
  		$this->setWidget('message', new sfWidgetFormTextarea(array(), array('rows' => 7, 'cols' => 40, 'class' => $class)));
  		$this->setValidator('message', new sfValidatorString(array('max_length' => 1000,
  															     'required' => true,
  																 'trim' => true),
  														   array('max_length' => '%value% caractères maxi.',
  														   	     'required' => 'Champ obligatoire')));
  														   
  	   //Champ "destinataire_membre_id"
  	   $query_select  = Doctrine::getTable('Membre')->createQuery('a')
  	   ->addwhere('a.confirmation = 1');
  	   $this->setWidget('destinataire_membre_id', new sfWidgetFormInputHidden());
  	   $this->setValidator('destinataire_membre_id', new sfValidatorDoctrineChoice(array('model' => 'Membre',
  	   																					 'query' => $query_select)));
  	   
  	   //Champ captcha
  		$this->setWidget('captcha', new sfWidgetFormInputText(array(), array('class' => $class,
  																		'size' => 25)));
  		$this->setValidator('captcha', new sfValidatorSfCryptoCaptcha(array('required' => true, 
  																			'trim' => true),
                                                   					  array('wrong_captcha' => 'Code invalide',
                                                         					'required' => 'Champ obligatoire')));
                                                   					  
        //Champs désactives car traites dans l'action
        unset($this['lu']);
        unset($this['expediteur_membre_id']);
        
        //Champ desactive car traite par SF
        unset($this['created_at']);
        unset($this['id']);
  }
}