<?php

/**
 * News form.
 *
 * @package    form
 * @subpackage News
 * @version    SVN: $Id: NewsForm.class.php 375 2010-08-25 09:21:15Z hlecorche $
 */
class NewsForm extends BaseNewsForm
{
  public function configure()
  {
	  	//Classe des champs du formulaire
	  	$class = 'fields';
	  	
	  	$this->setWidget('texte', new sfWidgetFormTextarea(array(), array('class' => $class,
		  																		'cols' => 55,
		  																		'rows' => 4)));	
	  	$this->setValidator('texte', new sfValidatorString(array('required' => true,
		  																  'trim' => true,
		  																  'min_length' => 3,
		  																  'max_length' => 255),
		  														  	array('min_length'=> '%min_length% caractères mini',
		  														  		  'max_length'=> '%max_length% caractères maxi',
		  														  		  'required' => 'Champ obligatoire')));
  	
  	
  		//Champ "active" 
		$liste_active = array(0 => 'Non', 1 => 'Oui');
  		$this->setWidget('active', new sfWidgetFormSelect(array('choices' => $liste_active), 
  														array('class' => $class)));
  		$this->setValidator('active', new sfValidatorChoice(array('choices' => array_keys($liste_active),
  																'required' => true),
  														  array('required' => 'Champ obligatoire',
  														  		'invalid' => 'Champ obligatoire')));
  		
  		$this->setDefault('active',1);
  														  
  		//Champ "priorite"
  		$this->setWidget('priorite', new sfWidgetFormInputText(array(), array('class' => $class,
  																		'size' => 4)));
  		$this->setValidator('priorite', new sfValidatorInteger(array('required' => true,
  																  'min' => 1,
  																  'max' => 100),
  																  array('required' => 'Champ obligatoire',
  																  		'min' => 'Le nombre doit être un entier compris entre 1 et 100',
  																  		'max' => 'Le nombre doit être  un entier compris entre 1 et 100',
  																  		'invalid' =>'Nombre invalide')));	
  	
  	unset($this['id']);
  	
  }
  
	/**
	 * fonction qui enregistre ou modifie la news dans la base
	 * @param newsActions $action
	 * @return News
	 */
	public function ProcessForm($action){

		//on recupere l'objet news
		$news = $this->getObject();
		
		//on enregistre l'objet news
		$news = $this->save();	
	
		//recuperation des données de navigation de l'utilisateur (pour pouvoir créer des messages flash
		$user=$action->getUser();
		
		$user->setFlash('news_ok', 'La news a bien été sauvegardée');

		return $news;		
	
	}
}