<?php

/**
 * ReportageComment form.
 *
 * @package    form
 * @subpackage ReportageComment
 * @version    SVN: $Id: ReportageCommentForm.class.php 375 2010-08-25 09:21:15Z hlecorche $
 */
class ReportageCommentForm extends BaseReportageCommentForm
{
	public function configure()
	{
		 //Champ "message"
		 $this->setWidget('message', new sfWidgetFormInputText(array(), array('class' => 'fields',
		 																  'size' => 60)));
		 
		 $this->setValidator('message', new sfValidatorString(array('required' => true,
		 															'trim' => true,
		 															'max_length' => 255),
		 													  array('required' => 'Champ obligatoire',
		 													  		'max_length' => '%max_length% caractères maxi.')));
		 													  
		 //Champs désactives car remplis lors de la sauvegarde
		 unset($this['id']);
		 unset($this['reportage_media_id']);
		 unset($this['membre_id']);
		 
		 //Champ desactive car traite par SF
		 unset($this['created_at']);
	}
	
	
	
	/**
	 * Action appelée par le controlleur, si formulaire valide
	 * @param ReportageMedia $media Media pour lequel on doit ajouter le commentaire
	 * @return unknown_type
	 */
	public function processForm($media)
	{
		//On recupere le controller le request
		$controller = sfContext::getInstance()->getController();
		$request = sfContext::getInstance()->getRequest();
		
		//On recupere l'id de la personne connectee
		$membre_id = MembreTable::getMembreIdConnecte();
		
		//On recupere les valeurs du formulaire
		$message = $this->getValue('message');
		
		//On cree l'objet commentaire, que l'on sauvegarde en BDD
		$comment = new ReportageComment();
		$comment->setReportageMediaId($media->getId());
		$comment->setMembreId($membre_id);
		$comment->setMessage($message);
		$comment->save();
		
	}
}