<?php

/**
 * Formulaire de candidature pour etre reporter
 *
 * @package    form
 * @subpackage Reporter
 * @version    SVN: $Id: ReporterForm.class.php 377 2010-08-25 11:43:20Z hlecorche $
 */

class ReporterForm extends BaseReporterForm
{
  public function configure()
  {

			//Classe des champs du formulaire
	  		$class = 'fields';
	  		//on recupere le membre connecté
	  		$membre=MembreTable::getMembreConnecte();
	  		
	  		//definition des listes
	  		$liste_choix = array(0 => 'Non', 1 => 'Oui');
	  		$liste_annees = array();
	  		for($i=intval(date('Y', time())); $i>= intval(date('Y', time() - 31536000 * 100)); $i--) { $liste_annees[$i] = $i; }
	  		
	  		
	  		//champ nom
	  		$this->setWidget('nom', new sfWidgetFormInputText(array(), array('class' => $class,
	  																		'size' => 40)));
	  		$this->setValidator('nom', new sfValidatorString(array('required' => true,
	  																  'trim' => true,
	  																  'min_length' => 3,
	  																  'max_length' => 40),
	  														  	array('min_length'=> '%min_length% caractères mini',
	  														  		  'max_length'=> '%max_length% caractères maxi',
	  														  		  'required' => 'Champ obligatoire')));												  
			//Champ prenom
	  		$this->setWidget('prenom', new sfWidgetFormInputText(array(), array('class' => $class,
	  																		'size' => 40)));
	  		$this->setValidator('prenom', new sfValidatorString(array('required' => true,
	  																  'trim' => true,
	  																  'min_length' => 3,
	  																  'max_length' => 40),
	  														  	array('min_length'=> '%min_length% caractères mini',
	  														  		  'max_length'=> '%max_length% caractères maxi',
	  														  		  'required' => 'Champ obligatoire')));

	  		$this->setDefault('prenom', $membre->getPrenom());
	  														  	
	  		//Champ profession
	  		$this->setWidget('profession', new sfWidgetFormInputText(array(), array('class' => $class,
	  																		'size' => 25)));
	  		$this->setValidator('profession', new sfValidatorString(array('required' => true,
	  																  'trim' => true,
	  																  'min_length' => 3,
	  																  'max_length' => 25),
	  														  	array('min_length'=> '%min_length% caractères mini',
	  														  		  'max_length'=> '%max_length% caractères maxi',
	  														  		  'required' => 'Champ obligatoire')));
	
	
	  		//Champ adresse
	  		$this->setWidget('adresse', new sfWidgetFormTextarea(array(), array('class' => $class,
	  																		'cols' => 55,
	  																		'rows' => 4)));
	  		$this->setValidator('adresse', new sfValidatorString(array('required' => true,
	  																  'trim' => true,
	  																  'min_length' => 3,
	  																  'max_length' => 300),
	  														  	array('min_length'=> '%min_length% caractères mini',
	  														  		  'max_length'=> '%max_length% caractères maxi',
	  														  		  'required' => 'Champ obligatoire')));
	  		//Champ "ville" 
	  		$this->setWidget('ville', new sfWidgetFormInputText(array(), array('class' => $class,
	  																		'size' => 25)));	
	  		$this->setValidator('ville', new sfValidatorString(array('required' => true,
	  																	'trim' => true,
	  																	'min_length' => 3,
	  																	'max_length' => 40),
	  														  	   array('required' => 'Champ obligatoire',
	  														  			 'min_length'=> '%min_length% caractères mini',
	  														  			 'max_length'=> '%max_length% caractères maxi')));
			$this->setDefault('ville', $membre->getVille());
			
	  		//Champ "code_postal" 
	  		$this->setWidget('code_postal', new sfWidgetFormInputText(array(), array('class' => $class,
	  																		'size' => 25)));
	  		$this->setValidator('code_postal', new sfValidatorInteger(array('required' => true,
	  																	'trim' => true,
	  																  'min' => 100,
	  																  'max' => 999999),
	  																  array('required' => 'Champ obligatoire',
	  																  		'min' => 'Code postal invalide',
	  																  		'max' => 'Code postal invalide',
	  																  'invalid' =>'Code postal invalide')));
	  		$this->setDefault('code_postal', $membre->getCodePostal());
	  		
	  		//Champ date_naissance
	  		$this->setWidget('date_naissance', new sfWidgetFormDate(array('format' => '%day%/%month%/%year%',
	  																	  'empty_values' => array('year' => 'Année',
	  																							  'month' => 'Mois',
	  																							  'day' => 'Jour'),
	  																		'years' => $liste_annees),
	  																array('class' => $class)));
	  																
	  		$this->setValidator('date_naissance', new sfValidatorDate(array('required' => true,
	  																	 'max' => time()- 60*60*24*7*52*18),
	  															   array('required' => 'Champ obligatoire',
	  																	 'max' => 'Vous avez moins de 18 ans',
	  															   		 'invalid' => 'Date invalide')));												  	
	  														  	
		
			
	  															   
	  		//Champ "email" 
	  		$this->setWidget('email', new sfWidgetFormInputText(array(), array('class' => $class,
	  																		'size' => 30)));
	  		
	  		$this->setValidator('email', new sfValidatorEmail(array('required' => true,
	  																  'trim' => true,
	  																  'min_length' => 3,
	  																  'max_length' => 255),
	  														  	array('min_length'=> '%min_length% caractères mini',
	  														  		  'max_length'=> '%max_length% caractères maxi',
	  														  		  'invalid' => 'Adresse e-mail invalide',
	  														  		  'required' => 'Champ obligatoire')));												  	   
	  														  	   
			$this->setDefault('email', $membre->getEmail());
			
	  		//Champ telephone_domicile
	  		$this->setWidget('tel_domicile', new sfWidgetFormInputText(array(), array('class' => $class,
	  																		'size' => 25)));	
	  		$this->setValidator('tel_domicile', new sfValidatorString(array('required' => true,
	  																	'trim' => true,
	  																	'min_length' => 10,
	  																	'max_length' => 26),
	  														  	   array('required' => 'Champ obligatoire',
	  														  			 'min_length'=> '%min_length% caractères mini',
	  														  			 'max_length'=> '%max_length% caractères maxi')));												  	   
	  														  	   											  	   

	  														  	
	  														  	
	  		//Champ telephone_portable
	  		$this->setWidget('tel_portable', new sfWidgetFormInputText(array(), array('class' => $class,
	  																		'size' => 25)));	
	  		$this->setValidator('tel_portable', new sfValidatorString(array('required' => true,
	  																	'trim' => true,
	  																	'min_length' => 10,
	  																	'max_length' => 26),
	  														  	   array('required' => 'Champ obligatoire',
	  														  			 'min_length'=> '%min_length% caractères mini',
	  														  			 'max_length'=> '%max_length% caractères maxi')));												  	   

	  		
	  		//champ ordinateur
  			$this->setWidget('ordinateur_net', new sfWidgetFormSelect(array('choices' => $liste_choix), 
  														array('class' => $class)));
  			$this->setValidator('ordinateur_net', new sfValidatorChoice(array('choices' => array(0, 1),
  																'required' => true),
  														  array('required' => 'Champ obligatoire',
  														  		'invalid' => 'Champ obligatoire')));
  														  
  			//champ voiture
  			$this->setWidget('voiture', new sfWidgetFormSelect(array('choices' => $liste_choix), 
  														array('class' => $class)));
  			$this->setValidator('voiture', new sfValidatorChoice(array('choices' => array(0, 1),
  																'required' => true),
  														  array('required' => 'Champ obligatoire',
  														  		'invalid' => 'Champ obligatoire')));
	  		
  														  
  			//champ appareil_photo
  			$this->setWidget('appareil_photo', new sfWidgetFormSelect(array('choices' => $liste_choix), 
  														array('class' => $class)));
  			$this->setValidator('appareil_photo', new sfValidatorChoice(array('choices' => array(0, 1),
  																'required' => true),
  														  array('required' => 'Champ obligatoire',
  														  		'invalid' => 'Champ obligatoire')));

  														  
  				//Champ loisirs
	  		$this->setWidget('loisirs', new sfWidgetFormTextarea(array(), array('class' => $class,
	  																		'cols' => 55,
	  																		'rows' => 4)));
	  		$this->setValidator('loisirs', new sfValidatorString(array('required' => true,
	  																  'trim' => true,
	  																  'min_length' => 3,
	  																  'max_length' => 255),
	  														  	array('min_length'=> '%min_length% caractères mini',
	  														  		  'max_length'=> '%max_length% caractères maxi',
	  														  		  'required' => 'Champ obligatoire')));
	  														  	

	  		//Champ clubs
	  		$this->setWidget('clubs_favoris', new sfWidgetFormInputText(array(), array('class' => $class,
	  																		'size' => 40)));	
	  		$this->setValidator('clubs_favoris', new sfValidatorString(array('required' => true,
	  																	'trim' => true,
	  																	'min_length' => 5,
	  																	'max_length' => 40),
	  														  	   array('required' => 'Champ obligatoire',
	  														  			 'min_length'=> '%min_length% caractères mini',
	  														  			 'max_length'=> '%max_length% caractères maxi')));	

	  		//Champ musique
	  		$this->setWidget('style_musical', new sfWidgetFormInputText(array(), array('class' => $class,
	  																		'size' => 40)));	
	  		$this->setValidator('style_musical', new sfValidatorString(array('required' => true,
	  																	'trim' => true,
	  																	'min_length' => 5,
	  																	'max_length' => 40),
	  														  	   array('required' => 'Champ obligatoire',
	  														  			 'min_length'=> '%min_length% caractères mini',
	  														  			 'max_length'=> '%max_length% caractères maxi')));	
	  														  	
	  														  	
			
	  												  
  			//Champ motivations
	  		$this->setWidget('motivations_dispo_pseudo', new sfWidgetFormTextarea(array(), array('class' => $class,
	  																		'cols' => 55,
	  																		'rows' => 7)));
	  		$this->setValidator('motivations_dispo_pseudo', new sfValidatorString(array('required' => true,
	  																  'trim' => true,
	  																  'min_length' => 3,
	  																  'max_length' => 500),
	  														  	array('min_length'=> '%min_length% caractères mini',
	  														  		  'max_length'=> '%max_length% caractères maxi',
	  														  		  'required' => 'Champ obligatoire')));
	  														  	   
			$this->setDefault('motivations_dispo_pseudo', $membre->getPseudo());
	  														  	
	  		//Champ desactive car traite par SF
       		 unset($this['created_at']);
       		 unset($this['id']);
       		  unset($this['actif']);
       		 												  	   
	  		$this->widgetSchema->setNameFormat('photographe[%s]');
			$this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);
			
		}

		/**
		 * fonction apelée si le formulaire de candidature de reporter est valide.
		 * enregistre les infos dans la table "reporter" et envoi le tout a l'administrateur par mail
		 * @param $controller
		 * @return unknown_type
		 */
	public function ProcessForm($controller){
		
		//On récupère l'objet "photographe"
		$photographe = $this->getObject();
		
		//on met le champ actif a 0
		$photographe->setActif('0');
		//on l'enregistre dans la base
		$this->save();
		
		//On prepare le mail à la personne
		$expediteur = sfConfig::get('app_email_expediteur', 'contact@annecybynight.com');
		$destinataire = sfConfig::get('app_email_administrateur', 'contact@annecybynight.com');
		
	
		//on prepare le sujet du mail
		$sujet = sfConfig::get('app_email_sujet_photographe', 'Demande pour devenir photographe');
		//on prepare le corps du message en passant au partial qui contient ce corps
		//les infos dont il a besoin 
		$mailBody = $controller->getPartial('mailPhotographeBody', array('photographe' => $photographe));
	
		// On cree le mail
		$message = Swift_Message::newInstance()
		->setFrom($expediteur)
		->setTo($destinataire)
		->setSubject($sujet)
		->setBody($mailBody, 'text/html');
	
		// On envoie le mail
		$controller->getMailer()->send($message);
		
	}
	
  	
  	
}	
