<?php

/**
 * Type form.
 *
 * @package    form
 * @subpackage Type
 * @version    SVN: $Id: TypeForm.class.php 388 2010-08-27 10:55:02Z hlecorche $
 */
class TypeForm extends BaseTypeForm
{
	public function configure()
	{
		$class = 'fields';
		
		unset($this['id']);
		
		//Widget Nom
		$this->setWidget('nom', new sfWidgetFormInputText(array(), array('size' => '50',
																	 'class' => $class)));
		$this->setValidator('nom', new sfValidatorString(array('max_length' => 55,
															   'min_length' => 3,
															   'required' => true,
															   'trim' => true),
														 array('max_length' => '%max_length% caractères maxi.',
														 	   'min_length' => '%min_length% caractères mini.',
														 	   'required' => 'Champ obligatoire')));
	
		//Widget is_sortie
		$choices = array(0 => 'Non', 1 => 'Oui');
		$this->setWidget('is_sortie', new sfWidgetFormSelect(array('choices' => $choices)));
		$this->setValidator('is_sortie', new sfValidatorChoice(array('choices' => array_keys($choices),
																	 'required' => true),
															   array('invalid' => 'Champ invalide',
															   	 	 'required' => 'Champ obligatoire')));
															   
		//Widget is_bar_club
		$this->setWidget('is_bar_club', new sfWidgetFormSelect(array('choices' => $choices)));
		$this->setValidator('is_bar_club', new sfValidatorChoice(array('choices' => array_keys($choices),
																	 'required' => true),
															   array('invalid' => 'Champ invalide',
															   	 	 'required' => 'Champ obligatoire')));
															   
		//Widget is_divers
		$this->setWidget('is_divers', new sfWidgetFormSelect(array('choices' => $choices)));
		$this->setValidator('is_divers', new sfValidatorChoice(array('choices' => array_keys($choices),
																	 'required' => true),
															   array('invalid' => 'Champ invalide',
															   	 	 'required' => 'Champ obligatoire')));
															   
															   
		//Champ "priorite"
  		$this->setWidget('priorite', new sfWidgetFormInputText(array(), array('class' => $class,
  																		'size' => 4)));
  		$this->setValidator('priorite', new sfValidatorInteger(array('required' => false,
  																  'min' => 1,
  																  'max' => 100),
  																  array('required' => 'Champ obligatoire',
  																  		'min' => 'Le nombre doit être un entier compris entre 1 et 100',
  																  		'max' => 'Le nombre doit être  un entier compris entre 1 et 100',
  																  		'invalid' =>'Nombre invalide')));
	}
}