<?php

/**
 * Evenement form base class.
 *
 * @method Evenement getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseEvenementForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'               => new sfWidgetFormInputHidden(),
      'active'           => new sfWidgetFormInputText(),
      'type_id'          => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Type'), 'add_empty' => false)),
      'lieu_id'          => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Lieu'), 'add_empty' => false)),
      'auteur_membre_id' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'), 'add_empty' => false)),
      'date_debut'       => new sfWidgetFormDate(),
      'date_fin'         => new sfWidgetFormDate(),
      'titre'            => new sfWidgetFormInputText(),
      'description'      => new sfWidgetFormTextarea(),
      'active_index'     => new sfWidgetFormInputText(),
      'created_at'       => new sfWidgetFormDateTime(),
      'image_1'          => new sfWidgetFormInputText(),
      'image_1_truncate' => new sfWidgetFormInputText(),
      'image_2'          => new sfWidgetFormInputText(),
      'image_2_truncate' => new sfWidgetFormInputText(),
      'heure_debut'      => new sfWidgetFormInputText(),
      'heure_fin'        => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'               => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'active'           => new sfValidatorInteger(),
      'type_id'          => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Type'))),
      'lieu_id'          => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Lieu'))),
      'auteur_membre_id' => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Membre'))),
      'date_debut'       => new sfValidatorDate(),
      'date_fin'         => new sfValidatorDate(array('required' => false)),
      'titre'            => new sfValidatorString(array('max_length' => 55)),
      'description'      => new sfValidatorString(array('max_length' => 2147483647)),
      'active_index'     => new sfValidatorInteger(),
      'created_at'       => new sfValidatorDateTime(),
      'image_1'          => new sfValidatorString(array('max_length' => 55, 'required' => false)),
      'image_1_truncate' => new sfValidatorString(array('max_length' => 55, 'required' => false)),
      'image_2'          => new sfValidatorString(array('max_length' => 55, 'required' => false)),
      'image_2_truncate' => new sfValidatorString(array('max_length' => 55, 'required' => false)),
      'heure_debut'      => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'heure_fin'        => new sfValidatorString(array('max_length' => 5, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('evenement[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Evenement';
  }

}
