<?php

/**
 * Membre form base class.
 *
 * @method Membre getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseMembreForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                       => new sfWidgetFormInputHidden(),
      'pseudo'                   => new sfWidgetFormInputText(),
      'mot_passe'                => new sfWidgetFormInputText(),
      'confirmation'             => new sfWidgetFormInputText(),
      'confirmation_code'        => new sfWidgetFormInputText(),
      'email'                    => new sfWidgetFormInputText(),
      'date_naissance'           => new sfWidgetFormDate(),
      'sexe'                     => new sfWidgetFormInputText(),
      'created_at'               => new sfWidgetFormDateTime(),
      'fonction_id'              => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Fonction'), 'add_empty' => false)),
      'civilite_id'              => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Civilite'), 'add_empty' => true)),
      'fume'                     => new sfWidgetFormInputText(),
      'enfants'                  => new sfWidgetFormInputText(),
      'ville'                    => new sfWidgetFormInputText(),
      'code_postal'              => new sfWidgetFormInputText(),
      'derniere_requete'         => new sfWidgetFormDateTime(),
      'level_id'                 => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Level'), 'add_empty' => false)),
      'prenom'                   => new sfWidgetFormInputText(),
      'image_profil'             => new sfWidgetFormInputText(),
      'portable'                 => new sfWidgetFormInputText(),
      'annonce'                  => new sfWidgetFormTextarea(),
      'img_1'                    => new sfWidgetFormInputText(),
      'img_2'                    => new sfWidgetFormInputText(),
      'img_3'                    => new sfWidgetFormInputText(),
      'site_web'                 => new sfWidgetFormInputText(),
      'mot_passe_crypte'         => new sfWidgetFormInputText(),
      'notification_newsletter'  => new sfWidgetFormInputText(),
      'reportages_presents_list' => new sfWidgetFormDoctrineChoice(array('multiple' => true, 'model' => 'Reportage')),
      'lieux_list'               => new sfWidgetFormDoctrineChoice(array('multiple' => true, 'model' => 'Lieu')),
      'reportages_list'          => new sfWidgetFormDoctrineChoice(array('multiple' => true, 'model' => 'Reportage')),
    ));

    $this->setValidators(array(
      'id'                       => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'pseudo'                   => new sfValidatorString(array('max_length' => 40)),
      'mot_passe'                => new sfValidatorString(array('max_length' => 255)),
      'confirmation'             => new sfValidatorInteger(array('required' => false)),
      'confirmation_code'        => new sfValidatorString(array('max_length' => 50)),
      'email'                    => new sfValidatorString(array('max_length' => 255)),
      'date_naissance'           => new sfValidatorDate(),
      'sexe'                     => new sfValidatorInteger(),
      'created_at'               => new sfValidatorDateTime(),
      'fonction_id'              => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Fonction'))),
      'civilite_id'              => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Civilite'), 'required' => false)),
      'fume'                     => new sfValidatorInteger(array('required' => false)),
      'enfants'                  => new sfValidatorInteger(array('required' => false)),
      'ville'                    => new sfValidatorString(array('max_length' => 40)),
      'code_postal'              => new sfValidatorString(array('max_length' => 10)),
      'derniere_requete'         => new sfValidatorDateTime(),
      'level_id'                 => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Level'))),
      'prenom'                   => new sfValidatorString(array('max_length' => 25, 'required' => false)),
      'image_profil'             => new sfValidatorString(array('max_length' => 30, 'required' => false)),
      'portable'                 => new sfValidatorString(array('max_length' => 20, 'required' => false)),
      'annonce'                  => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'img_1'                    => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'img_2'                    => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'img_3'                    => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'site_web'                 => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'mot_passe_crypte'         => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'notification_newsletter'  => new sfValidatorInteger(array('required' => false)),
      'reportages_presents_list' => new sfValidatorDoctrineChoice(array('multiple' => true, 'model' => 'Reportage', 'required' => false)),
      'lieux_list'               => new sfValidatorDoctrineChoice(array('multiple' => true, 'model' => 'Lieu', 'required' => false)),
      'reportages_list'          => new sfValidatorDoctrineChoice(array('multiple' => true, 'model' => 'Reportage', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('membre[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Membre';
  }

  public function updateDefaultsFromObject()
  {
    parent::updateDefaultsFromObject();

    if (isset($this->widgetSchema['reportages_presents_list']))
    {
      $this->setDefault('reportages_presents_list', $this->object->ReportagesPresents->getPrimaryKeys());
    }

    if (isset($this->widgetSchema['lieux_list']))
    {
      $this->setDefault('lieux_list', $this->object->Lieux->getPrimaryKeys());
    }

    if (isset($this->widgetSchema['reportages_list']))
    {
      $this->setDefault('reportages_list', $this->object->Reportages->getPrimaryKeys());
    }

  }

  protected function doSave($con = null)
  {
    $this->saveReportagesPresentsList($con);
    $this->saveLieuxList($con);
    $this->saveReportagesList($con);

    parent::doSave($con);
  }

  public function saveReportagesPresentsList($con = null)
  {
    if (!$this->isValid())
    {
      throw $this->getErrorSchema();
    }

    if (!isset($this->widgetSchema['reportages_presents_list']))
    {
      // somebody has unset this widget
      return;
    }

    if (null === $con)
    {
      $con = $this->getConnection();
    }

    $existing = $this->object->ReportagesPresents->getPrimaryKeys();
    $values = $this->getValue('reportages_presents_list');
    if (!is_array($values))
    {
      $values = array();
    }

    $unlink = array_diff($existing, $values);
    if (count($unlink))
    {
      $this->object->unlink('ReportagesPresents', array_values($unlink));
    }

    $link = array_diff($values, $existing);
    if (count($link))
    {
      $this->object->link('ReportagesPresents', array_values($link));
    }
  }

  public function saveLieuxList($con = null)
  {
    if (!$this->isValid())
    {
      throw $this->getErrorSchema();
    }

    if (!isset($this->widgetSchema['lieux_list']))
    {
      // somebody has unset this widget
      return;
    }

    if (null === $con)
    {
      $con = $this->getConnection();
    }

    $existing = $this->object->Lieux->getPrimaryKeys();
    $values = $this->getValue('lieux_list');
    if (!is_array($values))
    {
      $values = array();
    }

    $unlink = array_diff($existing, $values);
    if (count($unlink))
    {
      $this->object->unlink('Lieux', array_values($unlink));
    }

    $link = array_diff($values, $existing);
    if (count($link))
    {
      $this->object->link('Lieux', array_values($link));
    }
  }

  public function saveReportagesList($con = null)
  {
    if (!$this->isValid())
    {
      throw $this->getErrorSchema();
    }

    if (!isset($this->widgetSchema['reportages_list']))
    {
      // somebody has unset this widget
      return;
    }

    if (null === $con)
    {
      $con = $this->getConnection();
    }

    $existing = $this->object->Reportages->getPrimaryKeys();
    $values = $this->getValue('reportages_list');
    if (!is_array($values))
    {
      $values = array();
    }

    $unlink = array_diff($existing, $values);
    if (count($unlink))
    {
      $this->object->unlink('Reportages', array_values($unlink));
    }

    $link = array_diff($values, $existing);
    if (count($link))
    {
      $this->object->link('Reportages', array_values($link));
    }
  }

}
