<?php

/**
 * Reportage form base class.
 *
 * @method Reportage getObject() Returns the current form's model object
 *
 * @package    anbnws
 * @subpackage form
 * @author     Hubert LECORCHE
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 375 2010-08-25 09:21:15Z hlecorche $
 */
abstract class BaseReportageForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                    => new sfWidgetFormInputHidden(),
      'is_reportage_video'    => new sfWidgetFormInputText(),
      'lieu_id'               => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Lieu'), 'add_empty' => false)),
      'date'                  => new sfWidgetFormDate(),
      'evenement_id'          => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Evenement'), 'add_empty' => true)),
      'titre'                 => new sfWidgetFormInputText(),
      'description'           => new sfWidgetFormTextarea(),
      'path_dossier'          => new sfWidgetFormInputText(),
      'created_at'            => new sfWidgetFormDateTime(),
      'active'                => new sfWidgetFormInputText(),
      'active_index'          => new sfWidgetFormInputText(),
      'reporters_list'        => new sfWidgetFormDoctrineChoice(array('multiple' => true, 'model' => 'Membre')),
      'membres_presents_list' => new sfWidgetFormDoctrineChoice(array('multiple' => true, 'model' => 'Membre')),
    ));

    $this->setValidators(array(
      'id'                    => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'is_reportage_video'    => new sfValidatorInteger(),
      'lieu_id'               => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Lieu'))),
      'date'                  => new sfValidatorDate(),
      'evenement_id'          => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Evenement'), 'required' => false)),
      'titre'                 => new sfValidatorString(array('max_length' => 255)),
      'description'           => new sfValidatorString(array('max_length' => 2147483647)),
      'path_dossier'          => new sfValidatorString(array('max_length' => 80)),
      'created_at'            => new sfValidatorDateTime(),
      'active'                => new sfValidatorInteger(),
      'active_index'          => new sfValidatorInteger(),
      'reporters_list'        => new sfValidatorDoctrineChoice(array('multiple' => true, 'model' => 'Membre', 'required' => false)),
      'membres_presents_list' => new sfValidatorDoctrineChoice(array('multiple' => true, 'model' => 'Membre', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('reportage[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Reportage';
  }

  public function updateDefaultsFromObject()
  {
    parent::updateDefaultsFromObject();

    if (isset($this->widgetSchema['reporters_list']))
    {
      $this->setDefault('reporters_list', $this->object->Reporters->getPrimaryKeys());
    }

    if (isset($this->widgetSchema['membres_presents_list']))
    {
      $this->setDefault('membres_presents_list', $this->object->MembresPresents->getPrimaryKeys());
    }

  }

  protected function doSave($con = null)
  {
    $this->saveReportersList($con);
    $this->saveMembresPresentsList($con);

    parent::doSave($con);
  }

  public function saveReportersList($con = null)
  {
    if (!$this->isValid())
    {
      throw $this->getErrorSchema();
    }

    if (!isset($this->widgetSchema['reporters_list']))
    {
      // somebody has unset this widget
      return;
    }

    if (null === $con)
    {
      $con = $this->getConnection();
    }

    $existing = $this->object->Reporters->getPrimaryKeys();
    $values = $this->getValue('reporters_list');
    if (!is_array($values))
    {
      $values = array();
    }

    $unlink = array_diff($existing, $values);
    if (count($unlink))
    {
      $this->object->unlink('Reporters', array_values($unlink));
    }

    $link = array_diff($values, $existing);
    if (count($link))
    {
      $this->object->link('Reporters', array_values($link));
    }
  }

  public function saveMembresPresentsList($con = null)
  {
    if (!$this->isValid())
    {
      throw $this->getErrorSchema();
    }

    if (!isset($this->widgetSchema['membres_presents_list']))
    {
      // somebody has unset this widget
      return;
    }

    if (null === $con)
    {
      $con = $this->getConnection();
    }

    $existing = $this->object->MembresPresents->getPrimaryKeys();
    $values = $this->getValue('membres_presents_list');
    if (!is_array($values))
    {
      $values = array();
    }

    $unlink = array_diff($existing, $values);
    if (count($unlink))
    {
      $this->object->unlink('MembresPresents', array_values($unlink));
    }

    $link = array_diff($values, $existing);
    if (count($link))
    {
      $this->object->link('MembresPresents', array_values($link));
    }
  }

}
