<?php

/**

 * This file is part of "Annecy By Night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Formulaire Helper

 *

 * @author     Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: ecFormulaireHelper.php 381 2010-08-26 09:18:49Z hlecorche $

 */











/**

 * Fonction qui afiche la liste des messages d'erreurs si il y en a (affiche chaine vide sinon)

 * @param $p_champs_form : Champs du formulaire

 * @param $p_largeur: Largeur du champ d'erreur

 * @return String : Source html

 */

function AfficheErreur($p_champs_form, $p_largeur = '100%')

{

	$ret = '';

	if($p_champs_form->hasError())

	{

		if(is_array($p_champs_form->getError()))

		{

			foreach($p_champs_form->getError() as $error)

			{

				$ret .= '<div class="form_error" style="width: '.$p_largeur.';">';

				$ret .= '<div class="form_error_message">';

				$ret .= $error;

				$ret .= '</div></div>';

			}

		}

		else

		{

			$ret .= '<div class="form_error" style="width: '.$p_largeur.';">';

			$ret .= '<div class="form_error_message">';

			$ret .= $p_champs_form->getError();

			$ret .= '</div></div>';

		}

	}

	return $ret;

}







/**

 * Fonction qui afiche juste un logo d'erreur si il y a une erreur (affiche chaine vide sinon)

 * @param $p_champs_form : Champs du formulaire

 */

function AfficheImageErreur($p_champs_form)

{

	$ret = null;

	if($p_champs_form->hasError())

	{

		$img = Util::getImageErreur();

		$ret = '&nbsp;&nbsp;&nbsp;';

		$ret .= $img;

	}

	return $ret;

}









/**

 * Fonction qui afiche la liste des messages d'erreurs GLOBAUX si il y en a 

 * @param $p_form : Formulaire

 * @param $p_largeur: Largeur du champ d'erreur

 * @return String : Source html

 */

function AfficheErreurGlobal($p_form, $p_largeur = '100%')

{

	$ret = '';

	if($p_form->hasGlobalErrors())

	{

		

		foreach($p_form->getGlobalErrors() as $error)

		{

				$ret .= '<div class="form_error" style="width: '.$p_largeur.';">';

				$ret .= '<div class="form_error_message">';

				$ret .= $error;

				$ret .= '</div></div>';

		}

		

	}

	return $ret;

}









/**

 * 

 * Fonction qui envoie le nom de classe CSS

 * @param $p_champs_form : Champs du formulaire

 * @return String ('error' ou 'noError')

 */

function ClassErreur($p_champs_form)

{

	$ret = 'form_no_error';

	if($p_champs_form->hasError())

	{

		$ret = 'form_error';

	}

	return $ret;

}











/**

* Fonction qui retourne l'affichage d'un message d'info

* @param $message String: Le message à afficher

* @param $type_message: Type de message: 'ok' / 'error'

* @param $width: Longeur du message

* @return String

*/

function MessageInfo($message, $type_message, $width='100%')

{

	return Util::MessageInfo($message, $type_message, $width);

}









function label($label, $required = false)

{

	if($required)

	{

		return '<span>'.$label.'</span><span style="color: red;"> *</span>';

	}

	else

	{

		return '<span>'.$label.'</span>';

	}

}







function ec_select_form($name, $options_tag, $selected = null, $options = array())

{

	$options_html = '';

	$id = $name;

	if(isset($options['id']))

	{

		$id = $options['id'];

		unset($options['id']);

	}

	foreach($options as $option_name => $option_value)

	{

		$options_html .= ' '.$option_name.'="'.$option_value.'"';

	}

	$render = '<select name="'.$name.'" id="'.$id.'"'.$options_html.'>';

	foreach($options_tag as $value => $label)

	{

		if($value == $selected)

		{

			$render.='<option value="'.$value.'" selected="selected">'.$label.'</option>'."\n";

		}

		else

		{

			$render.='<option value="'.$value.'">'.$label.'</option>'."\n";

		}

	}

	$render .= '</select>';

	return $render;

}

?>