<?php

/**

 * This file is part of "Annecy By Night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Helper sur les profils des membres

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: ecprofilHelper.php 339 2010-01-16 11:01:11Z hlecorche $ 

 */





/**

 * Affiche le profil volant d'un membre (affiche le profil en passant la souris sur le nom)

 * @param Membre $membre

 * @return String

 */

function afficheProfilVollant($membre, $options_lien = array())

{

	//On affiche la couleur du membre en fonction de son sexe

	$class  = 'couleur_homme';

	if($membre->getSexe() == Membre::FEMME)

	{

		$class  = 'couleur_femme';

	}

	

	if(isset($options_lien['class']))

	{

		//Une classe est déjà définie, on la passe en premier

		$options_lien['class'] = $class.' '.$options_lien['class'];

	}

	else

	{

		//On rajoute la classe

		$options_lien['class'] = $class;

	}

	

	

	//On recupere l'image de profil à afficher

	$dossier = sfConfig::get('app_dossiers_images_membres');

	$image = Util::getUrlImage($dossier.'/'.$membre->getFichierImageProfil(), 50, 50, null, true);

	

	$options_lien['class'] .= ' info-bulle-css';

	$options_lien['title'] = image_tag($image, array('width' => 50, 'alt' => 'photo', 'style' => 'float: left; margin-right: 4px;')).

							 $membre->getPseudo(). '<br />'.

							 floor((time() - Util::dateToTime($membre->getDateNaissance())) / 31536000).' ans<br/>'.

							 $membre->getVille().

							 '<div style="clear: both;"></div>';

	

							 

							 

	return link_to($membre->getPseudo(), 'membres/profil?id='.$membre->getId(), $options_lien);

	

}

?>