<?php

/**

 * This file is part of "Annecy By Night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Classe permetant de crypter / decrypter des informations

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: chiffrement.class.php 6 2009-05-24 11:18:55Z hlecorche $ 

 */





class Chiffrement

{

	

	

	/**

	 * Fonction qui permet de crypter une chaine

	 * @param String $str Chaine à crypter

	 * @param Sring $filter Clé de cryptage

	 * @return String Chaine cryptée

	 */

	public static function cryptage($str, $filter = null)

	{

		if(is_null($filter))

		{

			$filter = sfConfig::get('app_cryptage_filter');

		}

		$filter = md5($filter);

		$letter = -1;

		$newstr = '';

		$strlen = strlen($str);



   		for ( $i = 0; $i < $strlen; $i++ )

		{

			$letter++;

			if ( $letter > 31 )

			{

				$letter = 0;

			}

			$neword = ord($str{$i}) + ord($filter{$letter});

			if ( $neword > 255 )

			{

				$neword -= 256;

			}

			$newstr .= chr($neword);

		}



   		return base64_encode($newstr);

	}

	

	

	

	/**

	 * 

	 * Fonction qui permet de decrypter une chaine

	 * @param String $str Chaine à decrypter

	 * @param Sring $filter Clé de cryptage

	 * @return String Chaine décryptée

	 */

	public static function decryptage($str, $filter =null)

	{

		if(is_null($filter))

		{

			$filter = sfConfig::get('app_cryptage_filter');

		}

		$filter = md5($filter);

		$letter = -1;

		$newstr = '';

		$str = base64_decode($str);

		$strlen = strlen($str);

		for ( $i = 0; $i < $strlen; $i++ )

		{

			$letter++;

			if ( $letter > 31 )

			{

				$letter = 0;

      		}

			$neword = ord($str{$i}) - ord($filter{$letter});

			if ( $neword < 1 )

			{

				$neword += 256;

			}

			$newstr .= chr($neword);

		}

		

		return $newstr;

	}



}



?>