<?php

/**

 * This file is part of "Annecy By Night"

 * Copyright (c) 2009 Hubert LECORCHE

 *

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Filtre qui permet de faire les stats

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: ecStatsFilter.class.php 37 2009-07-08 09:04:55Z hlecorche $

 */



class ecStatsFilter extends sfFilter

{

	public function execute($filterChain)

	{

		// Execute next filter

		// On applique le filtre en sortie, pour tester la valeur du code retour de le reponse

		// Car si autre que OK (ex: 404, 500...), on n'execute pas le filtre

		$filterChain->execute();

		

		// On éxécute le filtre une seule fois

		if ($this->isFirstCall())

		{

			//Actions pour lesquelles le filtre est ignore si la requette

			//les appele

			$list_ignore_actions = array('sfCryptoCaptcha/captcha');

			

			$context = $this->getContext();

			$module_name = $context->getModuleName();

			$action_name = $context->getActionName();

			

			//On regarde si l'action demandee est en POST. Dans ce cas, on ignore le filtre

			$method = $context->getRequest()->getMethod();

			

			//On recuper le code retour de la reponse

			//Si le code retour est superieur à 299, on n'applique pas le filtre

			$code_response = $context->getResponse()->getStatusCode();

			

			if(!in_array($module_name.'/'.$action_name, $list_ignore_actions) && 

				$method != sfRequest::POST && $code_response < 300)

			{

				//L'action appelee par la requete n'est pas à ignorer, on execute

				//alors le filtre

			

				// On récupère l'objet USER

				$user    = $this->getContext()->getUser();

	

				//Date d'aujourd'hui au format AAAA-MM-DD

				$dateFormat = new sfDateFormat();

				$today = $dateFormat->format(time(), 'yyyy-MM-dd');

				

				//Si la valeur en session "stats_ok", n'est pas présente, ceci

				//veut dire que c'est la première visite sur le site pour la personne

				$stats_ok = $user->getAttribute('stats_ok');

				

				if(is_null($stats_ok))

				{

					//Premiere visite de la personne

					//Incremente le nombre de visites et le nombre de pages vues

					$q = Doctrine::getTable('Stats')->createQuery()

					->update()

					->set('pages_vues', 'pages_vues + 1')

					->set('visites', 'visites + 1')

					->where('date = ?', $today);

					$q->execute();

					

					//On tag la personne pour dire que ce n'est plus sa premiere visite

					$user->setAttribute('stats_ok', 'ok');

				}

				else

				{

					//Autre que premiere visite de la personne

					//Incremente uniquement le nombre de pages vues

					$q = Doctrine::getTable('Stats')->createQuery()

					->update()

					->set('pages_vues', 'pages_vues + 1')

					->where('date = ?', $today);

					$q->execute();

				}

				

				if($user->isAuthenticated())

				{

					//La personne est authentifiee, mise a jour du champ

					//"Derniere_requete"

					

					//On recupere l'id du membre connecte et on change sa valeur

					//de derniere requete

					$membre_id = MembreTable::getMembreIdConnecte();

					$q = Doctrine::getTable('Membre')->createQuery()->update()

					->set('derniere_requete', 'now()')

					->where('id = ?', $membre_id)

					->execute();

				}

			}

		}



		

	}



}

?>