<?php

/**

 * This file is part of "Annecy By Night"

 * Copyright (c) 2009 Hubert LECORCHE

 *

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Filtre qui permet de faire la connexion automatique au site

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: rememberFilter.class.php 5 2009-05-23 08:55:21Z hlecorche $

 */



class rememberFilter extends sfFilter

{

	public function execute($filterChain)

	{

		// On éxécute le filtre une seule fois

		if ($this->isFirstCall())

		{

			// On récupère les objets

			$request = $this->getContext()->getRequest();

			$response = $this->getContext()->getResponse();

			$user    = $this->getContext()->getUser();

			$cookie_name = sfConfig::get('app_remember_me_cookie_name');

			

			if(!$user->isAuthenticated())

			{

				//La personne n'est pas authentifiée, on va tester l'authentification automatique

				

				if ($cookie = $request->getCookie($cookie_name))

				{

					//Le cookie de connexion automatique est présent, on le décode

					$identifiants = @unserialize(base64_decode($cookie));

					

					

					if(!empty($identifiants['pseudo']) && !empty($identifiants['password']))

					{

						//Les identifiants sont bien présents,

						//Tentative de connexion

						if(!$user->Login($identifiants['pseudo'], $identifiants['password']))

						{

							//Echec de connexion, on efface le cookie de connexion

							//pour éviter une nouvelle tentative

							$response->setCookie($cookie_name, null);

						}

					}

					else

					{

						$response->setCookie($cookie_name, null);

						

					}

					

				}

			}

		}



		// Execute next filter

		$filterChain->execute(); 

	}



}

?>