<?php





class BanniereTable extends Doctrine_Table

{


	public static function getInstance()
	{
		return Doctrine_Core::getTable('Banniere');
	}

	

	

	public static function getFolderUpload($type)

	{

		if($type == Banniere::BANNIERE_HAUT)

		{

			return sfConfig::get('app_uploads_bannieres_haut');

		}

		elseif($type == Banniere::BANNIERE_DROITE_VERTICALE)

		{

			return sfConfig::get('app_uploads_bannieres_droite_verticale');

		}

		elseif($type == Banniere::BANNIERE_DROITE_CARREE)

		{

			return sfConfig::get('app_uploads_bannieres_droite_carree');

		}

	}

	

	public static function getFolderAccess($type)

	{

		if($type == Banniere::BANNIERE_HAUT)

		{

			return sfConfig::get('app_dossiers_bannieres_haut');

		}

		elseif($type == Banniere::BANNIERE_DROITE_VERTICALE)

		{

			return sfConfig::get('app_dossiers_bannieres_droite_verticale');

		}

		elseif($type == Banniere::BANNIERE_DROITE_CARREE)

		{

			return sfConfig::get('app_dossiers_bannieres_droite_carree');

		}

	}

	

	public static function getCacheName($type)

	{

		if($type == Banniere::BANNIERE_HAUT)

		{

			return 'banniereHaut';

		}

		elseif($type == Banniere::BANNIERE_DROITE_VERTICALE)

		{

			return 'banniereDroiteVerticale';

		}

		elseif($type == Banniere::BANNIERE_DROITE_CARREE)

		{

			return 'banniereDroiteCarree';

		}

	}

	

	public static function getBannieres($type, $active = true)

	{

		$query = self::getInstance()->createQuery('b')

		->where('b.type = ?', $type)

		->orderBy('b.nom_fichier ASC');

		

		if($active)

		{

			$now = date('Y-m-d', time());

			$query->addWhere('b.date_debut <= ? AND (b.date_fin >= ? OR b.date_fin IS NULL)',array($now, $now) );

		}

		return $query->execute();

	}

}