<?php



/**

 * This class has been auto-generated by the Doctrine ORM Framework

 */

class Evenement extends BaseEvenement

{

	/**

	 * Retourne la la liste des inscriptions a cette soiree, en 

	 * recuperant aussi les infos de la personne associee

	 * @param Doctrine_Query $q Requette d'entree

	 * @return Array Liste des inscrptions à cette soiree

	 */

	public function getEvenementsInscriptionsJoinMembre(Doctrine_Query $q = null)

	{

		if (is_null($q))

		{

			$q = Doctrine_Query::create()

			->from('EvenementInscription ei');

		}

		$q->addWhere('ei.evenement_id = ?', $this->getId());

		$q->innerJoin('ei.Membre m');

		$q->orderBy('ei.id ASC');

		

		//Récupère uniquement les champs qui nous interesse

		$q->select('ei.va, ei.message, m.pseudo, m.sexe, m.ville, m.date_naissance, m.image_profil');

		return $q->execute();

	}

	

	

	/**

	 * Verifie si l'evenement est deja passe ou non

	 * @return Bool

	 */

	public function estPasse()

	{

		$now = time();

		$date_fin_inscriptions = Util::dateToTime($this->getDateFin()) + 3600 * 24;

		$ret = true;

		if($date_fin_inscriptions - $now > 0)

		{

			$ret = false;

		}

		return $ret;

	}

	

	public function save(Doctrine_Connection $conn = null)

	{

		//On affecte au lieu le meme type que son lieu associe

		$type_id = $this->getLieu()->getTypeId();

		$this->setTypeId($type_id);

		

		parent::save($conn);

	}

}