<?php



/**

 * This class has been auto-generated by the Doctrine ORM Framework

 */

class GalerieArtsMedia extends BaseGalerieArtsMedia

{

	protected $is_generate_values = false;

	//Id des medias précédent et suivant d'un meme galerie

	protected $media_id_precedent = null;

	protected $media_id_suivant = null;

	

	//Nombre de medias dans la meme galerie que ce media

	protected $nombre_medias_galerie = 0;

	

	//Position du media dans la galerie

	protected $position_media = 1;

	

	

	

	/**

	 * Fonction qui retourne l'id du media precedent de la galerie

	 * @return Int id precedent

	 */

	public function getMediaIdPrecedent()

	{

		$this->initValues();

		return $this->media_id_precedent;

	}

	

	/**

	 * Fonction qui retourne l'id du media suivant de la galerie

	 * @return Int id suivant

	 */

	public function getMediaIdSuivant()

	{

		$this->initValues();

		return $this->media_id_suivant;

	}

	

	/**

	 * Fonction qui retourne le nombre de medias dans la meme galerie

	 * @return Int nombre de medias

	 */

	public function getNombreMedias()

	{

		$this->initValues();

		return $this->nombre_medias_galerie;

	}

	

	/**

	 * Fonction qui retourne la position du media dans la galerie

	 * @return Int position

	 */

	public function getPositionMedia()

	{

		$this->initValues();

		return $this->position_media;

	}

	

	

	

	

	

	/**

	 * Retourne le chemin du fichier (depuis la racine) de la vignette du média

	 * à afficher (si photo, la vignette est elle meme. Si vidéo, image particulière)

	 * @param Galerie $galerie Galerie associée

	 * @return String

	 */

	public function getVignette($galerie = null)

	{

		if(is_null($galerie))

		{

			$galerie = $this->getGalerieArts();

		}

		

		if($this->getIsVideo())

		{

			return 'divers/video.jpg';

		}

		else

		{

			return $galerie->getPathDossier().'/'.$this->getNomFichier();

		}

	}

	

	

	

	/**

	 * Fonction qui initialise les champs en protected

	 * @return unknown_type

	 */

	protected function initValues()

	{

		if(!$this->is_generate_values)

		{

			$q = Doctrine::getTable('GalerieArtsMedia')->createQuery('m')

			->select('m.id')

			->addselect('(SELECT max(m1.id) FROM GalerieArtsMedia m1 WHERE m1.id < m.id and m1.galerie_arts_id = m.galerie_arts_id) as id_precedent')

			->addselect('(SELECT min(m2.id) FROM GalerieArtsMedia m2 WHERE m2.id > m.id and m2.galerie_arts_id = m.galerie_arts_id) as id_suivant')

			->addselect('(SELECT count(m3.id) FROM GalerieArtsMedia m3 WHERE m3.galerie_arts_id = m.galerie_arts_id) as nombre_medias')

			->addselect('(SELECT count(m4.id) FROM GalerieArtsMedia m4 WHERE m4.id <= m.id and m4.galerie_arts_id = m.galerie_arts_id) as position')

			->where('m.id = ?', $this->getId());

				

			$results = $q->fetchArray();

			$this->media_id_precedent = $results[0]['id_precedent'];

			$this->media_id_suivant = $results[0]['id_suivant'];

			$this->nombre_medias_galerie = $results[0]['nombre_medias'];

			$this->position_media = $results[0]['position'];

			

			$this->is_generate_values = true;

		}

	}

}