<?php

/**

 * This class has been auto-generated by the Doctrine ORM Framework

 */

class GalerieArtsTable extends Doctrine_Table

{

	

	/**

	 * Retrouve un objet GalerieArts en fonction de son id

	 * Jointure avec la table Categorie

	 * @param Int $id id de la galerie recherche

	 * @return Reportage

	 */

	public function findGalerieJoinCategorie($id)

	{

		$q = Doctrine::getTable('GalerieArts')->createQuery('g')

		->where('g.id = ?', $id);

		

		//Jointure avec la table categorie

		$q->innerJoin('g.GalerieArtsCategorie c');

		

		return $q->fetchOne();

	}

	

/**

	 * Cree le pager en fonction des données sauvegardées en session

	 * @param String $nom_session Nom de la session

	 * @param GalerieArtsCategorie $categorie Categorie à afficher

	 * @return sfDoctrinePager pager

	 */

	public function generatePager($nom_session, $categorie)

	{

		$max_results = sfConfig::get('app_galerie_arts_nbre_elements_liste');

		$pager = new sfDoctrinePager('GalerieArts', $max_results);

		$query = $this->createQueryWithPersonalizedColumns();

		$query->innerJoin('g.GalerieArtsCategorie c'); //Jointure avec la categorie

		$query->addwhere('g.active = 1');

		

		$query->addSelect('c.*');

			

		$query->addWhere('g.galerie_arts_categorie_id = ?', $categorie->getId());

		

		$user = sfContext::getInstance()->getUser();



		//On gère l'ordre d'affichage

		$ordre =  $user->getAttribute($nom_session.'_ordre', 1);

		if($ordre == 0)

		{

			//Tri croissant

			$ordre = 'ASC';

		}

		else

		{

			//Tri décroissant

			$ordre = 'DESC';

		}



		//On gere le champ 'tri'

		$tri = $user->getAttribute($nom_session.'_tri', 0);

		if($tri == 1)

		{

			//Tri par nom

			$query->orderBy('g.nom '.$ordre);

		}

		elseif($tri == 2)

		{

			//Tri par date d'ajout

			$query->orderBy('g.id '.$ordre);

		}

		else

		{

			//Tri par défault

			$query->orderBy('g.nom '.$ordre);

		}





		//Gestion du nombre de pages à afficher

		$max_default = sfConfig::get('app_galerie_arts_nbre_elements_liste');

		$nombre_pages = $user->getAttribute($nom_session.'_nombre_pages', $max_default);

		if($nombre_pages == '12' || $nombre_pages == '24' || $nombre_pages == '64')

		{

			//Nombre de pages valide, on change. Si pas valide, on laisse par défault la valeur du pager

			//donné dans le contructeur

			$pager->setMaxPerPage($nombre_pages);

		}



		//On modifie la requete du pager

		$pager->setQuery($query);

		return $pager;

	}

	

	

	

	

	/**

	 * Cree la meme requete que "Doctrine::getTable('GalerieArts')->createQuery()", sauf que rajoute les 

	 * colonnes suivantes dans les objets GalerieArts retournes:

	 * image1 de la galerie (colonne image_1), image2 du reportage (colonne image_2), nombre de medias (colonne nombre_medias).

	 * Pour acceder à ces nouvelles colonnes, il suffira de faire $galerie->getImage_1() par exemple.

	 * @return Doctrine_Query

	 */

	public function createQueryWithPersonalizedColumns()

	{

		$q = Doctrine::getTable('GalerieArts')->createQuery('g')



		->addselect('g.*')

		->addselect('(SELECT m1.nom_fichier FROM GalerieArtsMedia m1 WHERE m1.galerie_arts_id = g.id and m1.is_video = 0 ORDER BY m1.id ASC LIMIT 1) as image_1')

		->addselect('(SELECT m2.nom_fichier FROM GalerieArtsMedia m2 WHERE m2.galerie_arts_id = g.id and m2.is_video = 0 ORDER BY m2.id ASC LIMIT 1 OFFSET 1) as image_2')

		->addselect('(SELECT count(m3.id) FROM GalerieArtsMedia m3 WHERE m3.galerie_arts_id = g.id) as nombre_medias');

		

		return $q;

	}

	

	

	/**

	 * Retourne la liste des galeries non actives,

	 * pour afficher sur le back-office

	 * @return Array

	 */

	public function getGaleriesNonActifsBo()

	{

		$q = $this->createQuery('g')

		->where('g.active = 0')

		->innerJoin('g.GalerieArtsCategorie c')

		->orderby('g.nom ASC');



		//On recupere uniquement les champs que l'on souhaite

		$q->select('g.nom, g.id, g.active, g.is_galerie_video, c.nom');

		return $q->execute();

	}





	/**

	 * Methode qui genere le pager pour le back-office

	 * @return sfDoctrinePager pager

	 */

	public static function generatePagerBo()

	{

		$max_results = sfConfig::get('app_galeries_nbre_elements_liste');

		$pager = new sfDoctrinePager('GalerieArts', $max_results);

		$query = $pager->getQuery();

		$query->innerJoin('GalerieArts.GalerieArtsCategorie c'); //Jointure avec ma categorie

		$query->addwhere('GalerieArts.active = 1');

		$query->orderby('GalerieArts.nom ASC');



		//On recupere uniquement les champs que l'on souhaite

		$query->select('GalerieArts.nom, GalerieArts.id, GalerieArts.active, GalerieArts.is_galerie_video, c.nom');



		//On modifie la requete du pager

		$pager->setQuery($query);

		return $pager;

	}

}