<?php



/**

 * This class has been auto-generated by the Doctrine ORM Framework

 */

class Lieu extends BaseLieu

{

	

	public function __toString()

	{

		return $this->getNom();

	}

	

	/**

	 * Retourne les numeros des images

	 */

	public static function getNumImages()

	{

		return array(1, 2, 3, 4, 5, 101, 102, 103, 104);

	}

	

	/**

	 * Retourne le nom d'une image

	 * @param Int $i Numero de l'image

	 */

	public static function getNameImage($i)

	{

		if($i < 100)

		{

			return 'Image '.$i;

		}

		else

		{

			$i = $i - 100;

			return 'Promo '.$i;

		}

	}

	

	/**

	 * Retourne les numeros des textes numerotes

	 */

	public static function getNumTextes()

	{

		return array(2, 3, 4, 5);

	}

	

	/**

	 * Retourne les numeros des textes metiers

	 */

	public static function getNumTextesMetiers()

	{

		return array(1, 2);

	}

	

	/**

	 * Meme methode que __toString sauf que rajoute entre parentheses si lieu non actif

	 * @return String

	 */

	public function __toStringWithActive()

	{

		$nom = $this->getNom();

		if(!$this->getActive())

		{

			$nom .= ' (Lieu non actif)';

		}

		return $nom;

	}



	/**

	 * Fonction qui retourne la liste des evenements actifs non passés associés

	 * à ce lieu

	 * @return unknown_type

	 */

	public function getEvenementsActifsNonPasses(Doctrine_Query $q = null)

	{

		if (is_null($q))

		{

			$q = Doctrine_Query::create()

			->from('Evenement e');

		}

		$q->addWhere('e.lieu_id = ?', $this->getId())

		->addWhere('e.active = 1')

		->addWhere('e.date_fin >= now()');

		return $q->execute();

	}



	/**

	 * Fonction qui retourne la liste des evenements actifs passés associés

	 * à ce lieu

	 * @return unknown_type

	 */

	public function getEvenementsActifsPasses(Doctrine_Query $q = null)

	{

		if (is_null($q))

		{

			$q = Doctrine_Query::create()

			->from('Evenement e');

		}



		$q->addWhere('e.lieu_id = ?', $this->getId())

		->addWhere('e.active = 1')

		->addWhere('e.date_fin < now()');

		return $q->execute();

	}



	/**

	 * Fonction qui retourne la liste des reportages actifss associés

	 * à ce lieu

	 * @return unknown_type

	 */

	public function getReportagesActifs(Doctrine_Query $q = null)

	{



		if (is_null($q))

		{

			$q = Doctrine_Query::create()

			->from('Reportage r');

		}

		$q->addWhere('r.lieu_id = ?', $this->getId())

		->addWhere('r.active = 1');

		return $q->execute();

	}

}