<?php

/**

 * This class has been auto-generated by the Doctrine ORM Framework

 */

class MembreTable extends Doctrine_Table

{

	/**

	 * Cree le pager pour la liste des membres en fonction des données sauvegardées en session

	 * @param String $nom_session Nom de la session

	 * @return sfDoctrinePager pager

	 */

	public static function generatePager($nom_session)

	{

		$max_results = sfConfig::get('app_membres_nbre_elements_liste');

		$pager = new sfDoctrinePager('Membre', $max_results);

		$query = $pager->getQuery();

		$query->innerJoin('Membre.Fonction f'); //Jointure avec la fonction

		$query->addwhere('Membre.confirmation = 1');



		//On recupere uniquement les champs que l'on souhaite

		$query->select('Membre.id, Membre.pseudo, Membre.date_naissance, Membre.sexe, Membre.prenom, Membre.ville, Membre.code_postal, Membre.created_at, f.nom, Membre.image_profil ');



			



		$user = sfContext::getInstance()->getUser();



		//On gere le champ "fonction"

		$fonction = $user->getAttribute($nom_session.'_fonction', 0);

		if($fonction != 0)

		{



			$query->addWhere('Membre.fonction_id = ?', array($fonction));

		}





		//On gere le champ sexe

		$sexe = $user->getAttribute($nom_session.'_sexe', 0);

		if($sexe != 0)

		{

			$query->addWhere('Membre.sexe = ?', array($sexe));

		}



		//On gere le champ "photo"

		$photo = $user->getAttribute($nom_session.'_photo', 0);

		if($photo == 1)

		{

			$query->addWhere('Membre.image_profil IS NOT NULL');

			$query->addWhere(' Membre.image_profil !="" ');

		}



		//On gère l'ordre d'affichage

		$ordre =  $user->getAttribute($nom_session.'_ordre', 0);

		if($ordre == 0)

		{

			//Tri croissant

			$ordre = 'ASC';

		}

		else

		{

			//Tri décroissant

			$ordre = 'DESC';

		}



		//On gere le champ 'tri'

		$tri = $user->getAttribute($nom_session.'_tri', 0);

		if($tri == 1)

		{

			//Tri par date inscription

			$query->orderBy('Membre.created_at '.$ordre);

		}

		elseif($tri == 2)

		{

			//Tri par ville

			$query->orderBy('Membre.ville '.$ordre);

		}

		elseif($tri == 3)

		{

			//Tri par code postal

			$query->orderBy('Membre.code_postal '.$ordre);

		}





		//Gestion du nombre de pages à afficher

		$max_default = sfConfig::get('app_membres_nbre_elements_liste');

		$nombre_pages = $user->getAttribute($nom_session.'_nombre_pages', $max_default);

		if($nombre_pages == '12' || $nombre_pages == '24' || $nombre_pages == '64')

		{

			//Nombre de pages valide, on change. Si pas valide, on laisse par défault la valeur du pager

			//donné dans le contructeur

			$pager->setMaxPerPage($nombre_pages);

		}



		//On modifie la requete du pager

		$pager->setQuery($query);

		return $pager;

	}

	

	/**

	 * Cree le pager pour la liste du staff en fonction des données sauvegardées en session

	 * @param String $nom_session Nom de la session

	 * @return sfDoctrinePager pager

	 */

	public static function generatePagerStaff($nom_session)

	{

		$max_results = sfConfig::get('app_membres_nbre_elements_liste');

		$pager = new sfDoctrinePager('Membre', $max_results);

		$query = $pager->getQuery();

		$query->innerJoin('Membre.Level l'); //Jointure avec le level

		$query->innerJoin('Membre.Fonction f'); //Jointure avec la fonction

		$query->addwhere('Membre.confirmation = 1');

		$query->addwhere('Membre.level_id != ?', Level::LEVEL_UTILISATEUR);

		

		

		//On recupere uniquement les champs que l'on souhaite

		$query->select('Membre.id, Membre.pseudo, Membre.date_naissance, Membre.sexe, Membre.prenom, Membre.ville, Membre.code_postal, Membre.created_at, l.nom, Membre.image_profil, f.nom ');

	

		//On recupere le nombre de reportages (on le recuperera avec la fonction getNombreReportages()

		$query->addselect('(SELECT count(r1.reportage_id) FROM ReportageReporter r1 WHERE r1.membre_id = Membre.id) as nombre_reportages');

		

		$user = sfContext::getInstance()->getUser();



		//On gere le champ sexe

		$sexe = $user->getAttribute($nom_session.'_sexe', 0);

		if($sexe != 0)

		{

			$query->addWhere('Membre.sexe = ?', array($sexe));

		}



		//On gere le champ "photo"

		$photo = $user->getAttribute($nom_session.'_photo', 0);

		if($photo == 1)

		{

			$query->addWhere('Membre.image_profil IS NOT NULL');

			$query->addWhere(' Membre.image_profil !="" ');

		}



		//On gère l'ordre d'affichage

		$ordre =  $user->getAttribute($nom_session.'_ordre', 0);

		if($ordre == 0)

		{

			//Tri croissant

			$ordre = 'ASC';

		}

		else

		{

			//Tri décroissant

			$ordre = 'DESC';

		}



		//On gere le champ 'tri'

		$tri = $user->getAttribute($nom_session.'_tri', 0);

		if($tri == 1)

		{

			//Tri par date inscription

			$query->orderBy('Membre.created_at '.$ordre);

		}

		elseif($tri == 2)

		{

			//Tri par ville

			$query->orderBy('Membre.ville '.$ordre);

		}

		elseif($tri == 3)

		{

			//Tri par code postal

			$query->orderBy('Membre.code_postal '.$ordre);

		}





		//Gestion du nombre de pages à afficher

		$max_default = sfConfig::get('app_membres_nbre_elements_liste');

		$nombre_pages = $user->getAttribute($nom_session.'_nombre_pages', $max_default);

		if($nombre_pages == '12' || $nombre_pages == '24' || $nombre_pages == '64')

		{

			//Nombre de pages valide, on change. Si pas valide, on laisse par défault la valeur du pager

			//donné dans le contructeur

			$pager->setMaxPerPage($nombre_pages);

		}



		//On modifie la requete du pager

		$pager->setQuery($query);

		return $pager;

	}



	/**

	 * Cree le pager pour la liste des anniversairesen fonction des données sauvegardées en session

	 * @param String $nom_session Nom de la session

	 * @return sfDoctrinePager pager

	 */

	public static function generatePagerAnniversaire($nom_session)

	{

		$max_results = sfConfig::get('app_membres_nbre_elements_liste');

		$pager = new sfDoctrinePager('Membre', $max_results);

		$query = self::getMembreAnniversaireAujourdhuiQuery();

		$query->innerJoin('Membre.Fonction f'); //Jointure avec la fonction

		$query->addwhere('Membre.confirmation = 1');



		//On recupere uniquement les champs que l'on souhaite

		$query->select('Membre.id, Membre.pseudo,Membre.date_naissance, Membre.sexe, Membre.prenom, Membre.ville, Membre.code_postal, Membre.created_at, f.nom, Membre.image_profil ');



			



		$user = sfContext::getInstance()->getUser();



		//On gere le champ sexe

		$sexe = $user->getAttribute($nom_session.'_sexe', 0);

		if($sexe != 0)

		{

			$query->addWhere('Membre.sexe = ?', array($sexe));

		}



		//On gere le champ "photo"

		$photo = $user->getAttribute($nom_session.'_photo', 0);

		if($photo == 1)

		{

			$query->addWhere('Membre.image_profil IS NOT NULL');

			$query->addWhere(' Membre.image_profil !="" ');

		}



		//On gère l'ordre d'affichage

		$ordre =  $user->getAttribute($nom_session.'_ordre', 0);

		if($ordre == 0)

		{

			//Tri croissant

			$ordre = 'ASC';

		}

		else

		{

			//Tri décroissant

			$ordre = 'DESC';

		}



		//On gere le champ 'tri'

		$tri = $user->getAttribute($nom_session.'_tri', 0);

		if($tri == 1)

		{

			//Tri par date inscription

			$query->orderBy('Membre.created_at '.$ordre);

		}

		elseif($tri == 2)

		{

			//Tri par ville

			$query->orderBy('Membre.ville '.$ordre);

		}

		elseif($tri == 3)

		{

			//Tri par code postal

			$query->orderBy('Membre.code_postal '.$ordre);

		}





		//Gestion du nombre de pages à afficher

		$max_default = sfConfig::get('app_membres_nbre_elements_liste_anniversaire');

		$nombre_pages = $user->getAttribute($nom_session.'_nombre_pages', $max_default);

		if($nombre_pages == '12' || $nombre_pages == '24' || $nombre_pages == '64')

		{

			//Nombre de pages valide, on change. Si pas valide, on laisse par défault la valeur du pager

			//donné dans le contructeur

			$pager->setMaxPerPage($nombre_pages);

		}



		//On modifie la requete du pager

		$pager->setQuery($query);

		return $pager;

	}







	/**

	 * Permet de retrouver un membre en fonction de son Id. Jointures faites avec

	 * les tables "civilite", "fonctions", "level", "inscription_reportage" et "membre_album"

	 * @param Int $id

	 * @return Membre membre trouve

	 */

	public function findJoinAll($id)

	{

		$query = Doctrine::getTable('Membre')->createQuery('m')

		->where('m.id = ?', $id)

		->innerJoin('m.Level l')

		->innerJoin('m.Fonction f')

		->leftJoin('m.Civilite c')

		->leftJoin('m.ReportagesPresents r');

		return $query->fetchOne();

	}





	/**

	 * Retourne la liste des membres connectes

	 * @return Array collection d'objets Membre

	 */

	public function getMembresConnectes()

	{

		//Date limite, en format datetime

		$now = time();

		$dateFormat = new sfDateFormat();

		$limit_time= $dateFormat->format($now - (60 * 10), 'I');

		$q = Doctrine::getTable('Membre')->createQuery()

		->where('derniere_requete > ?', $limit_time)

		->addWhere('confirmation = 1'); //N'affiche pas les membres non confirmes car lors de l'inscription "derniere_requete" est initié



		return $q->execute();

	}



	/**

	 * Retourne la liste des membres hommes

	 * @return Array collection d'objets Membre

	 */

	public function getMembresHommesQuery()

	{

		$q = Doctrine::getTable('Membre')->createQuery()

		->where('sexe = ?', 1);



		return $q;

	}



	/**

	 * Retourne la liste des membres femmes

	 * @return Array collection d'objets Membre

	 */

	public function getMembresFemmesQuery()

	{

		$q = Doctrine::getTable('Membre')->createQuery()

		->where('sexe = ?', 2);



		return $q;

	}



	/**

	 * Fonction qui retourne l'objet Membre de la personne connectee.

	 * Si l'id n'est pas trouvable en session, on deconnecte la personne.

	 * @return Int Id du membre connecte

	 */

	public static function getMembreIdConnecte()

	{

		$user = sfContext::getInstance()->getUser();

		$membre_id = $user->getAttribute('MembreId');



		if(!is_null($membre_id))

		{

			return $membre_id;

		}

		else

		{

			//Il n'y a pas l'objet Membre en session, on deconnecte la personne

			$user->LogOut();

			sfContext::getInstance()->getController()->forward('main', 'index');

		}

	}





	/**

	 * Fonction qui retourne l'objet Membre de la personne connectee.

	 * Si le membre n'est pas en BDD, on deconnecte la personne.

	 * @return Membre

	 */

	public static function getMembreConnecte()

	{

		//On recupere l'id du membre connecte

		$membre_id = self::getMembreIdConnecte();



		//On recupere le membre dans la BDD

		$membre = Doctrine::getTable('Membre')->find($membre_id);



		if($membre instanceof Membre)

		{

			return $membre;

		}

		else

		{

			//Il n'y a pas l'objet Membre en BDD, on deconnecte la personne

			$user->LogOut();

			sfContext::getInstance()->getController()->forward('main', 'index');

		}

	}

	/**

	 * renvoi la requete qui permet de selectionner les membres dont c'est l'anniversaire aujourd'hui

	 * @return DoctrineQuery

	 */

	public static function getMembreAnniversaireAujourdhuiQuery()

	{

		$jour=date('d');

		$mois=date('m');



		$q = Doctrine::getTable('Membre')->createQuery()

		->addWhere('Membre.date_naissance LIKE ?','%-'.$mois.'-'.$jour.'');

		return $q;

	}





}