<?php



/**

 * This class has been auto-generated by the Doctrine ORM Framework

 */

class ReportageMedia extends BaseReportageMedia

{

	protected $is_generate_values = false;

	//Id des medias précédent et suivant d'un meme reportage

	protected $media_id_precedent = null;

	protected $media_id_suivant = null;

	

	//Nombre de medias dans le meme reportage que ce media

	protected $nombre_medias_reportage = 0;

	

	//Position du media dans le reportage

	protected $position_media = 1;

	

	

	

	

	

	/**

	 * Fonction qui retourne l'id du media precedent du reportage

	 * @return Int id precedent

	 */

	public function getMediaIdPrecedent()

	{

		$this->initValues();

		return $this->media_id_precedent;

	}

	

	/**

	 * Fonction qui retourne l'id du media suivant du reportage

	 * @return Int id suivant

	 */

	public function getMediaIdSuivant()

	{

		$this->initValues();

		return $this->media_id_suivant;

	}

	

	/**

	 * Fonction qui retourne le nombre de medias dans le meme reportage

	 * @return Int nombre de medias

	 */

	public function getNombreMedias()

	{

		$this->initValues();

		return $this->nombre_medias_reportage;

	}

	

	/**

	 * Fonction qui retourne la position du media dans le reportage

	 * @return Int position

	 */

	public function getPositionMedia()

	{

		$this->initValues();

		return $this->position_media;

	}

	

	

	/**

	 * Retourne la collection de commentaires associés à ce media.

	 * Jointure faite avec la table Membre

	 * @return Array

	 */

	public function getReportagesCommentsJoinMembre()

	{

		$q = Doctrine::getTable('ReportageComment')->createQuery('c')

		->innerJoin('c.Membre m ON (c.membre_id = m.id and c.reportage_media_id = ?)', $this->getId());

		return $q->execute();

	}

	

	

	/**

	 * Retourne le chemin du fichier (depuis la racine) de la vignette du média

	 * à afficher (si photo, la vignette est elle meme. Si vidéo, image particulière)

	 * @param Reportage $reportage Reportage associé

	 * @return String

	 */

	public function getVignette($reportage = null)

	{

		if(is_null($reportage))

		{

			$reportage = $this->getReportage();

		}

		

		if($this->getIsVideo())

		{

			return 'divers/video.jpg';

		}

		else

		{

			return $reportage->getPathDossier().'/'.$this->getNomFichier();

		}

	}

	

	

	

	/**

	 * Fonction qui initialise les champs en protected

	 * @return unknown_type

	 */

	protected function initValues()

	{

		if(!$this->is_generate_values)

		{

			$q = Doctrine::getTable('ReportageMedia')->createQuery('m')

			->select('m.id')

			->addselect('(SELECT max(m1.id) FROM ReportageMedia m1 WHERE m1.id < m.id and m1.reportage_id = m.reportage_id) as id_precedent')

			->addselect('(SELECT min(m2.id) FROM ReportageMedia m2 WHERE m2.id > m.id and m2.reportage_id = m.reportage_id) as id_suivant')

			->addselect('(SELECT count(m3.id) FROM ReportageMedia m3 WHERE m3.reportage_id = m.reportage_id) as nombre_medias')

			->addselect('(SELECT count(m4.id) FROM ReportageMedia m4 WHERE m4.id <= m.id and m4.reportage_id = m.reportage_id) as position')

			->where('m.id = ?', $this->getId());

				

			$results = $q->fetchArray();

			$this->media_id_precedent = $results[0]['id_precedent'];

			$this->media_id_suivant = $results[0]['id_suivant'];

			$this->nombre_medias_reportage = $results[0]['nombre_medias'];

			$this->position_media = $results[0]['position'];

			

			$this->is_generate_values = true;

		}

	}

	

}