<?php

/**

 * This file is part of "AnnecyByNight"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Batch qui cree, si pas existants, les dates des 7 prochains jours dans

 * la table "stats"

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: batch_create_day.php 248 2009-09-07 07:30:45Z hlecorche $ 

 */



ini_set("memory_limit" , "60M");

set_time_limit(0);

//On récupère l'application 'Frontend'

require_once(dirname(__FILE__).'/../../config/ProjectConfiguration.class.php');

$configuration = ProjectConfiguration::getApplicationConfiguration('frontend', 'prod', false);

$database_manager = new sfDatabaseManager($configuration);



//On regarde si dans la BDD les 7 prochaines journees existent (et aujourd'hui), 

//dans le cas contraire, on les cree

for($i = 0; $i<=7; $i++)

{

	//Definition de la journee

	$dateFormat = new sfDateFormat();

	$day = $dateFormat->format(time() + ($i * 3600 * 24), 'yyyy-MM-dd');

	

	//Recupere dans la BDD la journee

	$day_bdd = Doctrine::getTable('Stats')->createQuery()

	->where('date = ?', $day)->execute();

	

	if(count($day_bdd) == 0)

	{

		//La journee n'existe pas, on la cree

		$stat = new Stats();

		$stat->setDate($day);

		$stat->setPagesVues(0);

		$stat->setVisites(0);

		$stat->setEnvoiAnniversaire(0);

		$stat->save();

	}

}







?>