<?php

/**

 * This file is part of "annecy by night"

 * Copyright (c) 2009 Hubert LECORCHE

 *

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * batch qui envoi un mail aux membre dont c'est l'anniversaire aujourd'hui seulement si le

 * champ "envoi_anniversaire" de la table "stat" qui correspond au jour est a 0, et qui

 * met a "1" ce champ

 *

 * @author   Sylvain JEANDROZ <sjeandroz@e-commit.fr>

 * @version    SVN: $Id: batch_mail_anniversaire.php 377 2010-08-25 11:43:20Z hlecorche $

 */



ini_set("memory_limit" , "60M");

set_time_limit(0);

//On récupère l'application 'Frontend'

require_once(dirname(__FILE__).'/../../config/ProjectConfiguration.class.php');

$configuration = ProjectConfiguration::getApplicationConfiguration('frontend', 'prod', false);



//On creer une instance

$instance=sfContext::createInstance($configuration);



//On recupere la BDD associee a cette instance

$database_manager = $instance->getDatabaseManager();



//On se positionne dans une action pour pouvoir appeler un parial (partial

//utilise pour l'envoi de mail

$action = $instance->getController()->getAction('membres', 'anniversaires');

//A ce stade, c'est comme si le batch avait fait une requete NAVIGATEUR vers l'action

//anniversaires du module membres



//on recupere le jour et le mois et l'annee d'aujourd'hui

$jour = date('d');

$mois = date('m');

$annee = date('Y');

$date_jour=$annee.'-'.$mois.'-'.$jour;



//on recupere l'enregistrement dans la table stats qui correspond a aujourd'hui

$date_stats = Doctrine::getTable('Stats')->findByDate($date_jour);



foreach($date_stats as $date)

{

	//si le champ "envoi_anniversaire" est a 0, cela signifie que le script n'a pas encore été executé aujourd'hui

	if($date->getEnvoiAnniversaire()== "0")

	{



		//on créer la requete qui selectionnera les membres dont c'est l'anniversaire, puis on l'execute

		$membres_anniversaire = Doctrine::getTable('Membre')->createQuery()

		->select('Membre.id, Membre.email, Membre.pseudo ')

		->where('Membre.date_naissance LIKE ?','%-'.$mois.'-'.$jour.'')

		->addWhere('Membre.confirmation = 1')

		->execute();



		//pour chaque membre renvoyé par la requete

		foreach($membres_anniversaire as $membre)

		{

			//On prepare le mail pour la personne

			$expediteur = sfConfig::get('app_email_expediteur', 'contact@annecybynight.com');

			$destinataire = $membre->getEmail();

			$sujet = sfConfig::get('app_email_sujet_anniversaire', 'Joyeux anniversaire');

			$mailBody =$action->getPartial('membres/mailAnniversaire', array('pseudo' => $membre->getPseudo()));

				

			// On cree le mail	

			$message = Swift_Message::newInstance()

			->setFrom($expediteur)

			->setTo($destinataire)

			->setSubject($sujet)

			->setBody($mailBody, 'text/html');

				

			// On envoie le mail

			sfContext::getInstance()->getMailer()->send($message);

				

		}

		

		//on met le champ "envoi_anniversaire" a 1

		$date->setEnvoiAnniversaire(1);

		$date->save();

	}



}



?>



