<?php

/**

 * This file is part of "Annecy By night"

 * Copyright (c) 2009 Hubert LECORCHE

 * 

 * For the full copyright and license information, please view the LICENSE

 * file that was distributed with this source code.

 */





/**

 * Fichier qui permet d'afficher des images

 *

 * @author    Hubert LECORCHE <hlecorche@e-commit.fr>

 * @version    SVN: $Id: img.php 454 2010-10-01 08:08:24Z hlecorche $ 

 */



ini_set("memory_limit" , "60M");

set_time_limit(0);



//On récupère l'application 'Frontend'

require_once(dirname(__FILE__).'/../config/ProjectConfiguration.class.php');

$configuration = ProjectConfiguration::getApplicationConfiguration('frontend', 'prod', false);





//Chaque fichier est stoké en cache. Pour chaque dimensions différente, le fichier dispose de son propre

//fichier cache.



//Nom du fichier cache

$file_name_cache =  md5($_SERVER['REQUEST_URI']);

$file_name_cache = str_replace('/', '', $file_name_cache);

$file_name_cache = str_replace('\\', '', $file_name_cache);

if(empty($file_name_cache))

{

	exit();

}





//On demande d'afficher une image par son nom

//On récupère le nom de l'image à afficher

if(empty($_GET['pic']) || $_GET['pic'] == '')

{

	exit();

}

else

{

	$pic = rawurldecode  ($_GET['pic']);

}

		

//On décode le nom du fichier

$pic = Chiffrement::decryptage($pic);





//On supprime du nom du fichier le nom du serveur si présent

$name_server = sfConfig::get('app_url_portail');

$pic = str_replace($name_server.'/', '', $pic);





//On définie le chemin ou doit etre stocke le fichier de cache

if(ereg('^'.sfConfig::get('app_dossiers_images_membres').'/([0-9]*)[A-Za-z0-9_]*\.[A-Za-z0-9_]*$', $pic, $array))

{

	//C'est une image de profil

	$dossier_cache_name = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_membres').'/'.$array[1];

	

}

elseif(ereg('^'.sfConfig::get('app_dossiers_images_lieux').'/[A-Za-z_]*([0-9]*)[A-Za-z0-9_]*\.[A-Za-z0-9_]*$', $pic, $array))

{

	$dossier_cache_name = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_lieux').'/'.$array[1];

}

elseif(ereg('^'.sfConfig::get('app_dossiers_images_galeries_lieux').'/([0-9]*)/[A-Za-z0-9_]*\.[A-Za-z0-9_]*$', $pic, $array))

{

	$dossier_cache_name = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_galeries_lieux').'/'.$array[1];

}

elseif(ereg('^'.sfConfig::get('app_dossiers_images_staff_lieux').'/([0-9]*)/[A-Za-z0-9_]*\.[A-Za-z0-9_]*$', $pic, $array))

{

	$dossier_cache_name = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_staff_lieux').'/'.$array[1];

}

elseif(ereg('^'.sfConfig::get('app_dossiers_images_metier_lieux').'/([0-9]*)/[A-Za-z0-9_]*\.[A-Za-z0-9_]*$', $pic, $array))

{

	$dossier_cache_name = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_metier_lieux').'/'.$array[1];

}

elseif(ereg('^'.sfConfig::get('app_dossiers_images_agenda').'/[A-Za-z_]*([0-9]*)[A-Za-z0-9_]*\.[A-Za-z0-9_]*$', $pic, $array))

{

	$dossier_cache_name = sfConfig::get('app_dossiers_cache_images').'/'.sfConfig::get('app_dossiers_images_agenda').'/'.$array[1];

}

elseif(ereg('^'.sfConfig::get('app_dossiers_images_reportages').'/([0-9]*)/[A-Za-z0-9_]*\.[A-Za-z0-9_]*$', $pic, $array))

{

	$dossier_cache_name = sfConfig::get('app_dossiers_cache_images').'/reportages/'.$array[1];

}

elseif(ereg('^'.sfConfig::get('app_dossiers_images_galeries').'/([0-9]*)/[A-Za-z0-9_]*\.[A-Za-z0-9_]*$', $pic, $array))

{

	$dossier_cache_name = sfConfig::get('app_dossiers_cache_images').'/arts/'.$array[1];

}

elseif(ereg('^'.sfConfig::get('app_dossiers_images_galeries').'/vignette_categorie_[0-9]+\.[A-Za-z0-9_]*$', $pic, $array))

{

	$dossier_cache_name = sfConfig::get('app_dossiers_cache_images').'/arts/categories';

}

elseif(ereg('^'.sfConfig::get('app_dossiers_images_bons_plans').'/[A-Za-z_]*([0-9]*)\.[A-Za-z0-9_]*$', $pic, $array))

{

	$dossier_cache_name = sfConfig::get('app_dossiers_cache_images').'/bons_plans/'.$array[1];

}

else

{

	//Le fichier n'est pas un dossier qui a le droit d'utiliser les images dynamiques, on n'affiche pas le fichier

	exit();

}





$file_cache = $dossier_cache_name.'/'.$file_name_cache;

if(is_dir($file_cache))

{

	exit();

}

if(file_exists($file_cache))

{

	//Le fichier existe dans le cache, on l'affiche

	affiche_image();

}

else

{

	//Le fichier n'existe pas dans le cache, on le cree et on l'affiche

	cree_image();

}















//Fonction qui affiche une image deja stockee en cache

function affiche_image()

{

	global $file_cache;

	

	//On récupère les infos sur l'image

	$info_img = @getimagesize($file_cache);

	

	if(isset($info_img[2]) && $info_img[2] == IMAGETYPE_JPEG)

	{

		//Fichier JPEG

		header("Content-Type: image/jpeg");

		readfile($file_cache);

		exit();

	}

	elseif(isset($info_img[2]) && $info_img[2] == IMAGETYPE_GIF)

	{

		//Fichier GIF

		header("Content-Type: image/gif");

		readfile($file_cache);

		exit();

	}

	elseif(isset($info_img[2]) && $info_img[2] == IMAGETYPE_PNG)

	{

		//Fichier PNG

		header("Content-Type: image/png");

		readfile($file_cache);

		exit();

	}

	

}













//Fonction qui cree une image, et qui la stocke en cache

function cree_image()

{

	global $_GET, $file_cache, $dossier_cache_name, $pic;

	

	

	//On teste la variable "pic"

	if($pic == '' || $pic == '/')

	{

		exit();

	}

	

	if(!is_file($pic) || is_dir($pic))

	{

		//Le fichier n'est pas trouvable sur le serveur (n'existe pas ou sur un serveur distant)

		exit();

	}

	

	create_folder($dossier_cache_name);

	

	

	//On récupère les infos sur l'image

	$info_img = @getimagesize($pic);

	

	/*Array[0] = Width

	

	Array[1] = Height

	

	Array[2] = Image Type Flag

	

	Array[3] = width="xxx" height="xxx"

	

	Array[4] = channels (PHP >= 4.3.0)

	

	Array[5] = bits (PHP >= 4.3.0)

	

	Array[6] = mime (PHP >= 4.3.0)

	

	*/

	

	if(!$info_img )

	{

		//Cas ou fichier pas une image ou fichier introuvable

		exit();

	}

	

		

	

	

	//CAS N°1: Le champ "opt" est défini: On fixe la hauteur et la largeur

	//de facon proportionnelle.

	//On applique la valeur donnée sur le cote le plus long

	if(!empty($_GET['opt']))

	{

		$opt = rawurldecode($_GET['opt']);

		//On décode la taille

		$opt = Chiffrement::decryptage($opt);

		

		//On verifie la valeur

		if($opt ===  '' || !is_numeric($opt) || $opt < 0 || $opt > 1000)

		{

			exit();

		}

		

		if ($info_img[0] > $info_img[1]) 

		{

			$prc = $opt/$info_img[0];//pourcentage d'affichage

		} 

		else 

		{

			$prc = $opt/$info_img[1];//pourcentage d'affichage

		}

		

		$dest_width = $info_img[0] * $prc;

		$dest_height = $info_img[1] * $prc;

	}

	

	

	//CAS N°2: Le champ "width" est défini mais pas le champ "height": On fixe 

	//la largeur et calcule la hauteur de facon proportionnelle

	elseif(!empty($_GET['w']) && empty($_GET['h']))

	{

		$width = rawurldecode($_GET['w']);

		//On décode la taille

		$width = Chiffrement::decryptage($width);

		

		//On verifie la valeur

		if($width ===  '' || !is_numeric($width) || $width < 0 || $width > 1000)

		{

			exit();

		}

		

		//On caclule les nouvelles dimensions

		$prc = $width/$info_img[0];

		$dest_width = $width;

		$dest_height = $info_img[1] * $prc;

	}

	

	

	//CAS N°3: Le champ "height" est défini mais pas le champ "width": On fixe 

	//la hauteur et calcule la largeur de facon proportionnelle

	elseif(empty($_GET['w']) && !empty($_GET['h']))

	{

		$height = rawurldecode($_GET['h']);

		//On décode la taille

		$height = Chiffrement::decryptage($height);

		

		//On verifie la valeur

		if($height ===  '' || !is_numeric($height) || $height < 0 || $height > 1000)

		{

			exit();

		}

		

		//On caclule les nouvelles dimensions

		$prc = $height/$info_img[1];

		$dest_width = $info_img[0] * $prc;

		$dest_height = $height;

	}

	

	

	//CAS N°4: Les champs "height" et "width" sont définis: On les fixe

	elseif(!empty($_GET['w']) && !empty($_GET['h']))

	{

		$width = rawurldecode($_GET['w']);

		//On décode la taille

		$width = Chiffrement::decryptage($width);

		

		//On verifie la valeur

		if($width ===  '' || !is_numeric($width) || $width < 0 || $width > 1000)

		{

			exit();

		}

		

		$height = rawurldecode($_GET['h']);

		//On décode la taille

		$height = Chiffrement::decryptage($height);

		

		//On verifie la valeur

		if($height ===  '' || !is_numeric($height) || $height < 0 || $height > 1000)

		{

			exit();

		}

		

		$dest_width = $width;

		$dest_height = $height;

	}

	

	//DERNIER CAS: Aucune des options "opt", "width" et "height" n'a été défini

	//On garde la taille d'origine

	else

	{

		$dest_width = $info_img[0];

		$dest_height = $info_img[1];

	}

	

	

	

	//On calcule les points d'origine

	//Si la variable "tr" a été définie, on peut tronquer l'image (pour ne 

	//pas deformer l'image)

	//Sinon, on prend l'image en entier

	$src_width = $info_img[0];

	$src_height = $info_img[1];

	if(!empty($_GET['tr']) && Chiffrement::decryptage(rawurldecode($_GET['tr'])))

	{

		//Si image deformée (rapport width / height changé), on tronque l'image

		if($info_img[0] / $info_img[1] != $dest_width / $dest_height)

		{

			//On calcule pour la longueur le rapport Nouveau / Ancien 

			//Pour le cote qui a le plus grand rapport, on garde ce cote dans son integralite.

			//On tronquera alors le cote qui possede le plus petit rapport

			$rapp_width = $dest_width / $info_img[0];

			$rapp_height = $dest_height / $info_img[1];

			if($rapp_width > $rapp_height)

			{

				$src_height = floor($dest_height / $rapp_width);

			}

			else

			{

				$src_width = floor($dest_width / $rapp_height);

			}

		}

	}

	

	

	

	

	

	//Creation de la miniature

	$img_out = imagecreatetruecolor($dest_width, $dest_height);

	if(isset($info_img[2]) && $info_img[2] == IMAGETYPE_JPEG)

	{

		//Fichier JPEG

		header("Content-Type: image/jpeg");

		$img_in = imagecreatefromjpeg($pic);

		imagecopyresampled($img_out, $img_in, 0, 0, 0, 0, imagesx($img_out), imagesy($img_out), $src_width, $src_height);

		imagejpeg($img_out, null, 100); //Image envoyé au navigateur

		imagejpeg($img_out, $file_cache, 100); //Image envoyé au cache

		

	}

	elseif(isset($info_img[2]) && $info_img[2] == IMAGETYPE_GIF)

	{

		//Fichier GIF

		header("Content-Type: image/gif");

		$img_in = imagecreatefromgif($pic);

		imagecopyresampled($img_out, $img_in, 0, 0, 0, 0, imagesx($img_out), imagesy($img_out), $src_width, $src_height);

		imagegif($img_out); //Image envoyé au navigateur

		imagegif($img_out, $file_cache); //Image envoyé au cache

		

	}

	elseif(isset($info_img[2]) && $info_img[2] == IMAGETYPE_PNG)

	{

		//Fichier PNG

		header("Content-Type: image/png");

		$img_in = imagecreatefrompng($pic);

		imagecopyresampled($img_out, $img_in, 0, 0, 0, 0, imagesx($img_out), imagesy($img_out), $src_width, $src_height);

		imagepng($img_out); //Image envoyé au navigateur

		imagepng($img_out, $file_cache); //Image envoyé au cache

		

	}

	else

	{

		//Autre image, non supportee

		exit();

	}

	

	

	

	imagedestroy($img_out);

}



//Creer un dossier de cache si existe pas

function create_folder($dossier_cache_name)

{

	if(!is_dir($dossier_cache_name))

	{

		mkdir($dossier_cache_name, 0775, true);

	}	

}

?>